6.9.9.4 (2018/10/01)
	[idの振り方、データの持ち方変更]
		hayabusa.taglib.JsChartTag#doEndTag()

	[nvalを入れて、属性復活]
		hayabusa.taglib.JsChartTag#setTimeUnit(String tunit)
		hayabusa.taglib.JsChartTag#setTimeUnitStepSize(String tunitStepSize)
		hayabusa.taglib.JsChartTag#setTimeSetFormat(String tFormat)
		hayabusa.taglib.JsChartTag#setTimeLblFormat(String tLblFormat)
		hayabusa.taglib.JsChartTag#setTimeMax(String tmax)
		hayabusa.taglib.JsChartTag#setTimeMin(String tmin)

	[ﾘﾆｱ対応,time 属性復活]
		hayabusa.taglib.JsChartTag#release2()
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[Ver7 対応]
	oracle java11 から、有償化されたため、openJdk11 に対応します。
	細かい修正（JavaDocでの警告等）や、環境周りの修正を行います。
	なお、このバージョンは、java8 でコンパイルしますが、同じソースで、
	openJdk11 でコンパイルしたエンジンを、Ver7.0.0.0 としてリリースします。
	<table class="plain"> に置き換えます。

	GE データベースの更新
	ge\changes\changes.txt 参照
	スクリプトは、ge\changes\7000\更新対応.txt 参照

	GF80 → GE82 対応
	[GE82 DB定義書管理テーブル 追加]
	GF80を少しカスタマイズして、GE82として登録します。
		詳細は、refactoring/6.9.9.4_refactoring.txt です。

	GF46 → GE18 対応
	[GE18 位置情報管理ﾃｰﾌﾞﾙ 追加]
	GF46を少しカスタマイズして、GE18として登録します。
		詳細は、refactoring/6.9.9.4_refactoring.txt です。

	[旧レポートの修正他]
	HTMLから作成するEXCEL帳票を廃止します。
		GF6200(ﾚﾎﾟｰﾄ出力(Excel)) 廃止

	[GF6430(EXCEL変換) のjacob関連属性削除]
		GF6430/query.jsp , result.jsp

	X 一旦保留。
	[V5 修正反映]
	X	5.10.3.2 (2018/09/28)
	X		[JavaScriptグラフ修正]
	X		タイムスケールでUNIX時間を数値として与える事が出来るようにします。
	X		これにより、時間に応じた位置にグラフがプロットされます。
	XXX			hayabusa.taglib.headTag#doEndTag()
	X			hayabusa.taglib.JsChartTag#setXscaleTimeType( final String xtt)
	X			hayabusa.taglib.JsChartTag#jsChartOutput()
	X			hayabusa.taglib.JsChartTag#release2()
	X			hybs-taglib.tld
				gf/jsp/GF7222

6.9.9.3 (2018/09/25)
	[form外のhidden]
	61200-180921-01
	formの外に、hiddenタグを置くと、JSPチェックでエラーになります。
	そこで、そのｴﾗｰを除外するために、hiddenタグに、noForm 属性を追加します。
	ERROR16A noForm="true" 属性がセットされているog:hidden タグが、form タグの中にあります。これが通常の hidden の場合は、noForm="true" 属性をはずしてください。
	ERROR16B og:hidden タグが、form タグの中にありません。formから除外する場合は、noForm="true" 属性を付けてください。 
		gf\jsp\DOC18\xsltV6\GF70_PROG.xsl
	[新規追加]
		hayabusa.taglib.HiddenTag#setNoForm(String flag)

	[jsChart]
	xscaleType から、time を廃止しました。
		jsp/GF7302

	[新着情報]
	新着情報登録で、ｴﾗｰが出ます。
	editor="RICHTEXT" で、 size="200,500" すると、NumberFormatException エラーが発生する件
	update.jsp で、size="200,500" ではなく、param="200,500" です。
		gf\jsp\common\gamen\21_WHTSNEW\update.jsp

	[nvalを入れて、初期値を設定します]
		hayabusa.taglib.JsChartTag#setXscaleCallback(String xscaleCallback)
		hayabusa.taglib.JsChartTag#setYscaleCallback(String yscaleCallback)
		hayabusa.taglib.JsChartTag#setXscaleType(String xscaleType)
		hayabusa.taglib.JsChartTag#setYscaleType(String yscaleType)
		hayabusa.taglib.JsChartTag#setYcategoryList(String ycategoryList)
		hayabusa.taglib.JsChartTag#setXmax(String xmax)
		hayabusa.taglib.JsChartTag#setXmin(String xmin)
		hayabusa.taglib.JsChartTag#setXstepSize(String xstepSize)
		hayabusa.taglib.JsChartTag#setBarWidthPer(String barWidthPer)
		hayabusa.taglib.JsChartTag#setTableId(String tableId)
		hayabusa.taglib.JsChartTag#setWidthEventColumn(String widthEventColumn)
		hayabusa.taglib.JsChartTag#setHeightEventColumn(String heightEventColumn)
		hayabusa.taglib.JsChartTag#setMinEventColumn(String minEventColumn)
		hayabusa.taglib.JsChartTag#setMaxEventColumn(String maxEventColumn)
		hayabusa.taglib.JsChartTag#setTitle(String title)
		hayabusa.taglib.JsChartTag#setTitlePosition(String titlePosition)
		hayabusa.taglib.JsChartTag#setXlabel(String xlabel)
		hayabusa.taglib.JsChartTag#setYlabel(String ylabel)
		hayabusa.taglib.JsChartTag#setLegendPosition(String legendPosition)
		hayabusa.taglib.JsChartTag#setLegendDisplay(String legendDisplay)

	[xscaleType の time 属性廃止]
		hayabusa.taglib.JsChartTag#toString()
		hayabusa.taglib.JsChartTag#release2()
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[可変引数に変更します(PMD Rather than using a lot of String arguments, consider using a container object for those values.)]
		hayabusa.resource.CalendarFactory#getCalendarData(String cls,String[] inArgs)
		hayabusa.resource.CalendarQuery#checkArgment(String[] args)
		plugin.calendar.CalendarQuery_GE13#checkArgment(String[] args)
		plugin.calendar.CalendarQuery_GF13#checkArgment(String[] args)

	[新着情報、FAQ修正]
	新着情報、FAQ修正で、JSPｿｰｽｺｰﾄﾞ上に、RICHTEXT が書かれていたのを、リソース対応します。
	カラム名 NAIYO のリソースを、初期値、renderer="RICHLABEL" editor="RICHTEXT" param="200,500" にします。
		common\gamen\21_WHTSNEW\meisai.jsp
		common\gamen\21_WHTSNEW\result.jsp
		common\gamen\21_WHTSNEW\update.jsp
		common\gamen\22_FAQ\result.jsp
		common\gamen\23_FAQRGST\update0.jsp

	関連事項として、サンプルプログラムで使用中の、NAIYO カラムを、CLMS に変更しておきます。
		GF9110\query.jsp(30): 			<og:column name="NAIYO"		lbl="CLMS" 	param="1,20" />
		GF9110\result.jsp(43): 		<og:and value = "CLM"		instrVals="{@NAIYO}" instrType="in" />
		GFX013\query.jsp(30): 			<og:column name="NAIYO"		lbl="CLMS" 	param="1,20" />
		GFX013\result.jsp(44): 		<og:and value = "CLM"		instrVals="{@NAIYO}" instrType="in" />

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample11.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample12.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample13.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample14.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample5.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample7.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample8.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample9.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\update.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\option\chartOptions.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.css
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js
		C:\opengionV6\uap\webapps\gf\src\script\common\resultScript.js

	[V5 修正反映]
		5.10.3.1 (2018/09/21)
			[jquery-ui用画像]
			画像をcommon/jquery/imagesに配置しておかないと404エラーが出るため、配置はしておきます。 
			同時に、jquery直下に置いていた画像ui-icons_777777_256x240.pngはimagesの内部に配置し、
			利用していたhtml5modalDialog.cssを変更します。
				jsp/common/jquery/images/*.png
				jsp/common/option/html5modalDialog.css

			[バルクセット修正]
			61200-180831-01
			バルクセットで余計な処理があったため、Ctrlキーとの同時押しやダブルクリックでの動作を修正します。
			また、Ctrl-Cを押した際の連結文字のバルク入力欄へのセットはユーザの混乱を招く可能性があるのでやめておきます。
			（クリップボードへの連結文字のセットはする）
				jsp/common/resultScript.js
				hayabusa.taglib.ViewFormTag バルクセットのコメント追加

	X ※ Ver6では、パラメータの返す順番が異なります。
	X	5.10.3.0 (2018/09/01)
	X		[統計処理サンプル修正]
	X		GFX027,028,029でエラーが出ていたのでbizロジックを修正します。

	X		[HTML5ポップアップ修正]			6.9.9.1 (2018/08/27) にて対応済み
	X		ポップアップの表示位置の指定方法をscreenXからclientXに修正します。
	X			jsp/common/html5modalDialog.js#ogPopup( p_pgid,p_height,p_width,p_in_Array,p_this,p_out_Array,command,p_append,event )

6.9.9.2 (2018/09/18)
	[紙芝居対応]
	61200-180405-12
	F:\400_製品ドキュメント\410_GMIS\V6\03_パッケージ維持資料\020_リリースノート\■エンジンチームに依頼(紙芝居)
	下記の対応は、完了したはずです。（未検証）
	(☆1)FMA0103_ドキュメント登録_追加ボタンが動作しない_原野
	(☆1)menu_リンク先微調整_管谷
	(☆1)POPUP全般_index.htm作成されない_管谷
	(☆1)SAL1021_出荷_帳票リンク_新沼

	[jsChartオプション]
	61200-180831-02
	Chart.js に、ﾗﾍﾞﾙや値の表示を行う、plugins や、onClick で使用できる関数を定義します。
	common/option/chartOptions.js

	[日付フォーマット]
	日付オブジェクトをフォーマットした文字列を返します。
	common/default.js#dateFormat(date, format) 

	[JSP解析･確認]
	【JSP解析･確認】JSPﾁｪｯｸ確認 DOC10 の除外で、判別キーに、
	ﾒｯｾｰｼﾞID (MSGCD)を追加します。
		jsp/DOC10/result.jsp

	[COEFF(変動係数)の最小値でフィルターするためのｷｰﾜｰﾄﾞ MIN_CV を追加]
		plugin.table.StandardDeviation#getData()
		plugin.table.StandardDeviation#StandardDeviation(int ftype,boolean useDEVP,String format,String minCV)
		plugin.table.TableFilter_STDDEV#execute()
		plugin.table.TableFilter_STDDEV#TableFilter_STDDEV()
		plugin.table.TableFilter_STDDEV2#execute()
		plugin.table.TableFilter_STDDEV2#TableFilter_STDDEV2()

	[YYYYｷｰﾜｰﾄﾞで、@のあるなしを対処しておきます(前方一致の必要性)]
		hayabusa.taglib.ValueMapTag#makeRestValue()

	[chart.jsが2.4.0から2.7.2にバージョンアップにより、廃止された属性対応]
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[chartOptions追加]
		hayabusa.taglib.HeadTag#doEndTag()

	[chartの属性に、TLDで未定義の属性を追加指定します]
		hayabusa.taglib.JsChartTag#setChartAttributes(String attri)

	[oota tmp add start 画面別にreportView.htmを出力する // oota tmp 02_「SAL1021_出荷_帳票リンク_新沼」対応]
		hayabusa.filter.FileFilter#makeFileName(HttpServletRequest request)

	[plugins,chartAttributes属性の追加]
		hayabusa.taglib.JsChartTag#release2()

	[ソートキーのマルチバイト文字エンコード対応]
	カラム名にリソースを使用せず、直接日本語を記述した場合、
	ソートキーに日本語が使用されます。
	http://10611119-0001:8863/eu63/jsp/EU4000/forward.jsp?command=VIEW&h_sortClmns=日本語カラム名&・・・・
	RFC 7230 and RFC 3986 エラーが発生するので、エンコードが必要です。
		hayabusa.html.AbstractViewForm#getSortedColumnLabel(int column)

	[パステルカラーの色オブジェクト]
		fukurou.util.ColorMap#getPastelColor(int no)
		fukurou.util.ColorMap#getPastelColorKeys()

	[パステルカラーの色文字列のｶﾝﾏ区切り文字列]
		hayabusa.taglib.JsChartDataTag#setBackgroundColor(String bgColor)

	[プラグイン定義された関数を指定します]
		hayabusa.taglib.JsChartTag#setPlugins(String attri)

	[新規追加]
		hayabusa.taglib.ViewIGanttBarTag#setMoveStep(String moveStep)
		hayabusa.taglib.ViewIGanttBarTag#setFixed(String fixed)
		hayabusa.taglib.ViewIGanttBarTag#setMStone(String mStone)
		hayabusa.taglib.ViewIGanttBarTag#setBalloon(String balloon)
		hayabusa.taglib.ViewIGanttBarTag#setKeyInfo(String keyInfo)
		hayabusa.taglib.ViewIGanttBarTag#setWritable(String writable)
		hayabusa.taglib.ViewIGanttBarTag#setReport(String report)
		hayabusa.taglib.ViewIGanttBarTag#setZindex(String zindex)

	[配列からリストに変更の対応]
		fukurou.util.ColorMap#getColorInstance(int no)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample5.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\default.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\chartOptions.js

6.9.9.1 (2018/08/27)
	[リソースの整理]
	未使用のリソースや、ｶﾗﾑとｺｰﾄﾞの定義の不一致等の関係で、修正します。
		CLASSIFY 分類 						ﾒﾆｭｰ/ﾒﾆｭｰ → ﾗﾍﾞﾙ/ﾃｷｽﾄ
											ｺｰﾄﾞﾘｿｰｽ削除
		FAVORITE_CLASSIFY 分類 				削除
		EDITOR.DATALIST ﾃﾞｰﾀﾘｽﾄ ﾃﾞｰﾀﾘｽﾄ 	名称を、全角 → 半角に変更
		QUERY_ZOKUSEI						削除

	[SELECT検索できなかった場合]
		hayabusa.taglib.DBCopyTag#execute()

	[StringBuilder を、List に変更したが、empty時の処理漏れ対応]
		fukurou.system.ThrowUtil.CaseBuilder#toString()
		fukurou.system.ThrowUtil.CaseBuilder#toThrowMsg()

	[cnstKeys,cnstValsは、個数違いの場合のみ、エラーです]
		fukurou.db.QueryMaker#getUpdateSQL()

	[useStop 属性を追加します]
		hayabusa.taglib.TextTag#doEndTag()
		hayabusa.taglib.TextTag#release2()
		hayabusa.taglib.TextTag#setUseStop(String flag)

	[お気に入り編集メニュー(GE0014→GFX000)変更]
		hayabusa.taglib.TopMenuTag#makeFavoriteMenu()

	[デフォルトコンストラクタに、super(); を呼び出すようにします]
		fukurou.system.ThrowUtil.CaseBuilder#CaseBuilder()

	[ラベル領域の長さ求めで、改行が含まれる場合の計算対応]
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)
		plugin.view.ViewForm_ImageTimeBar#calcImageSize(int startNo,int lastNo)
		plugin.view.ViewForm_ImageTimeBar#imageHeaderPaint(Graphics2D g2,double timeScale,ViewForm_ImageTimeBar.FlgColorMap colMap)

	[ポップアップの表示位置 修正]
	カレンダ等のポップアップを表示する際、クリック位置に表示させるように
	html5modalDialog.js で、event から、event.screenX、event.screenY で、クリック位置を
	取っていましたが、ディスプレイの位置で、表示する際のブラウザのクリック位置とは異なっていました。
	event.clientX 、 event.clientX にすることで、クリック位置にポップアップを表示させるようにします。
	ちなみに、pageX.pageY は、ページ全体でのマウスの位置座標を取得するため，ページをスクロールさせた場合，
	原点がウィンドウよりも上に移動してしまいます。
	この値がとれない場合は、5% がデフォルトになっています。
		gf\src\script\common\option\html5modalDialog.js

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\DOC04\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\DOC04\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX000\modify.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX000\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX000\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

6.9.9.0 (2018/08/20)
	[YYYYｷｰﾜｰﾄﾞに置換するｸﾞﾙｰﾌﾟｶﾗﾑ名]
		hayabusa.taglib.ValueMapParamTag#setGrpKeyClm(String clm)
		hayabusa.taglib.ValueMapTag#makeRestValue()

	[action に、TBLNULLSETを追加]
		hayabusa.taglib.EntryTag#setColumnValues(String[] val)

	[endDateInput として、用意します]
		hayabusa.taglib.ViewIGanttBarTag#setEndInput(String endInput)
		hayabusa.taglib.ViewIGanttBarTag#setEndDateInput(String endDateInput)

	[endTimeInput として、用意します]
		hayabusa.taglib.ViewIGanttBarTag#setEndTimeInput(String endTimeInput)

	[startDateInput として、用意します]
		hayabusa.taglib.ViewIGanttBarTag#setStartInput(String startInput)
		hayabusa.taglib.ViewIGanttBarTag#setStartDateInput(String startDateInput)

	[startTimeInput として、用意します]
		hayabusa.taglib.ViewIGanttBarTag#setStartTimeInput(String startTimeInput)

	[プレースホルダ対応( 5.10.2.1 (2018/08/18) )]
		hayabusa.taglib.QueryTag#execute(Query query)

	[戻り値を返せるようにします]
		fukurou.business.AbstractBizLogic#setRtnMap(String key,String val)
		fukurou.business.AbstractBizLogic#getReturnMap()
		fukurou.business.BizLogicHelper#getReturnMap()
		hayabusa.taglib.BizLogicTag#call(String logicName,Transaction tran)

	[新規追加( 5.10.2.1 (2018/08/18) )]
		hayabusa.taglib.QueryTag#addPlaceValue(String val)
		hayabusa.taglib.SqlAndTag#makePlaceHolder()
		hayabusa.taglib.SqlAndTag#setPlaceHolder(String val)

	[｢ERR0041:検索処理中に割り込みの検索要求がありました｣エラーを、標準のErrorMessageに追加するようにします]
	問合・ﾄﾗﾌﾞﾙ (61200-180803-02)
		hayabusa.taglib.FileUpdateTag#doEndTag()
		hayabusa.taglib.PlsqlUpdateTag#doEndTag()
		hayabusa.taglib.QueryTag#doEndTag()
		hayabusa.taglib.TableUpdateTag#doEndTag()

	[ﾛｼﾞｯｸ修正ミス]
		penguin.math.statistics.HybsMahalanobis#distance(RealMatrix mtx1,double[] vec1,double[] vec2)

	[ｿｰｽﾁｪｯｸ iGanttBar ﾁｪｯｸ]
	startInputと、endInput 廃止にともなう、チェックを追加します。
		jsp/DOC18/xsltV6/GF70_PROG.xsl

	[固定値カラム設定用クラス]
	6.9.6.0 (2018/05/07) で、廃止した、DBConstValue_GJ の代わりを、登録します。
		plugin.query.DBConstValue_NOFGJ		新規追加

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\DOC04\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\DOC04\result.jsp

	[action="TBLNULLSET" 追加]
		hayabusa.taglib.ColumnSetTag		ﾄﾞｷｭﾒﾝﾄ修正

	[V5 修正反映]
	X 5.10.2.2 (2018/08/24)
	X	[一部エラーを、標準のErrorMessageに追加するように変更]
	X	AjaxSubmit時にエラーと判定されないため、一部のエラー出力をjspPrintから標準のErrorMessageに変更(6.9.9.0)
	X		hayabusa.taglib.QueryTag#doEndTag()
	X		hayabusa.taglib.PlsqlUpdateTag#doEndTag()
	X		hayabusa.taglib.TableUpdateTag#doEndTag()
	X		hayabusa.taglib.

	5.10.2.1 (2018/08/18)
		[andタグのプレースホルダ対応]
		原則シングルクォーテーションを利用させないことでSQLインジェクション対策は行っていますが、
		一般的なプレースホルダ形式でのWhere句のサポートを拡張しておきます。
		今までもJDBCPreparedタイプでプレースホルダは利用出来ていましたが、ANDタグのnull時に無視するという
		挙動が出来ていなかったため、andタグでプレースホルダの利用を出来るようにします。
		placeholder属性に{@xxx}形式で記述したものがvalue内の?に対応します。
		※postgres8.3以降では、数値型の列に対して、実行した場合は、型相違のエラーが発生します。
		 postgres8.3以降でPreparedStatementを利用する場合は、postgres側に暗黙の型変換(CAST)の実装を検討して下さい。
			hayabusa.taglib.SqlAndTag#doEndTag()
			hayabusa.taglib.SqlAndTag#release2()
			hayabusa.taglib.SqlAndTag#setPlaceHolder( final String val)
			hayabusa.taglib.QueryTag#release2()
			hayabusa.taglib.QueryTag#execute( final Query query )
			hayabusa.taglib.QueryTag#addListPlaceValue(final String trg)
			plugin.query.Query_JDBCPrepared#execute()

	X 5.10.2.0 (2018/08/03)
	X	[addBrowserClass.js追加]
	X	6.0.2.5 (2014/10/31)で追加しているjsをV5にも入れておきます。
	X	現時点では、HeadTag で、gantt 指定を行った場合のみ、addBrowserClass.js を
	X	インクルードします。adjustGanttTable.js の中から、このメソッドを呼び出します。
	X		jsp/common/option/addBrowserClass.js
	X		jsp/common/option/adjustGanttTable.css
	X		hayabusa.taglib.HeadTag#doEndTag()

6.9.8.3 (2018/07/23)
	[ガント積上げ計算のバグ]
	2018/07/20 cost積み上げの数値計算バグ対応
	文字列の連結と数値の足し算が混合されている状態
		gf\src\script\common\option\adjustGanttTable.js

	[V5 修正反映]
	5.10.1.2 (2018/07/20)
		[積み上げガント修正]
		加算で文字列連結になるパターンがあるので修正。
		日時逆転時の対応追加
			jsp/common/option/adjustGanttTable.js

	5.10.1.1 (2018/07/13)
		[iframe化対応]
		frameでQUERYとRESULTを切っていますが、これをiframe出来るように対応しておきます。
		具体的にはヘッダのフレームサイズ変更ボタン、検索時の高さ自動調整について対応しておきます。
		RESLUT部分をさらに二つに分けるようなパターンの場合はGridレイアウトとする必要があるため、
		optionにiframe,cssとして配置しておきます。
			jsp/common/default.js
			jsp/common/queryScript.js
			jsp/common/option/iframe.css

		[ヘッダーソート修正]
		ヘッダーソートでリクエスト変数を復元する際に、キー値にマルチバイト文字が含まれる場合がありました。
		仕様上URLに含める事ができず、Tomcat9以降で問題になるためURIエンコードで変換をかけるようにします。
			hayabusa.html.AbstractViewForm# makeTableSorterQuery( final Map<?,?> map )

	5.10.1.0 (2018/06/29)
		[FAQと新着画面]
		FAQと新着情報の画面でリッチテキストを利用可能とします。
		同時に、リッチテキストを実際の画面で使う上で考慮不足だった箇所の対応を入れておきます。
		（主にクリアボタンとエラー画面からの戻る場合の対応）
			plugin.column.Editor_RICHTEXT#Editor_RICHTEXT( final DBColumn clm )
			plugin.column.Editor_RICHTEXT#createCLEditorSc(String id)	
			plugin.column.Renderer_RICHLABEL#ignoreStr
			plugin.column.Renderer_RICHTEXT#Renderer_RICHTEXT( final DBColumn clm )
			jsp/common/option/jquery.cleditor.custom.js
			jsp/common/gamen/21_WHTSNEW
			jsp/common/gamen/22_FAQ
			jsp/common/gamen/23_FAQRGST

	5.10.0.2 (2018/06/22)
		[tomcat8対応]
		URLのルールが厳密になり、マルチバイト等を含める事が出来なくなるため、
		urlEncodeをかけることでEdit画面の対応をします。
			hayabusa.taglib.FileUDTag#doEndTag()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\meisai.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\top_result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\22_FAQ\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\update0.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css
		C:\opengionV6\uap\webapps\gf\src\script\common\default.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\iframe.css
		C:\opengionV6\uap\webapps\gf\src\script\common\option\jquery.cleditor.custom.js
		C:\opengionV6\uap\webapps\gf\src\script\common\queryScript.js

6.9.8.2 (2018/07/02)
	[GF6010修正]
	6.4.4.0 (2016/03/11) で、RADIO2 廃止しましたが、GF6010 の JSPから
	削除していませんでしたので、修正します。
		C:\opengionV6\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6010\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\result.jsp

	[tomcat9.0.10]
	tomcat9.0.10 に、更新しました。

	[jsp , js , css , tld更新]
		jsp/index.jsp
		jsp/GF0000/index.jsp
		jsp/GF0000/index2.jsp
		jsp/GF0000/index3.jsp

6.9.8.1 (2018/06/11)
	今回の対応は、Ver5 反映のみです。
	5.10.0.1 (2018/06/15) で、[帳票エラーメールの改修] が入り、
	GE54 に、FGNOML カラム(エラーメールを送信しないフラグ)が追加
	されましたが、Ver6 では、互換性の観点から、見送っています。
	Ver7 にて、対応予定です。

	[読み取り専用(writable="false") の場合のNo欄対応]
	改善 (61200-180607-02)
		plugin.view.ViewForm_HTMLTable#getTableHead()

	[V5 修正反映]
	5.10.0.1 (2018/06/15)
		[ソース修正]
		リッチテキスト関係のソースを一部修正（動作の変更はしていない）
			fukurou.util.StringUtil#escapeFilter( final String input, final String ignore )

	5.10.0.0 (2018/06/08)
		[帳票エラーメールの改修]
		帳票エラー時のメール送信は帳票IDの正規表現でコントロール可能でしたが、
		ID単位に未送信フラグを持たせてコントロール可能にします。
		GE54にFGNOMLカラムを追加し、これが1の場合はエラーメールを送信しないようにします。
		帳票の動作にDBのカラム追加が伴うためバージョンを5.10系に上げます。
			GE54 FGNOMLカラム追加
			hayabusa.report.GE50Access#insertErrorGE56( final String inErrMsg)
			hayabusa.report.GE50Access#setFgNoMl( final String fgnoml )
			hayabusa.report2.QueueManager_DB#create()
			hayabusa.report2.QueueManager_DB#insertErrorMsg( final ExecQueue queue )
			hayabusa.report2.ExecQueue#setFgnoml( final String fgnoml)
			hayabusa.report2.ExecQueue#getFgnoml()
			plugin.daemon.Daemon_Report#GE50_SELECT
			plugin.daemon.Daemon_Report#startDaemon()
			ge/jsp/REP05

	5.9.33.0 (2018/06/01)
		[メール履歴]
		mailSenderタグでGE32に履歴を残す処理で、to,cc,bccがnullの場合にエラーが発生していたので修正します。
			hayabusa.mail.MailModuleUtil#getDstAddrMap( final String[] dstBuf, final int kbn )

		[OracleCloudストレージ対応]
		AWS等と同様にOracleCloudのストレージの対応をしておきます。
		コンパイル、利用には以下が追加で必要です。
		jersey-client-1.13.jar,jersey-core-1.13.jar,jersey-json-1.13.jar,jersey-multipart-1.13.jar
		jettison-1.1.jar,mimepull-1.9.3.jar,oracle.cloud.storage.api-13.1.11.jar
			plugin.cloud.StorageAPI_oracle

		[リッチテキスト改善]
		HTMLとして直接表示するタイプのレンデラーRICHLABELを追加しておきます。
		同時に接頭語をRICHに揃えるため、TEXTRICHという名称だったものをRICHTEXTに変更します。
		RICHLABEL対応用に&lt;&gt;を元の括弧に戻す処理をStringUtilに入れておきます。
		また、文中に入力した＜＞を表示可能にするため、特定のタグ以外は戻さないようにしておきます。
			fukurou.util.StringUtil#escapeFilter( String input )
			plugin.column.Renderer_RICHLABEL
			plugin.column.Renderer_RICHTEXT
			plugin.column.Editor_RICHTEXT
			jsp/common/option/jquery.cleditor.custom.js

6.9.8.0 (2018/05/28)
	[DBID 対応漏れ,arg引数がないことを明確にするため、nullを渡します]
		fukurou.db.DBFunctionName#getSequence(String seqName,Transaction tran,String DBID)

	[FindBugs 対応で、groupCheckの判定方法に、groups == null も入れる]
		hayabusa.taglib.TopMenuTag#guiCheck(GUIInfo[] guiInfos,int idx)
		hayabusa.taglib.TopMenuTag#groupCheck(GUIInfo guiInfo)

	[FindBugs:null になっている可能性があるメソッドの戻り値を利用している]
		fukurou.fileexec.FileUtil#backup(Path from,Path to,boolean useLock,boolean existsCheck,String sufix)

	[FindBugs:ローカル変数への無効な代入(methodのGET/POST廃止)]
		plugin.daemon.Daemon_URLConnect#initDaemon()

	[FindBugs:例外的戻り値を無視しているメソッド(mkdirs)]
		fukurou.process.Process_DBFileout#action(LineModel data)
		hayabusa.taglib.FileTag#actionExec(String action)

	[FindBugs:浮動小数点の等価性のためのテスト]
		fukurou.db.Functions#toChar(double val)

	[Ver5 とﾛｼﾞｯｸを合わせます]
		hayabusa.taglib.ColumnEditorTag#setUseRealTimeCheck(String flag)
		hayabusa.taglib.ColumnTag#setUseRealTimeCheck(String flag)
		hayabusa.taglib.InputTag#setUseRealTimeCheck(String flag)
		hayabusa.taglib.SelectTag#setUseRealTimeCheck(String flag)
		hayabusa.taglib.TextareaTag#setUseRealTimeCheck(String flag)

	[consistencyKey に、tableId を考慮します]
	[tableId の整合性チェック]
	view と、entry で、画面とデータの整合性チェックを行っていますが、
	tableIdが設定されている場合は、キーに、tableId を付与します。
	以前、対応していたと思いますが、現時点で、なくなっているため、再登録します。
		hayabusa.taglib.EntryTag#checkConsistency()
		hayabusa.taglib.ViewFormTag#makeConsistencyKey()

	[debug="true" 時は、画面遷移は行わない。]
	forwardタグで、debug="true" 時は、forward も、sendRedirect も行いませんが、
	noTransition か、useAjaxSubmit が、true 時や、target属性指定時に、JavaScript で、
	画面遷移していたので、こちらも、debug="true" 時は、画面遷移しないようにします。
		hayabusa.taglib.ForwardTag#doEndTag()

	[det を削除します]
		penguin.math.statistics.HybsMahalanobis#distance(RealMatrix mtx1,double[] vec1,double[] vec2)

	[disabled 時に、日付ピッカーを出さない対応]
		plugin.column.Editor_YMD2#getValue(String value)
		plugin.column.Editor_YMD2#getValue(int row,String value)
		plugin.column.Editor_YMD2#Editor_YMD2()
		plugin.column.Editor_YMD2#Editor_YMD2(DBColumn clm)
		plugin.column.Editor_YMD3#getValue(String value)
		plugin.column.Editor_YMD3#getValue(int row,String value)
		plugin.column.Editor_YMD3#Editor_YMD3()
		plugin.column.Editor_YMD3#Editor_YMD3(DBColumn clm)

	関連しませんが、YMD2 を使用しているカラムを、disabled に設定しても、
	ポップアップ画像が表示され、日付を選択できてしまう件についても、
	disabled 時は、日付選択を表示しないように修正しました。
		jsp\GF6000\query.jsp

	[disabled 時に、時間ピッカーを出さない対応]
		plugin.column.Editor_HM#Editor_HM(DBColumn clm)
		plugin.column.Editor_HM#getValue(String value)
		plugin.column.Editor_HM#getValue(int row,String value)
		plugin.column.Editor_HM#Editor_HM()

	[setup() は、内部処理からのみ呼ばれるので、private化します]
		fukurou.db.QueryMaker#setup()

	[source、target、replacement のどれかが、null(ゼロ文字列)の場合は、source を返す]
		fukurou.db.Functions#replace(String source,String target,String replacement)

	[エスケープ文字の使用可否]
		fukurou.util.CommentLineParser.CommentSet#useEsc()
		fukurou.util.CommentLineParser.CommentSet#checkEsc(char ch)
		fukurou.util.CommentLineParser#CommentLineParser(String sufix)

	[エラー時に、わかりやすいように、引数を、パラメータ順にします]
		plugin.query.Query_JDBCTableUpdate#execute(int[] rowNo,DBTableModel table)

	[セットアップチェックが漏れていた]
		fukurou.db.QueryMaker#getParamNames(boolean useInsert)

	[パラメータ引数が、未設定の場合の考慮不足]
		hayabusa.taglib.ColumnEditorTag#setEventCallback(String callback)
		hayabusa.taglib.ColumnTag#setEventCallback(String callback)
		hayabusa.taglib.SelectTag#setEventCallback(String callback)

	[固定情報カラムを使用しない場合は、constObjKey="" をセット]
		hayabusa.taglib.TableUpdateParamTag#setConstObjKey(String key)

	[Renderer_MONEY]
	改善 (61200-170526-02)
	GF6020/result.jsp のサンプルが判りにくかったため、コメントを追記しました。
	なお、判り難かった原因は、EMPﾃｰﾌﾞﾙのデータが、きちんと入っていないことです。
	mis-dev2 の、データを、作成しなおしました。

	[ソースGrep検索]
	問合・ﾄﾗﾌﾞﾙ (61200-180523-02) 
	「ソースGrep検索(DOC23)」画面での、SQL処理時のコメント処理不具合
	SQLソースに、￥でのエスケープ処理を入れていたため、行が、シングルクオートで
	囲まれていると判断され、その内部の文字列をコメントと認識していませんでした。
	java 以外は、￥ をエスケープ文字と判断しないようにします。
	※ ORACLE のシングルクオートがエスケープ文字になる処理は、入れていません。

	[カレンダポップアップ]
	問合・ﾄﾗﾌﾞﾙ (61200-180523-01)
	３ヶ月ピッカー対応した、カレンダポップアップで、tomcat9.0.8 + YMD2 で、
	Bad Request エラーが発生しますので、修正しました。
	tomcat9.0.8 より、RFC 7230 and RFC 3986 に厳格に従うようになったようで、
	日本語関連のURL は、エンコードしないと、同様のエラーが発生します。

	[V5 修正反映]
	5.9.33.0 (2018/06/01)
		[メール履歴]
		mailSenderタグでGE32に履歴を残す処理で、to,cc,bccがnullの場合にエラーが発生していたので修正します。
			hayabusa.mail.MailModuleUtil#getDstAddrMap( final String[] dstBuf, final int kbn )

	5.9.32.3 (2018/05/25)
		[カレンダー修正]
		YMD2のカレンダー機能が、popupのスクリプト変更に対応していなかったため修正します。
			plugin.column.Editor_YMD2

	5.9.32.2 (2018/05/18)
		[リアルタイムチェック]
		改善 (61200-180411-05)
		リアルタイムチェックをかけたくないカラムに対して、独自属性の useRealTimeCheck を付加する事で
		スクリプトの対象から外す事が出来るようにしておきます。(属性がfalseの場合のみチェックを行わない）
		この値をoptionAttributeの代わりにfalseでセット可能な属性をcolumn,inputタグに追加しておきます。
			jsp/common/eventScript.js
			hayabusa.taglib.ColumnTagt#setUseRealTimeCheck( final String flg )
			hayabusa.taglib.InputTag#setUseRealTimeCheck( final String flg )
			hayabusa.taglib.TextareaTag#setUseRealTimeCheck( final String flg )
			hayabusa.taglib.SelectTag#setUseRealTimeCheck( final String flg )
			hayabusa.taglib.ColumnEditorTag#setUseRealTimeCheck( final String flg )
			hybs-taglib.tld

		[トランザクションのcommit]
		selectに対してもcommitを発行しておく方が良いため、コネクションはプールに戻す直前に
		必ずcommitをかけるようにしておきます。
		(PostgerSQLの場合にidle in transactionのままになってオブジェクトがロックされるため）
			fukurou.db.ConnectionFactory#close( final Connection conn,final String dbid )

		[{@GUI.xxx}]
		{@GUI.xxx}を取得できなかった場合のエラーの表記を変更します。
		Not Found[xxx]でしたが、テーブルモデル系の内部でエラーが出た場合にカラム名と誤認されるため
		Not Found(xxx)に変更します。
			hayabusa.taglib.CommonTagSupoprt#getGUIInfoAttri( final String attkey )

	[廃止クラス、廃止属性の実施]
	[FindBugsの実施]
		6.9.8.0_refactoring.txt

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6000\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\result1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js

6.9.7.0 (2018/05/14)
	[DYSETの登録と、旧データ（１ヶ月前）の削除を行います]
	問合・ﾄﾗﾌﾞﾙ (61200-180510-03)
	GE12 に、過去に登録された システム定数が残る場合があります。
	今回、GE12 登録時(システムID が、"**" 以外) に、DYSET を設定し、
	DYSET が、NULL か、起動時より、１ヶ月以上経過している場合に、
	データを削除します。
		hayabusa.common.SystemParameter#dbResourceUpdate(Connection conn,Map map)

	※ Tomcat 起動後、１ヶ月以上再起動しない場合も、該当しますが、
	   元々、起動時に自身のシステムIDのデータを、一旦m削除してINSERT
	   しています。（ｴﾝｼﾞﾝが更新された場合に、標準のシステム定数を
	   更新するため）
	※ 問題が発生するとすれば、異なるTomcatを複数起動しておき、それぞれが
	   同一の データベース（GE12) にアクセスしているような場合、
	   一つのTomcat を再起動した際に、もう一つの Tomcat が INSERT した
	   システム定数を、消されてしまう（１ヶ月以上経過しているため）
	   現象が発生します。
	   システムとしては、それぞれの Tomcat は、内部メモリに、システム定数値を
	   持っている為、動作は問題ありませんが、消されたほうのシステム定数を、
	   変更しようとした場合、キーが見つからないため、登録しづらくなります。

	[URL_ENCODE,URL_ENCODE2,URL_DECODE を追加]
	valueタグに、URL_ENCODE,URL_ENCODE2,URL_DECODE action を追加します。
	URL_ENCODE は、すべての対象文字列を、URLエンコードします。
	例えば、keys,vals の vals を、URLエンコードする場合に使います。
	URL_ENCODE2 は、ASCII以外の文字の、URLエンコードします。
	例えば、http:// などのURL の場合は、':' , '/' は、エンコードしません。
	URL文字列すべてを、一括で、エンコードする場合に、使います。
	URL_DECODE は、URLエンコードされた文字列をデコードします。
		hayabusa.taglib.ValueTag#actionExec(String action,String value)

	[PMD Each class should declare at least one constructor]
		fukurou.fileexec.RunExec_DBIN#RunExec_DBIN()
		hayabusa.html.ViewJsonParam#ViewJsonParam()
		hayabusa.io.JsChartData#JsChartData()
		hayabusa.report.RFIDPrintPointService_DEFAULT#RFIDPrintPointService_DEFAULT()
		hayabusa.taglib.JsChartDataTag#JsChartDataTag()
		hayabusa.taglib.JsChartTag#JsChartTag()
		hayabusa.taglib.ViewJsonParamTag#ViewJsonParamTag()
		plugin.cloud.MailManager_DB_SendGridAPI#MailManager_DB_SendGridAPI()
		plugin.column.DBType_SHA1#DBType_SHA1()
		plugin.daemon.MailDaemon_SendGridAPI#MailDaemon_SendGridAPI()
		plugin.report.CSVPrintPointService_RFW2#CSVPrintPointService_RFW2()
		plugin.table.TableFilter_INDEX_ORACLE#TableFilter_INDEX_ORACLE()
		plugin.table.TableFilter_SEQUENCE_ORACLE#TableFilter_SEQUENCE_ORACLE()
		plugin.table.TableFilter_TABLE_ORACLE#TableFilter_TABLE_ORACLE()

	[PMD encode,clms72,skipCnt unreferenced before a possible exit point.]
		fukurou.fileexec.RunExec_DBIN#exec(Path path,String[] ge72Data)

	[web.xml]
	web.xml のバージョンを、3.1 から、4.0 に変更します。

	[ge.war にlog,filetempフォルダ追加]
	問合・ﾄﾗﾌﾞﾙ (61200-180509-03)
	ge.war 作成時に、空のlog,filetempフォルダを作成し忘れていたため追加します。

	[CalendarQuery 一部廃止]
	現在、使われていない、ｶﾚﾝﾀﾞｰﾃｰﾌﾞﾙ( HM20,TP637,TP652,WI008,ZY01 )の
	CalendarQuery_XX.java クラスを廃止します。

	[stopZero,notfoundMsg 属性追加]
	改善 (61200-180509-02)
		hayabusa.taglib.ChartCreateTag#addChartDataset(ChartDataset chDataset)
		hayabusa.taglib.ChartCreateTag#setStopZero(String cmd)
		hayabusa.taglib.ChartCreateTag#setNotfoundMsg(String id)
		hayabusa.taglib.ChartCreateTag#doEndTag()
		hayabusa.taglib.ChartCreateTag#release2()

	[データ０件のときは、処理を中断します]
	改善 (61200-180509-02)
		hayabusa.io.HybsCategoryDataset#execute(Connection conn,String query)
		hayabusa.io.HybsCategoryDataset#execute(DBTableModel table)
		hayabusa.io.ChartDataset#getRowCount()
		hayabusa.io.ChartFactory#getRowCount(Dataset dataset)

	[14桁 丁度のときに、エラーになるので、修正します]
	問合・ﾄﾗﾌﾞﾙ (61200-180511-02)
	表示開始日時に14桁をｾｯﾄすると、日付データの設定エラーが表示されていました。
	ソース上、14桁ジャストの処理が漏れていました。
		hayabusa.taglib.ViewTimeBarParamTag#setStartDate(String startDate)

	[imgタグに付与する、高さ、幅を、AbstractViewForm から、取得します]
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)

	[カットサイズを指定する]
	//	 * @param	clm	DBColumnオブジェクト
		plugin.column.Renderer_SLABEL#Renderer_SLABEL(String size)

	[タブや空白文字も null系と判断]
		fukurou.util.StringUtil#coalesce(CharSequence[] strs)

	[中間変数を用意せず、直接返します]
		fukurou.util.HybsLoader#load(String clsNm)

	[新規作成]
		fukurou.db.Functions#Functions()

	[新規追加]
		hayabusa.html.AbstractViewForm#getHeight()
		hayabusa.html.AbstractViewForm#getWidth()

	[記号追加]
		plugin.column.Renderer_MONEY#Renderer_MONEY(String defval,int size,String noDispVal,String mkigo)
		plugin.column.Renderer_MONEY#newInstance(DBColumn clm)
		plugin.column.Renderer_MONEY#getValue(String value,boolean isView)
		plugin.column.Renderer_MONEY#getValue(int row,String value,String param)
		plugin.column.Renderer_MONEY#Renderer_MONEY()

	[V5 修正反映]
	5.9.32.1 (2018/05/11)
	X	※ Ver5では、SystemData に、VIEW_USE_HILIGHT_RADIO_CLICK の定義がされていなかっただけ。Ver6 は問題なし。
	X	[VIEW_USE_HILIGHT_RADIO_CLICK]
	X	初期値nullだったため、タグ側で初期値をtrueにセットしておきます。
	X		hayabusa.taglib.ViewFormTag#isHiRadioClick

	X	[AWSのS3追加対応]
	X	ファイルパスでスラッシュが重なっている状態等はアップロードされないため、プラグイン側で対応しておきます。
	X	(フロッピーマークからのダウンロードが利用できなかった)
	X		plugin.cloud.StorageAPI_aws

		[fileUDのURLCheck対応]
		fileUDのリンク先であるfileDownloadに対するURLチェックを行う場合があるため、キーの付加を可能にしておきます。
	×		hayabusa.common.SystemData#FILEUD_URL_CHECK
	○		hayabusa.common.SystemData#USE_FILEUD_URL_CHECK						Ver 6.9.7.0 (2018/05/14) では、USE_ を付けておきます。
			hayabusa.taglib.FileUDTag#setUseURLCheck( final String flag )
			hayabusa.taglib.FileUDTag#release2()
			hayabusa.taglib.FileUDTag#makeTag( final String imgsrc, final String href,  final String alt, final String tgt)
			hybs-taglib.tld

	X	6.8.1.4 (2017/08/25) filename に、拡張子はつけません。
	X	[XLSX出力対応]
	X	システムリソースTABLE_WRITER_EXCEL_TYPEの設定を、fileUDタグのfilename拡張子に反映させるようにしておきます。
	X		hayabusa.taglib.fileUD#doEndTag() 

		[ExcelDLのクラウド対応]
		実際の利用（URLチェックをかける）を鑑みて、クラウド時はリダイレクトではなくフォーワードとしておきます。
			jsp/common/fileDownload.jsp

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GANTT06B\viewX2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\chartOnly.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\tableData.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7209\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7212\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7212\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar_3month.js
		C:\opengionV6\uap\webapps\gf\src\script\common\jquery\jquery.cleditor.css
		C:\opengionV6\uap\webapps\gf\src\script\common\jquery\jquery.cleditor.custom.js
		C:\opengionV6\uap\webapps\gf\src\script\common\jquery\jquery.cleditor.js

6.9.6.0 (2018/05/07)
	[PGSET 追加]
	TableUpdateParamTagタグのconstObjKeyで、GE に、作成ＰＧ(PGSET) を追加します。
	また、GJ,TPM,UA,ZY は、廃止します。
		plugin.query.DBConstValue_GE#init(String table,String user,String gamen)
		plugin.query.DBConstValue_GJ	廃止
		plugin.query.DBConstValue_TPM	廃止
		plugin.query.DBConstValue_UA	廃止
		plugin.query.DBConstValue_ZY	廃止

	[V5 修正反映]
	5.9.32.0 (2018/05/02)
		[リッチテキスト入力]
		ヘルプやお知らせ等でリッチテキストを入力したい場面があるため、エディタを追加しておきます。
		利用する場合にはheadタグでuseRichText=trueを指定してください。
			plugin.column#Editor_TEXTRICH
			plugin.column#Renderer_TEXTRICH
			hayabusa.taglib.HeadTag#release2()
			hayabusa.taglib.HeadTag#doEndTag()
			hayabusa.taglib.HeadTag#setUseRichText( final String flag )
			jsp/common/option/jquery.cleditor.css
			jsp/common/option/jquery.cleditor.custom.js
			jsp/common/option/jquery.cleditor.js
			jsp/common/option/images/*
			hybs-taglib.tld

	X	[VIEW_USE_HILIGHT_RADIO_CLICK]
	X	6.2.2.0 (2015/03/27)取り込み。hilightRowの引数を追加して、行選択時にイベント発行可否を指定可能とする。
	X		hayabusa.taglib.ViewFormTag#setUseHilightRadioClick( final String useClick ) 
	X		hayabusa.taglib.ViewFormTag#release2()
	X		hayabusa.taglib.ViewFormTag#doEndTag()
	X		common/resultScript.js#hilightRow( evt, isCheckOnly, isRadioClick )
	X		hybs-taglib.tld

		[カレンダースクリプト修正]
		カレンダーに対して英字を送信すると固まる不具合があったので修正します。
			common/calendar_3month.js#initCalendar(cntMonth)

		[左右分割スクロール修正]
		splitView利用時にEdit機能を使うと表示が想定通りにならない場合がある不具合を修正します。
			hayabusa.db.DBEditConfig#getViewClms( final String orgClms )

		[シーケンス取得方法変更]
		nextvalで取得していた帳票シーケンスを、標準的な書き方に変更しておきます。(5.9.31.1未対応分）
		伝送処理等で一部残っていますが、特殊用途なので置いておきます。
			hayabusa.report.GE50Access#makeYkno()

	X	[AWSプラグイン修正]
	X	EC2からS3へのアクセスはキーではなくIAMを利用した方が良いため、キーが登録されていない場合は
	X	IAMを利用するように変更します。
	X		plugin.cloud.StorageAPI_aws.java#StorageAPI_aws(String container, HttpSession hsession)

		[GEのMAIL03修正]
		画面で(+)による結合が行われていたので標準SQLを利用するように修正します。
			ge/jsp/MAIL03

		[メールデーモンの送信件数制御]
		利用サービスによっては時間辺りの送信件数が制限されている場合があるため、デーモン1回辺りのメール送信件数を
		制限する制御を入れておきます。
		MAIL_DAEMON_LIMITが0以下の場合は無制限、それ以外の場合は1回辺りに指定分だけ送信とします。
		標準は無制限です。
			hayabusa.common.SystemData#MAIL_DAEMON_LIMIT
			hayabusa.mail.MailManager_DB#selGE30

	5.9.31.1 (2018/04/13)
		[エンジン内部のシーケンス取得]
		エンジン内部でシーケンスの値を取得する際にfukurouを利用していない箇所があるため一部修正します。
		今回の対応箇所以外でも帳票等で利用していますが、一旦メール部分のみの修正としておきます。
			fukurou.db.DBFunctionName#getSequence( final String seqName, final Transaction tran, final String DBID )
			fukurou.db.DBFunctionName#getSequence( final String seqName, final Transaction tran )
			hayabusa.mail.MailModuleUtil#getYkno()

	5.9.31.0 (2018/04/06)
		リリース

6.9.5.0 (2018/04/23)
	fukurou.fileexec.CommandLine#IN2OUT
	static イニシャライザで行う。

	[hayabusa.common.SystemData 定数定義の廃止]
	現在、使われていない定数定義を廃止します。
		HONBAN_URL				本番環境のＵＲＬ。
		RDC_PREFIX				RDC_CODE(設計変更連絡番号)の先頭文字。
		USE_GUI_FAQ				HelpタグのFAQ表示を利用するか。				※ query_info.jsp で個別に定義されている。
		USE_GUI_FAQ_CTRL		HelpタグのFAQ表示で関連画面IDを利用するか。	※ 常に関連画面IDを利用することにする。
		DB_OFFICIAL_COLUMN_CHECK_LEVEL		DBColumn オブジェクトが正式で無い場合のチェックレベル	※ 警告(1) 固定にします。
		HTML_TABLE_PARAM		テーブル表示の 各種属性を一括指定します。
		VIEW_USE_CHECK_CONTROL	チェックボックスの全チェック属性の初期値
		USE_MULTI_KEY_SELECT	マルチキー入力メニューの作成可否		※ IE8以降ブラウザ標準
		USE_CONSISTENCY			登録時整合性チェックの使用有無。		※ true固定
		USE_MULTI_SESSION_CHECK	同一セッションでのマルチ起動対策を行うかどうか。			※ true固定
		USE_VIEWPORT_HEADER		タブレット等の画面サイズ調整METAタグ(viewport)を出力するか	※ false固定
		TRANSFER_HOST_CODE		伝送システムでホスト間伝送を行う際の送り元ホストコードを指定します。
		VER4_COMPATIBLE_MODE	Ver4と共通のリソースDB(GExx)を利用する場合に設定します。
		USE_IE7_HEADER			IE8でIE7エミュレートモードで動作させるタグを出力するかを指定	※ false固定
		USE_HTML5_HEADER		HTML5 に対応した ヘッダーを出力するか、どうかを指定します。		※ true固定
		USE_HTML5_MODAL			IEで最新のレンダリングを行うためのヘッダーを出力するかの設定をします。		※ true固定

		hayabusa.taglib.HelpTag#setUseFaqCtrl( final String flag )	廃止

	[廃止クラス、廃止属性の実施]
	先に、廃止すると宣言していたクラスに関して、実際に廃止します。
	6.9.5.0_refactoring.txt

	[og:frame 属性廃止]
	og:frameタグの、marginheight、marginwidth、scrolling 属性が廃止されます。
	それに先立ち、属性を削除します。
	すでに、IE10以降や、HTML5では、これらの属性は無効化されていますので、削除してかまいません。
	6.9.5.0_refactoring.txt

	[JSPｿｰｽﾁｪｯｸ]
	ｿｰｽﾁｪｯｸでエラー分を修正しておきます。
	6.9.5.0_refactoring.txt

	[USE_CONSISTENCY 廃止(true固定)]
		hayabusa.taglib.EntryTag#release2()

	[USE_DUMMY_INPUT 廃止(false固定)]
		hayabusa.taglib.QueryButtonTag#release2()
		hayabusa.taglib.WriteCheckTag#release2()

	[USE_IE7_HEADER 廃止(false固定)]
		plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()
		plugin.view.ViewForm_HTMLTable#getTableHead()

	[USE_IE7_HEADER 廃止(false固定) , USE_HTML5_HEADER 廃止(true固定) , USE_HTML5_MODAL 廃止(true固定)]
		hayabusa.taglib.HeadTag#setHeadType(String type)
		hayabusa.taglib.HeadTag#doEndTag()

	[USE_MULTI_KEY_SELECT 廃止(IE8以降ブラウザ標準)]
		hayabusa.resource.CodeData#CodeData(String clm,Map data)

	[USE_VIEWPORT_HEADER 廃止(false固定)]
		hayabusa.taglib.HeadTag#setUseViewPort(String flag)
		hayabusa.taglib.HeadTag#release2()

	[VIEW_USE_CHECK_CONTROL 廃止]
		hayabusa.taglib.ViewFormTag#doStartTag()

	[checkLevel 固定化(officialのみで制御します)]
		hayabusa.db.DBColumn#DBColumn(String lang,ColumnData clmData,LabelData lblData,CodeData cdData)
		hayabusa.db.DBColumn#DBColumn(DBColumnConfig config)
		hayabusa.db.DBColumn#valueCheck(String value,boolean isStrict)

	[direct 廃止(false固定)]
		hayabusa.taglib.WriteTableTag#doEndTag()
		hayabusa.taglib.WriteTableTag#release2()

	[extToken 廃止]
		hayabusa.html.ViewLink_LINK#clear()
		hayabusa.html.ViewLink_LINK#setDBTableModel(DBTableModel tbl)
		hayabusa.html.ViewLink_LINK#getMarkerString(int row,int clm,String value)
		hayabusa.taglib.LinkTag#doEndTag()
		hayabusa.taglib.LinkTag#release2()

	[isUseHTML5() 廃止(true固定)]
		hayabusa.taglib.HTMLTagSupport#doEndTag()

	[multiSessionCheck 廃止(true固定)]
		hayabusa.taglib.TopMenuTag#makeTagMenu(GUIInfo guiInfo,String bodyIn,int type)
		hayabusa.taglib.TopMenuTag#doEndTag()
		hayabusa.taglib.TopMenuTag#release2()

	[tableParam 廃止]
		plugin.view.ViewForm_HTMLTable#getTableTag()

	[useCheckControl 初期値=1:全チェックを使用]
		hayabusa.taglib.ViewFormTag#setUseCheckControl(String flag)
		hayabusa.taglib.ViewFormTag#release2()

	[useFaq 初期値固定、useFaqCtrl 廃止]
		hayabusa.taglib.HelpTag#release2()

	[useFaqCtrl 廃止(画面IDがある場合のみ表示)]
		hayabusa.taglib.HelpTag#makeTagFaq()

	[useMultiSelect 廃止]
		plugin.column.Editor_DBMENU#Editor_DBMENU(DBColumn clm)
		plugin.column.Editor_MENU#Editor_MENU(DBColumn clm,String type)

	[うまく動いていないようなので、廃止]
		hayabusa.taglib.CommonTagSupport#sys(String key)

	[カラム名が存在しない場合に、Exception を throw するかどうかを指定可能にする]
		fukurou.db.DBSimpleTable#setWhere(String wh)
		fukurou.model.ArrayDataModel#getColumnNo(String columnName)
		fukurou.model.ArrayDataModel#ArrayDataModel(String[] nms)
		fukurou.model.ArrayDataModel#ArrayDataModel(String[] nms,boolean useThrow)

	[#getColumnNo(String)を呼ぶように修正
	 * @param	clmNms 	値が参照されるカラム名配列(可変長引数)]
		fukurou.model.ArrayDataModel#getColumnNos(String[] clmNms)

	[値の設定を行いません]
		hayabusa.taglib.FrameTag#setMarginwidth(String marginwidth)
		hayabusa.taglib.FrameTag#setMarginheight(String marginheight)
		hayabusa.taglib.FrameTag#setScrolling(String scrolling)

	[初期値固定]
		hayabusa.taglib.HelpTag#setUseFaq(String flag)

	[左右分割に、使用をON/OFFするﾌﾗｸﾞを追加]
		hayabusa.taglib.SplitViewTag#doStartTag()
		hayabusa.taglib.SplitViewTag#doAfterBody()
		hayabusa.taglib.SplitViewTag#setUseSplit(String flag)
		hayabusa.taglib.SplitViewTag#isUseSplit()
		hayabusa.taglib.ViewFormTag#splitViewParamSet()
		gf/jsp/GF6130/query.jsp
		gf/jsp/GF6130/result.jsp

	[CreateToken 関連クラス廃止]
	これは、URLにトークンを付加するための一連の機能で、Akamai などの
	システムを使用する場合に、必要になる機能ですが、現状未使用のため
	廃止します。

		hayabusa.html.AbstractCreateToken.java
		hayabusa.html.CreateToken.java
		plugin.token	パッケージ

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\14_EDIT\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\14_EDIT\tab.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[java,tomcat VerUp]
	tomcat9.0.7 に、バージョンアップします。

	[V5 修正反映]
	5.9.30.3 (2018/03/30)
	X ※ Ver6 では、writeTable を使わずに、fileタグのcopySTアクションで作成
	X	[edit機能修正]
	X	Excel出力の標準をNLDから変更してNを外した場合に正常に動作しませんでした。
	X	edit機能の一部writeTableでNLDを直接指定しておきます。
	X		jsp/common/gamen/14_EDIT/entry.jsp
	X		jsp/common/gamen/14_EDIT/tab.jsp

	X	[カレンダーポップアップ]
	X	ポップアップサイズの変更が漏れていたため修正します。
	X	また、Ver.6互換の方式にしておきます。
	X	(標準は3ヶ月でシステムリソースCALENDAR_POPUP_TYPEのCAL1,CAL3で切り替え）
	X		plugin.column.Editor_YMD2#getValue( final String value )
	X		plugin.column.Editor_YMD2#getValue( final int row,final String value )

	5.9.30.2 (2018/03/23)
		[SystemInstallerのクラウド対応]
		System.getenvで値が取得できない場合はSystem.getPropertyで値を取得するようにします。
			hayabusa.common.SystemInstaller#autoInsUpd( final String systemId, final String context, final String hostUrl )
			hayabusa.common.SystemInstaller#install( final File buildArchive )

6.9.4.1 (2018/04/09)
	[時間計測処理の修正]
	6.9.4.1_refactoring.txt
	実行時間を表示するため、query.jsp の form タグに入れている
	timeSet() 関数ですが、onClick に関連付けられています。
	これは、onSubmit に関連付けなおします。
		<form ･･･ onClick="timeSet();">
					↓
		<form ･･･ onSubmit="timeSet();">

	[DB_BATCH_SIZE 指定を行います]
	hayabusaのDB_FETCH_SIZEを、ｼｽﾃﾑﾊﾟﾗﾒｰﾀから、fukurouのHybsConst固定値に変更します。
	DB_BATCH_SIZEを、fukurouのHybsConst固定値に変更します。
		fukurou.process.Process_DBWriter#end(boolean isOK)
		fukurou.process.Process_DBWriter#action(LineModel data)

	[FILEFILTER使用時(紙芝居作成時)は、相対ﾘﾝｸを出力するようにします]
		hayabusa.taglib.BackGamenTag#makeLinkTag()
		hayabusa.taglib.BackGamenTag#makeButtonTag()

	[fetchSize 指定を行います]
		fukurou.process.Process_DBFileout#init(ParamProcess paramProcess)
		fukurou.process.Process_DBFileout#action(LineModel data)
		fukurou.process.Process_DBFileout#makePrepareStatement(LineModel data)
		fukurou.process.Process_DBReader#init(ParamProcess paramProcess)

	[新規作成]
		plugin.table.TableFilter_SKIPROW.OmitTable#dataInit()

	[最大、最小の行の追加は、行番号の順番に行います]
		plugin.table.TableFilter_SKIPROW.OmitTable#check(int row,boolean isBreak)

	[日本語ファイル名で、旧方式を入れておくと、文字化けするので、はずします]
		hayabusa.servlet.FileDownload#doPost(HttpServletRequest request,HttpServletResponse response)

	[HYBS_BR の廃止 , gamenId の変数設定]
	色々と検討した結果、画面IDは、ユニーク設定しているため、メニューのブレイク（一つ空ける）
	処理は、廃止します。
	画面IDをユニークに取って、画面アドレスに、HYBS_BR と入れる対応は可能ですが、
	現状、ほとんど使っていないので、あえて、修正することは止めておきます。
		hayabusa.taglib.TopMenuTag#makeMatrixMenu()
		hayabusa.taglib.TopMenuTag#makeMatrixMenu2()
		hayabusa.taglib.TopMenuTag#makeMenu()
		hayabusa.taglib.TopMenuTag#makeTileMenu()
		hayabusa.taglib.TopMenuTag#makeOneLevelMenu()

	[21_WHTSNEW]
	ポップアップから、ファイルを開くで添付ファイルをオープンできない対応
		jsp\common\gamen\21_WHTSNEW\meisai.jsp		修正
	関連する処理として、top_result.jsp から、未使用のｶﾗﾑの削除と、
	filedown.jsp の廃止を行いました。

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\meisai.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\top_result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\filedown.jsp

6.9.4.0 (2018/04/02)
	[パッケージ廃止]
	現在、使用していないパッケージと、クラスを廃止します。
		org.opengion.hayabusa.develop
		org.opengion.plugin.develop
		org.opengion.plugin.taglib.JspCreateTag.java

	仕様管理ｼｽﾃﾑ は、使われていないため、廃止します。
		GF2200		画面一覧
		GF2201      画面作成
		GF2202      画面作成画面
		GF2250      青紙定義
		GF2251      利用DB定義
		GF2252      画面項目定義
		GF2253      画面ﾘﾝｸ設定
		GF2254      項目ﾁｪｯｸ基準
		GF2255      DBｾｯﾄ基準
		GF2256      PG変更履歴

	仕様書DB ﾃｰﾌﾞﾙを廃止します。
		GF90		青紙テーブル
		GF91		青紙明細テーブル
		GF92		画面項目定義テーブル
		GF93		画面項目リンク
		GF94		項目チェック基準書
		GF95		DBセット基準書
		GF96		PG変更履歴

	[caseKey 、caseVal 属性対応]
		hayabusa.taglib.TopMenuTag#doEndTag()
		hayabusa.taglib.TopMenuTag#makeTileMenu()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\index2.jsp

6.9.3.1 (2018/04/02)
	※ このバージョンは、リリースしていません。

	[紙芝居関係]
		querNWy.htm という文字列に変換されていたのを、queryNW.htm に訂正
		hayabusa.filter.FileResponseTransform#CHG_DATA
	//		,new ChangeData( "queryNW.htm" ,"\"query.htm?"	,"\"querNWy.htm?" )		// 6.4.2.1 (2016/02/05) クリアボタンのとび先
			,new ChangeData( "queryNW.htm" ,"\"query.htm?"	,"\"queryNW.htm?" )		// 6.9.3.1 (2018/04/02) クリアボタンのとび先(綴り間違い)

	[RESET時に、must,mustAny属性をクリアします]
		hayabusa.taglib.EntryTag#reset()
		hayabusa.taglib.EntryTag#allReset()

	[mustに、clear 指定で、mustMap すべてをクリアします]
		hayabusa.db.DBTableModelImpl#addMustType(int dbColumn,String type)

	[エラーメッセージのタグ情報のパースは、JasperException 以降から、改行２つまでの間のみとする]
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource)

	[カラムチェックで、mustAnyのチェック方法改善]
		hayabusa.taglib.ColumnCheckTag#makeEntryErrorMessage(ErrorMessage errMsg)

	[ﾊﾟﾗﾒｰﾀ処理で、ﾀﾞﾌﾞﾙｸｵｰﾄ内は分解しない・・の処理漏れ追加]
		hayabusa.taglib.CommonTagSupport#getNVLAttri(String attkey)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6100\copy.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6100\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6100\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\filedown.jsp
		C:\opengionV6\uap\webapps\gf\jsp\custom\query_info.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index2.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

6.9.3.0 (2018/03/26)
	[テキストエリアのヘッダーずれ]
	61200-180307-06 テキストエリアのヘッダーと明細の横幅がずれている
	件の対応です。
	width:calc(100%-4px); か、width: 99%; で対応可能との事でしたが、
	calc のほうが、うまく動かなかったため、width: 99%; で対応します。
		src\script\common\default.css
			textarea.renderer-textarea {
				background-color: transparent;
				border			: none;
				margin			: 0px;
				padding			: 0px;
				overflow		: auto;
				width			: 99%;			/* 6.9.3.0 (2018/03/19) 幅がヘッダーと合わない対策 */
			}

	[DBUpdaterクラスを利用したバッチ更新を追加します]
		plugin.query.Query_JDBCTableUpdate#execute(int[] rowNo,DBTableModel table)

	[DB_FETCH_SIZE追加]
		plugin.query.Query_JDBC#execute(String[] args)
		plugin.query.Query_JDBCArrayCallable#execute(String[] args)
		plugin.query.Query_JDBCCallable#execute(String[] args)
		plugin.query.Query_JDBCErrMsg#execute(String[] args)
		plugin.query.Query_JDBCKeyEntry#execute(String[] keys,String[] args)
		plugin.query.Query_JDBCPLSQL#execute(String names,String dbArrayType,DBSysArg[] sysArg,DBUserArg[] userArg)
		plugin.query.Query_JDBCPrepared#execute(String[] args)

	[debug="true" ではなく、専用属性の usePrintOut で出力を制御します]
		hayabusa.taglib.TextTag#doEndTag()

	[fetchSizeの初期値を100→SystemData.DB_FETCH_SIZE に変更]
		hayabusa.taglib.DirectWriteTableTag#release2()

	[isException 属性を追加します]
		hayabusa.taglib.EqualsTag#setIsException(String flag)
		hayabusa.taglib.EqualsTag#doStartTag()
		hayabusa.taglib.EqualsTag#release2()
		hayabusa.taglib.EqualsTag#setVal1(String val)
		hayabusa.taglib.EqualsTag#setVal2(String val)

	[usePrintOut 新規追加]
		hayabusa.taglib.TextTag#release2()
		hayabusa.taglib.TextTag#setUsePrintOut(String flag)

	[データ検索時のフェッチサイズを設定]
		fukurou.db.DBUtil#dbExecute(String stmt,String[] args,Transaction tran,String dbid,boolean useHeader)
		fukurou.db.DBUtil#dbCallExecute(String stmt,String[] args,Transaction tran,String dbid)
		fukurou.db.DBUtil#dbExist(String stmt,String[] args,Transaction tran,String dbid)
		fukurou.process.Process_DBCountFilter#makePrepareStatement(LineModel data)
		fukurou.process.Process_DBFileout#makePrepareStatement(LineModel data)
		hayabusa.common.SystemParameter#loadDBResource(Map sysParam)
		hayabusa.io.HybsCategoryDataset#execute(Connection conn,String query)
		hayabusa.io.HybsTaskSeriesCollection#executeQuery(Connection conn,String query)
		hayabusa.io.HybsTimeSeriesCollection#innerQueryV(Connection con,String query)
		hayabusa.report.ExcelInsert.DatabaseExecute#setStatement(String stmt)

	[ミス修正(検索件数のところを、フェッチ件数を取得していた)]
		fukurou.business.AbstractBizLogic#execSQL(String sq,int rw,DataModel tbl)

	[内部 Throwable が null の場合、長さゼロの StackTraceElementを返します]
		fukurou.system.OgRuntimeException#getStackTrace()

	[新規作成]
		plugin.table.TableFilter_SKIPROW#execute()
		plugin.table.TableFilter_SKIPROW#getSeparatedValue(int row,int[] clmNo)
		plugin.table.TableFilter_SKIPROW.OmitTable#OmitTable(DBTableModel table,int[] clmNos,int skipDataNum)
		plugin.table.TableFilter_SKIPROW.OmitTable#change(int row)
		plugin.table.TableFilter_SKIPROW.OmitTable#check(int row,boolean isBreak)
		plugin.table.TableFilter_SKIPROW.OmitTable#getTable()

	[標本標準偏差と母標準偏差は、一つだけにし、変動係数を追加します]
		plugin.table.StandardDeviation#getData()

	[ﾊﾟﾗﾒｰﾀ処理で、ﾀﾞﾌﾞﾙｸｵｰﾄ内は分解しない]
		hayabusa.taglib.CommonTagSupport#getNVLAttri(String attkey)

	[ﾘｿｰｽ追加]
		SYSID

	[java10 対応]
	java10 より、リリース方法が変わりました。
		http://www.publickey1.jp/blog/18/java_10java_9.html
	これにより、Taglit/Doclet関連のクラス(com.sun.javadoc,com.sun.tools.doclets等)
	が、削除されてしまいました。
	今後、JavaDoc関連のクラスを作り直すまで、java10 への移行が出来なくなりました。
	とりあえず、TagletRev.java , TagletTag.java を廃止します。
		fukurou.taglet.TagletRev				廃止
		fukurou.taglet.TagletTag				廃止
		C:\opengionV6\uap\webapps\gf\build.xml	修正

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\common\error_1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\changeSQL.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js

6.9.2.1 (2018/03/12)
	[DBEditConfigManagerを直接取り出す処理を、廃止します]
		hayabusa.taglib.EditConfigTag#doEndTag()
		hayabusa.taglib.EditConfigTag#saveEditConfig()
		hayabusa.taglib.EditConfigTag#deleteEditConfig(DBEditConfig config)
		hayabusa.resource.UserInfo#getEditConfigs(String guikey)
		hayabusa.taglib.QueryButtonTag#doEndTag()

	[HybsDateUtil.getDateFormat の メソッド変更(引数の簡素化)]
		hayabusa.taglib.ValueTag#actionExec(String action,String value)

	[dbidに、begin,end,step,var,items 属性を追加します]
		fukurou.db.DatabaseConfig.ForEachObject#ForEachObject(Element ele)

	[エラーメッセージのタグ情報を、パースします]
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource)

	[スタックトレース情報の処理方法を変更]
		fukurou.util.ErrorMessage#addMessage(Throwable th)
		fukurou.util.ErrorMessage#addMessage(Throwable th,boolean isST)
		hayabusa.taglib.ErrorTag#getStackTrace(Throwable thr,String errMsg,String type)
		hayabusa.taglib.ErrorTag#getTableMsg(String errMsg,Throwable thr,boolean isST)

	[タイトルがnullや空文字の場合も、なにもしません]
		fukurou.system.ThrowUtil.CaseBuilder#append(String title,String msg)

	[タグリブで発生したエラーを、session に登録する処理を、一旦廃止]
		hayabusa.taglib.CommonTagSupport#doCatch(Throwable th)

	[メソッドの引数を簡素化]
		fukurou.util.HybsDateUtil#getDateFormat(String key,String prmA)

	[リンクが横に長くなってきたので、２段に折り返します]
		hayabusa.servlet.HybsAdmin#getAdminLink()

	[使用箇所が、１箇所だけなので、StringUtilから移動する]
		hayabusa.taglib.ColumnCheckTag#setCheckNames(String nm)

	[年関連の機能(Y4,SY,EY)追加]
		fukurou.util.HybsDateUtil#calendarCalc(Calendar now,String prmB,int intC)

	[引数のメッセージを、内部メッセージにセットしておきます]
		fukurou.system.OgRuntimeException#OgRuntimeException(String msg,Throwable th)
		fukurou.system.OgRuntimeException#OgRuntimeException(String msg)

	[新規追加]
		fukurou.db.DatabaseConfig.ForEachObject#hasNext()
		fukurou.db.DatabaseConfig.ForEachObject#getText(String inTxt)
		fukurou.system.ThrowUtil.CaseBuilder#init()
		fukurou.util.HybsDateUtil#getDateFormat(String value)
		fukurou.util.StringUtil#nval(String inStr,double def)
		fukurou.util.StringUtil#isEmpty(CharSequence[] vals)
		fukurou.util.StringUtil#isNull(CharSequence[] vals)
		fukurou.util.StringUtil#isNotNull(CharSequence[] vals)
		fukurou.util.StringUtil#replaceText(String orgTxt,String prefix,String suffix,UnaryOperator func)

	[最小件数のbreak判定の方法を見直します]
		fukurou.system.ThrowUtil#ogThrowMsg(String msg,Throwable th)
		fukurou.system.ThrowUtil#ogStackTrace(String msg,Throwable th)

	[選別だけを別に用意します]
		fukurou.system.ThrowUtil#selectElement(Throwable th,int minCnt)
		fukurou.system.ThrowUtil.CaseBuilder#addStackTrace(Throwable th,int minCnt)

	[重複処理を、staticではなく、自身のオブジェクト内だけに変更します]
		fukurou.system.ThrowUtil.CaseBuilder#CaseBuilder()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample14.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\changeSQL.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js

6.9.2.0 (2018/03/05)
	[chartjs ズーム・パン機能のプラグイン対応]
		この時点で、Chart.min.js を、ver2.4.0 から、2.7.1 にアップしています。
		chartjs-plugin-zoom を、0.6.0 から、0.6.3 にアップしています。
		hayabusa.taglib.HeadTag#doEndTag()

	[dbidに、begin,end,step,var,items 属性を追加します]
		fukurou.db.DatabaseConfig#makeDbidMap(Element element,EDbid defDdbid)

	[reqAttUpClms 追加]
		hayabusa.taglib.ValueMapTag#release2()
		hayabusa.taglib.ValueMapTag#makeMapObj(DBTableModel table)
		hayabusa.taglib.ValueMapTag#getRequestValue(String key)

	[skipDataNum 属性の追加]
		hayabusa.taglib.JsChartTag#release2()
		hayabusa.taglib.JsChartTag#setSkipDataNum(String skipDataNum)

	[分散の計算方法を変更]
		plugin.table.StandardDeviation#getData()
		plugin.table.StandardDeviation#addData(String strVal)

	[変数の置き換え( ${var} )と、環境変数( ${env.XXXX} ) を処理します]
		fukurou.db.DatabaseConfig#envVarText(String orgTxt,String oldVal,String newVal)

	[新規作成]
		hayabusa.taglib.ValueMapTag#setReqAttUpClms(String clms)

	[新規追加]
		fukurou.db.DatabaseConfig.ForEachObject#getAttVar()
		fukurou.db.DatabaseConfig.ForEachObject#getItems()
		fukurou.db.DatabaseConfig.ForEachObject#getAttri(NamedNodeMap nodeMap,String key)

	[最大、最小値での間引き処理を追加]
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6220\page3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6220\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample14.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\entry.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js

	[V5 修正反映]
		5.9.30.1 (2018/03/09)
	X		[AWSストレージS3対応]
	X		bluemix(IBMクラウド),azureのストレージに続いてAWSのS3に対応させます。
	X		今までのクラウドと使い方は同様でS3_ACCESS_KEY,S3_SECRET_KEY,S3_SERVICE_END_POINT,S3_REGION
	X		のシステムリソース設定が必要です。
	X		また、pluginを利用するにはawsのjarファイルが必要です。
	X			plugin.cloud.StorageAPI_aws
	X			以下S3用モジュール
	X			aws-java-sdk-core-1.11.112.jar
	X			aws-java-sdk-kms-1.11.112.jar
	X			aws-java-sdk-s3-1.11.112.jar
	X			ion-java-1.0.2.jar
	X			jmespath-java-1.11.112.jar
	X			joda-time-2.8.1.jar

			[iGantt修正]
			iGanttでMARGEROWSを行った場合に行番号や色が正しく処理されない不具合を修正します。
				common/option/adjustGanttTable.js#adjustGantt()

	X	5.9.30.0 (2018/03/02)
	X		[カレンダーポップアップ変更]
	X		5.9.28.0で作成した三ヶ月カレンダーを標準カレンダーにします。
	X		ファイル名を変更して対応します。
	X		calendar.jsp		 -> calendar_old.jsp
	X		calendar_3month.jsp	 -> calendar.jsp

6.9.1.0 (2018/02/26)
	[HTML5 ネイティブ]
	HTML5 ネイティブに強制的に指定するため、USE_EDGE_HEADER = "true" を初期値に設定します。
	旧ポップアップのサイズが最小化されてしまいますので、バックが黒いポップアップに変更してください。
		USE_EDGE_HEADER = "true"

	[エンジン標準ﾘｿｰｽの修正]
	エンジン標準(SYSTEM_ID='**')のﾘｿｰｽで、一部、日本語と英語が食い違って
	いたため、修正しました。

	[ACT_UNION_VAL追加]
		hayabusa.taglib.TableMergeTag#doEndTag()

	[HMCSV アクションに、MAX,MIN,HMF を追加]
		hayabusa.taglib.ValueTag#actionExec(String action,String value)

	[displayMsg,overflowMsg,notfoundMsg は未使用のため、削除]
		hayabusa.taglib.DBCopyTag#release2()

	[unionLbls属性追加]
		hayabusa.taglib.TableMergeTag#setUnionLbls(String unionLbls)

	[unionLbls追加]
		hayabusa.resource.ResourceManager#makeDBColumn(String key,String lbl)
		hayabusa.taglib.TableMergeTag#makeAddClm(DBTableModel masterTbl)

	[新規追加]
		hayabusa.taglib.TableMergeTag#makeValMap(DBTableModel table,String keys,String valClm)
		hayabusa.taglib.TableMergeTag#makeUnionVal(DBTableModel masterTbl,String mstrKeys,DBTableModel slaveTbl,String slaveKeys)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js
		C:\opengionV6\uap\webapps\gf\jsp\GF6360\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\eventColumnMaker.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6220\page3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6220\result.jsp

	[V5 修正反映]
		5.9.29.3 (2018/02/23)
			[HTML5ポップアップ]
			キャレット位置挿入のパターンで、正しく値が返せていなかったので修正します。
				common/option/ogPchangeData(ret_val, p_this,p_out_Array, p_append)

		5.9.29.2 (2018/02/16)
			[メール送信のSTARATTLS対応]
			暗号化してメールを送信するための、STARTTLSを利用指定出来るようにします。
			MAIL_SEND_USE_STARTTLSをtrueにする事で利用します。(標準はfalse)
			なお、送信ポートはこの設定値とは無関係のため、別途設定が必要です。
			（ポート指定がない場合、通常は587ポートを利用）
				fukurou.mail.MailTX#MailTX( final String host , final String charset )
				fukurou.mail.MailTX#MailTX( final String host , final String charset, final String smtpPort
						,final String authType, final String authPort, final String authUser, final String authPass
						,final boolean useStarttls )
				hayabusa.common.SystemData#MAIL_SEND_USE_STARTTLS
				hayabusa.mail.MailManager_DB#sendMail( final String paraKey, final String systemId, final List<String> emList )
				hayabusa.mail.MailPattern#getUseTLS()
				hayabusa.mail.AbstractMailManager#setUseTLS( final boolean flg )
				hayabusa.mail.AbstractMailManager#create( final Map<String, String> params )
				hayabusa.mail.AbstractMailManager#send()
				hayabusa.taglib.MailSenderTag#setUseTLS( final boolean flg )
				hayabusa.taglib.MailSenderTag#release2()
				hayabusa.taglib.MailSenderTag#doStartTag()
				hybs-taglib.tld
				gf/jsp/GF6220

	X	5.9.29.1 (2018/02/09)
	X		[Azureのストレージ対応]
	X		以前、bluemixのオブジェクトストレージに対応しましたが、Azureにも対応しておきます。
	X		なお、pluginを利用する際には追加で次の３つのjarファイルが必要です。
	X		azure-keyvault-core-0.8.0.jar,azure-storage-6.1.0.jar,commons-lang3-3.4.jar
	X			hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )
	X			plugin.cloud.StorageAPI_azure

6.9.0.2 (2018/02/13)
	※ このバージョンは、リリースしていません。

	[omitNamesの対応]
		fukurou.db.QueryMaker#getSelectSQL()
		fukurou.db.QueryMaker#getInsertSQL()
		fukurou.db.QueryMaker#setup()

	[カラム名が、"*" の場合の対応]
		fukurou.db.ResultSetValue#getColumnNos(String[] clmNms,boolean useThrow)
		hayabusa.taglib.DBCopyTag#execute()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

6.9.0.1 (2018/02/05)
	[IOException を、Throwable に変更して、すべてのｴﾗｰをキャッチするようにします]
		hayabusa.taglib.URLConnectTag#doEndTag()

	[RequestParam で設定される値を、できるだけ構築しておきます]
		hayabusa.common.SystemParameter#loadInitialParameter(Map map,ServletContext context,String contextName)

	[causeの対応が中途半端だったので、修正します]
		fukurou.system.ThrowUtil#ogThrowMsg(String msg,Throwable th)
		fukurou.system.ThrowUtil#ogStackTrace(String msg,Throwable th)

	[どのシステムIDのﾘｿｰｽがクリアされたかを表示します]
		hayabusa.resource.ColumnDataLoader#clear(String key)
		hayabusa.resource.ColumnDataLoader#clear()
		hayabusa.resource.ResourceManager#clear(String key)

	[新規追加]
		fukurou.util.HttpConnect#usePost(boolean usePost)
		hayabusa.common.HybsSystem#changeParam(String inMsg)

	[ﾌｧｲﾙをｾｰﾌﾞするﾃﾞｨﾚｸﾄﾘは、必要な場合のみ、作成します]
		hayabusa.servlet.MultipartRequest#MultipartRequest(HttpServletRequest request,String saveDirectory,int maxPostSize,String encoding,String inputFilename,String useBackup,String fileURL)
		hayabusa.servlet.MultipartRequest#makeDirs(String saveDir)
		hayabusa.taglib.FileUploadTag#doEndTag()

	[新着情報画面の修正]
	画面整合性チェックのエラーや、添付したファイルのアドレス違いなどの
	修正を行いました。
	画面整合性 は、ポップアップ（＋scope="request"）にすることで対応。
	アドレス違いは、filedown.jsp 内部に、直書きされていたためです。
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\filedown.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\meisai.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\top_menu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\top_result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\update.jsp

	[FAQ画面の修正]
	FAQ 画面に、添付ファイルを登録できるようにしました。
	また、オリジナルの SYSTEM_ID と SYS_CODE で、共通ﾘｿｰｽ設定が
	漏れていましたので、修正しています。
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\22_FAQ\filedown.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\22_FAQ\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\entry0.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\fileupload\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\fileupload\result0.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\fileupload\update0.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\result0.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\result1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\update0.jsp

		ge/changes/6901/変更_20180201.txt

	[リソース更新時のﾕｰｻﾞｰ､ﾊﾟｽ変更]
	ｼｽﾃﾑﾘｿｰｽで、REMOTE_USER_PASS で指定していた、リソース更新時の、BASIC認証の
	ﾕｰｻﾞｰとﾊﾟｽﾜｰﾄﾞを、変更します。
		hayabusa.common.SystemData#REMOTE_USER_PASS

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\optionQuery.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6370\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_0.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_REPORT.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css

6.9.0.0 (2018/01/31)
	[java,tomcat VerUp]
	jdk180u162 , tomcat8.5.27 に、バージョンアップします。

	また、Java9 より廃止された、java/jre/lib/ext フォルダ以下の
	拡張 JAR ﾌｧｲﾙは、apps/endorsed7.0 として、外だししています。
	これに伴い、拡張JARﾌｧｲﾙもバージョンアップします。
		commons-compress-1.12.jar			→	commons-compress-1.15.jar
		h2-1.4.192.jar						→	h2-1.4.196.jar
		hsqldb-2.3.4.jar					→	hsqldb-2.4.0.jar
		jacob-1.18.jar						→	廃止
		jai_codec.jar						→	jai_codec1.1.3.jar
		jai_core.jar						→	jai_core1.1.3.jar
		jaxen-1.1.6.jar 					→	廃止
		mlibwrapper_jai.jar 				→	
		mysql-connector-java-5.1.39-bin.jar →	mysql-connector-java-5.1.44-bin.jar
		ogHsqldbExtension.jar				→	(統合)ogJavaFunctions.jar
		ogJavaDBFunctions.jar				→	(統合)ogJavaFunctions.jar
		ojdbc7.jar							→	ojdbc8.jar
		postgresql-9.4.1211.jar 			→	postgresql-42.1.4.jar
		sqljdbc42_6.0.7507.100_jpn.jar		→	廃止
		xercesImpl-2_11_0.jar				→	廃止
		xml-apis-2_11_0.jar 				→	廃止
		ogPreferences.jar					→	廃止

		activation-1.1.jar					→	新規
		httpclient.jar						→	新規
		httpcore-4.4.9.jar					→	新規
		httpmime-4.5.5.jar					→	新規
		jaxb-api-2.2.3.jar					→	新規

		fukurou.model.JacobUtil.java		→	廃止(jacob-1.18.jar廃止に伴うクラス廃止)

		org.odftoolkit.odfdom				→	廃止(Apache ODF Toolkit 廃止に伴うクラス廃止)
		plugin\io\TableWriter_Calc.java			→	廃止
		plugin\io\TableWriter_CalcDef.java		→	廃止
		plugin\io\TableWriter_CalcDefAno.java	→	廃止

	[有閑クラスの廃止(削除)]
	廃止パッケージ
		opengion/fukurou/transfer
			AbstractTransferExecHTTP.java
			AbstractTransferReadHTTP.java
			package-info.java
			TransferConfig.java
			TransferExec.java
			TransferExec_CB01.java
			TransferExec_FILEGET.java
			TransferExec_HTTP_CB01.java
			TransferExec_PLSQL.java
			TransferExec_SAMCB.java
			TransferProcess.java
			TransferRead.java
			TransferRead_CB01.java
			TransferRead_FILELIST.java
			TransferRead_HTTP_CB01.java
			TransferRead_HTTP_FILELIST.java
			TransferRead_SAMCB.java

	廃止クラス
		plugin/daemon/Daemon_Transfer.java	
		plugin/daemon/Daemon_Transfer_CB01.java
		hayabusa/remote/TransferExecWrapper.java
		hayabusa/remote/TransferReadWrapper.java

		fukurou/util/SOAPConnect.java

	@Deprecatedクラス
		fukurou/util/URLConnect

	[log4j]
	HttpConnect で使用した org.apache.http.client.HttpClient が、log4j を
	使用しているため、log4j:WARN No appenders could be found for logger という
	エラーがTomcat起動時に毎回出るようになった。
	uap\bin フォルダに、log4j.properties を置いて、対処しました。

	[CALC廃止に伴う、EXCEL出力修正]
	EXCEL出力のエディター機能で、 [帳票雛形(項目定義)] できますが、
	需要が少ないため、一旦廃止します。
	もし、要求があれば、EXCEL雛形方式を再検討します。
		jsp\common\dfileDownloadListDef.txt			最後の行のtemplete 削除
		jsp\common\gamen\14_EDIT\download.jsp		ファイル削除
		jsp\common\gamen\14_EDIT\result_REPORT.jsp
				download.jsp へのリンク削除
				ISCALC (雛形をCalc形式で取得) 機能を削除
				追加、変更、削除ボタンをコメントアウト(復活するかも)

	[HttpConnect 使用時のﾌｧｲﾙ名の文字化け対策]
		hayabusa.servlet.multipart.MultipartParser#extractBoundary(String line)

	[JacobUtil 廃止に伴い、toPrint、saveAs を廃止します]
		hayabusa.taglib.ExcelFileTag#doEndTag()
		hayabusa.taglib.ExcelFileTag#release2()

	[SOAPConnect 廃止に伴う修正]
		hayabusa.taglib.URLConnectTag#connect()
		hayabusa.taglib.URLConnectTag#release2()
		hayabusa.taglib.URLConnectTag#setMethod(String post_get)
		hayabusa.taglib.URLConnectTag#setPostFile(String file)
		hayabusa.taglib.URLConnectTag#setKeys(String key)

	[URLConnect 廃止、HttpConnect に置き換えます]
		hayabusa.taglib.URLConnectTag#doEndTag()
		plugin.daemon.Daemon_URLConnect#startDaemon()
		plugin.daemon.Daemon_URLConnect#initDaemon()

	[Windows10 の Edge で、ﾌｧｲﾙの文字化け対応(FileDownload servletと同じ対応を入れます)]
		hayabusa.taglib.ForwardTag#doEndTag()

	[multipart 判定方法の変更]
		hayabusa.servlet.multipart.MultipartParser#MultipartParser(HttpServletRequest req,int maxSize)

	[null引数の場合は、NGも登録せず、スルーします]
		fukurou.util.ErrorMessage#addMessage(Throwable th)
		fukurou.util.ErrorMessage#addMessage(ErrMsg msg)
		fukurou.util.ErrorMessage#addMessage(String[] args)

	[エラー表示情報の内容を修正します]
		hayabusa.taglib.ErrorTag#doEndTag()
		hayabusa.taglib.ErrorTag#getStackTrace(Throwable thr,String errMsg,String type)
		hayabusa.taglib.ErrorTag#getTableMsg(String errMsg,Throwable thr)

	[半角の中でも ':' , '/' , '?' , '=' , '&' , '.' , '_' , '~' 以外の文字は置き換えます]
		fukurou.util.StringUtil#urlEncode2(String value)

	[引数を可変長引数に変更]
		fukurou.util.StringUtil#isNull(CharSequence[] vals)

	[新規作成]
		fukurou.util.HttpConnect#HttpConnect(String url,String userPass)
		fukurou.util.HttpConnect#readData()
		fukurou.util.HttpConnect#getClient()
		fukurou.util.HttpConnect#addRequestProperty(String key,String val)
		fukurou.util.HttpConnect#setProxy(String host,int port)
		fukurou.util.HttpConnect#addHeaderProperty(String key,String val)
		fukurou.util.HttpConnect#setDownloadFile(String dwldFile)
		fukurou.util.HttpConnect#setUploadFile(String upldFile)
		fukurou.util.HttpConnect#setCharset(String chset)
		fukurou.util.HttpConnect#setTimeout(int tout)
		fukurou.util.HttpConnect#setDebug(boolean isDebug)
		fukurou.util.HttpConnect#getCode()
		fukurou.util.HttpConnect#getMessage()
		fukurou.util.HttpConnect#code2Message(int code)
		fukurou.util.HttpConnect#main(String[] args)

	[新規追加]
		fukurou.util.HybsTimerTask#getParameter()

	[余分なスペース削除]
	@og.rev の後ろに、スペースが、２個存在していたので、一つに変更します。
		fukurou\taglet\DocletSpecific.java(242): 	 * @og.rev  5.5.4.1 (2012/07/06) メソッドの重複処理判定は、クラス名も含めて行う
		fukurou\taglet\DocletStandard.java(27):  * @og.rev   6.0.2.0 (2014/09/19) 新規追加
		fukurou\util\ErrMsg.java(140): 	 * @og.rev  3.8.9.5 (2007/09/12) 新規作成
		fukurou\util\ErrMsg.java(149): 	 * @og.rev  3.8.9.5 (2007/09/12) 新規作成
		fukurou\util\StringUtil.java(1311): 	 * @og.rev  6.8.0.1 (2017/06/30) つづり間違いに対応するため、厳密にチェックします。
		fukurou\util\StringUtil.java(1339): 	 * @og.rev  5.2.2.0 (2010/11/01) "_" の取り扱い変更
		fukurou\util\StringUtil.java(1356): 	 * @og.rev  5.2.2.0 (2010/11/01) "_" の取り扱い変更
		hayabusa\db\TableFilter.java(185): 	 * @og.rev  5.6.5.2 (2013/06/21) 新規追加
		hayabusa\report2\ExecThreadManager.java(153): 	 * @og.rev  4.3.0.0 (2008/07/15) デバッグ追加

	[ge ﾘｿｰｽ関連修正]
	リソースの状態フラグで、変更ボタンを押して状態フラグを「活動中」から「削除」に変更し
		て登録ボタンを押すと状態フラグは「活動中」のままになるのを修正します。
		GE0001/result.jsp , entry.jsp
		GE0002/result.jsp , entry.jsp
		GE0003/result.jsp , entry.jsp
		GE0004/result.jsp , entry.jsp
		GE0007/result.jsp , entry.jsp
		GE0008/result.jsp , entry.jsp
		GE0017/result.jsp , entry.jsp

	[登録メッセージの改行]
	登録ボタンを押したときの画面の項目が少ないと「登録しました」のメッセージが改行されてします。
	errmsg class に改行しないように、nowrap 属性を追加します。
		common\default.css 

		span.errmsg {
			white-space:	nowrap;
		}

	[登録メッセージの改行]
		ge/jsp/REP03

	[登録メッセージの改行]
	カラムリソース削除するときに帳票のレイアウト定義に使われてるカラムのチェックを入れます。
		ge/jsp/GE0003/update.jsp
	関連する項目として、REP03(ﾚｲｱｳﾄ定義)に、GEA03のカラム名を表示します。
	また、JSPが古い作りでしたので、新しい作りに変更しておきます。
		ge/jsp/REP03/
			query.jsp , result.jsp , entry.jsp		修正
			update.jsp								新規追加
			copy.jsp , delete.jsp , modify.jsp		削除

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\optionQuery.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6280\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6370\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_0.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_REPORT.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\filedown.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\meisai.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\update.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css

	[V5 修正反映]
		5.9.29.0 (2018/02/02)
			[ファイルのマルチバイト文字対応]
			サーブレットの対応は行っていましたが、forwardタグ側の対応が漏れていたので追加します。(Edge,safari対応)
				hayabusa.taglib.ForwardTag#doEndTag()

		5.9.28.1 (2018/01/19)
			[メールモジュール画面修正]
			decode文が使われていたため、caseに書き換えます
				ge/jsp/MAIL07/result.jsp

			[fileDownloadのマルチバイト文字対応]
			fileDownloadサーブレットでmimeB方式がsafari非対応のため、macやiPhoneで日本語ファイル名がダウンロードできない。
			RFC6266の方法を取る事でほぼ全てのブラウザに対応できそうなので、現在IE系以外で行っている処理を変更する。
			以前の書き方と併記する事で、対応ブラウザは新方式が利用される。
			参考：https://wp.webarata3.link/java/japanese-file-download
				hayabusa.servlet.fileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

6.8.6.0 (2018/01/19)
	[ImageIO.write で、Java9で、NumberFormatException が出てしまう(暫定)対策]
		hayabusa.common.SystemParameter#makeSystemParameter(ServletContext context)

	https://github.com/jai-imageio/jai-imageio-core/issues/24
	ImageIO.write で Java9で、java.lang.NumberFormatException: For input string: "" 
	が発生します。
	これは、ImageUtil line 1388: で、
		String jvmVersionString = 
		    System.getProperty("java.specification.version");
		int verIndex = jvmVersionString.indexOf("1.");
		jvmVersionString = jvmVersionString.substring(verIndex+2);

		int jvmVersion = Integer.parseInt(jvmVersionString);
	という箇所で、Javaのバージョン(1.8など)から、"1." を見つけて、substring 後、
	Integer.parseInt するため、Java9 では、java.specification.version == 9 のため、
	上記処理では、input string: ""  で、NumberFormatException になります。

	本来は、
		String jvmVersionString = 
		    System.getProperty("java.specification.version");
		// Skip "1." in version name
		if(jvmVersionString.contains("1.")) {
			int verIndex = jvmVersionString.indexOf("1.");
			jvmVersionString = jvmVersionString.substring(verIndex + 2);
		}
		int jvmVersion = Integer.parseInt(jvmVersionString);
	とすべきところです。

	今回、強制的に、
		System.setProperty( "java.specification.version" , "1.9" );
	とすることで、エラーを回避しています。
	他に影響が出る可能性があるため、ImageUtil の最新版が出た時点で、動作検証すべきです。

	[ErrorMessageの取り扱いと、ErrorTag]
	ErrorTag で、SessionAttribute に登録されている ErrorMessage を取得するようにしました。
	テスト的に、DBCopyTag では、、オブジェクトを最初に、Session に登録しておき、
	途中のエラーも、ErrorMessage に追加しています。
	異常がなければ、最後に、Sessionから、削除しています。
	必要であれば、他のタグでも、同様に、対応するほうが良いかもしれません。

	[新規作成]
		fukurou.db.QueryMaker#getSelectSQL()
		fukurou.db.QueryMaker#getInsertSQL()
		fukurou.db.QueryMaker#getUpdateSQL()
		fukurou.db.QueryMaker#getDeleteSQL()
		fukurou.db.QueryMaker#formatSplit(String fmt)
		fukurou.db.QueryMaker#setQueryType(String queryType)
		fukurou.db.QueryMaker#setTable(String table)
		fukurou.db.QueryMaker#getTable()
		fukurou.db.QueryMaker#setNames(String names)
		fukurou.db.QueryMaker#getNames()
		fukurou.db.QueryMaker#setOmitNames(String omitNames)
		fukurou.db.QueryMaker#setWhere(String where)
		fukurou.db.QueryMaker#setWhereNames(String whNames)
		fukurou.db.QueryMaker#setOrderBy(String orderBy)
		fukurou.db.QueryMaker#setConstKeys(String keys)
		fukurou.db.QueryMaker#setConstVals(String vals)
		fukurou.db.QueryMaker#getParamNames(boolean useInsert)
		fukurou.db.QueryMaker#QueryMaker()
		fukurou.db.QueryMaker#setup()
		hayabusa.taglib.DBCopyTag#DBCopyTag()
		hayabusa.taglib.DBCopyTag#doStartTag()
		hayabusa.taglib.DBCopyTag#doAfterBody()
		hayabusa.taglib.DBCopyTag#doEndTag()
		hayabusa.taglib.DBCopyTag#release2()
		hayabusa.taglib.DBCopyTag#execute()
		hayabusa.taglib.DBCopyTag#setAction(String action)
		hayabusa.taglib.DBCopyTag#setUseDelete(String useDel)
		hayabusa.taglib.DBCopyTag#setMaxRowCount(String count)
		hayabusa.taglib.DBCopyTag#setDisplayMsg(String id)
		hayabusa.taglib.DBCopyTag#setOverflowMsg(String id)
		hayabusa.taglib.DBCopyTag#setNotfoundMsg(String id)
		hayabusa.taglib.DBCopyTag#setStopZero(String cmd)
		hayabusa.taglib.DBCopyTag#setDbid(String id)
		hayabusa.taglib.DBCopyTag#setTable(String table)
		hayabusa.taglib.DBCopyTag#setNames(String names)
		hayabusa.taglib.DBCopyTag#setOmitNames(String omitNames)
		hayabusa.taglib.DBCopyTag#setWhere(String where)
		hayabusa.taglib.DBCopyTag#setOrderBy(String orderBy)
		hayabusa.taglib.DBCopyTag#setDbid2(String id)
		hayabusa.taglib.DBCopyTag#setTable2(String table)
		hayabusa.taglib.DBCopyTag#setNames2(String names)
		hayabusa.taglib.DBCopyTag#setWhere2(String where)
		hayabusa.taglib.DBCopyTag#setWhereNames2(String names)
		hayabusa.taglib.DBCopyTag#setConstKeys2(String keys)
		hayabusa.taglib.DBCopyTag#setConstVals2(String vals)
		hayabusa.taglib.DBCopyTag#setQuotCheck(String flag)
		hayabusa.taglib.DBCopyTag#setStopError(String flag)
		hayabusa.taglib.DBCopyTag#setDispError(String flag)
		hayabusa.taglib.DBCopyTag#toString()

	[新規追加]
		fukurou.db.ResultSetValue#getColumnNos(String[] clmNms)
		fukurou.db.ResultSetValue#getColumnNos(String[] clmNms,boolean useThrow)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6470\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6470\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6470\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_2.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js

	[V5 修正反映]
		5.9.28.1 (2018/01/19)
			[eventColumn機能]
			eventColumn実行時にデータを取得する対象オブジェクトが存在しない場合、今まではエラーで停止していた。
			存在しない場合はコンソールログに出力し、そのまま処理を続行させるようにする。
				jsp/common/eventScript.js#eventColumn( jEvCol, jTag, cid, cname, suffix, writable )

6.8.5.1 (2018/01/15)
	[21_WHTSNEW 修正]
	6.8.4.2 (2017/12/25) で対応した constObjKey = "GF" の設定対応で、
	21_WHTSNEW\entry.jsp で、タグ属性が重複していたため、エラーになりました。
	タグ属性を修正しました。
		gamen\21_WHTSNEW\entry.jsp(42): 				<og:tableUpdateParam

	[URLConnectのバイナリ対応]
	URLConnect で、ﾌｧｲﾙの取得等できますが、バイナリファイル対応されていなかったため、
	対応します。
	情報の取得か、データの取得を指定する -info/-data に、-file を追加します。
		fukurou.util.URLConnect#outBinary(String outFile)
		fukurou.util.URLConnect#main(String[] args)

	[ClassLoader変数名を、clsl から、loader に変更(他の変数名と整合性を持たす)]
		fukurou.db.DatabaseConfig#DatabaseConfig(String infile)

	[org.opengion.hsqldb → org.opengion.fukurou.db にパッケージ変更]
		fukurou.db.Functions#substrb(String value,int start,int length)
		fukurou.db.Functions#lengthb(String value)
		fukurou.db.Functions#makeByte(String value)

	[org.opengion.javadb → org.opengion.fukurou.db にパッケージ変更]
		fukurou.db.Functions#join2(int no,String arg2,String arg3,String arg4)
		fukurou.db.Functions#replace(String source,String target,String replacement)
		fukurou.db.Functions#toChar(double val)

	[ファイル名は、##バージョン番号を変換しておく必要がある]
		fukurou.util.FindClassFiles#main(String[] args)
		fukurou.xml.XMLFileLoader#loadClassPathFiles(String path)
		hayabusa.servlet.HybsAdmin#getTaglibInfo()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\entry.jsp

6.8.5.0 (2018/01/09)
	[コメント行削除]
	行先頭の // コメント行を削除します。
	行の途中のコメント行は、残しておきます。

	[useEqValOmit属性の削除]
		6.8.3.0 (2017/11/27) で追加した、useEqValOmit は、一旦削除します。
		hayabusa.taglib.JsChartTag#setUseEqValOmit(String useEqValOmit)

	[CSVTokenizer のインターフェースを、Iterator に変更]
		fukurou.util.StringUtil#csv2Array(String csvData,char separator,int len,String defVal)

	[PMD Variables that are final and static should be all capitals]
	csvEncode → CSV_ENCODE
		plugin.report.CSVPrintPointService_RFW2#execute()
	selGE30DYSET → SQL_GE30
		plugin.cloud.MailManager_DB_SendGridAPI#sendDBMail(String systemId)
	sessSET → SESS_SET
		hayabusa.servlet.WebSocketDemo#broadCast(String text)
		hayabusa.servlet.WebSocketDemo#onOpen(Session client,EndpointConfig config)
		hayabusa.servlet.WebSocketDemo#onClose(Session client,CloseReason reason)
	tipsPre,tipsSuf → TIPS_PRE,TIPS_SUF
		hayabusa.taglib.MessageTag#makeTag()

	[StringUtil.csv2Array のデフォルトメソッドを使用します]
		hayabusa.db.DBEventColumn#evColReplace(String inStr)
		hayabusa.taglib.SqlAndTag#makeInstrVals(String instrVals,String instrType,String value)

	[chartJS のchartjs-plugin-annotation.min.js 追加(グラフ領域に線とボックスを描画します)]
		hayabusa.taglib.HeadTag#doEndTag()

	[first(),last() をループから出して、ループを回すかどうかを引数で指定します]
		fukurou.business.BizLogic_TABLE#main()
	[ループを回すかどうかを引数で指定します]
		fukurou.business.BizLogic_TABLE#setUseLoop(boolean useLoop)

	[forward 時のエラーを、session に登録しておきます]
		hayabusa.taglib.ErrorTag#getTableMsg(Throwable thr,boolean useST)

	[pointStyle , pointRadius , showLine 属性の追加]
		hayabusa.taglib.JsChartDataTag#doEndTag()
		hayabusa.taglib.JsChartDataTag#release2()

	[xbeginAtZero,ybeginAtZero,markValues,markColors,markLbls,markAdjust,rangeMin,rangeMax,usePointStyle属性の追加]
		hayabusa.taglib.JsChartTag#release2()
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[カレンダポップアップで、３ヶ月ピッカー対応]
		plugin.column.Editor_YMD2#getValue(String value)
		plugin.column.Editor_YMD2#getValue(int row,String value)
		hayabusa.common.SystemData#CALENDAR_POPUP_TYPE = "CAL3" ;

	[タグリブで発生したエラーを、session に登録しておきます]
		hayabusa.taglib.CommonTagSupport#doCatch(Throwable th)
		hayabusa.taglib.CommonTagSupport#getCommonTagThrowable()

	[共通メッセージで、strongタグのバグ修正と、class="common_msg" 追加]
		hayabusa.servlet.HybsAdmin#setCommonMessage(String type,String message,HttpSession session)

	[引数lenを最大配列長として処理します]
		fukurou.util.StringUtil#csv2Array(String csvData,char separator,int len)

	[新規追加]
		fukurou.business.AbstractBizLogic#getValues(String[] clmNms)
		fukurou.business.AbstractBizLogic#str2dblVals(String[][] vals)
		fukurou.business.ArrayTableModel#getValues(String[] clmNms)
		hayabusa.io.JsChartData#setPointStyle(String ptStyle)
		hayabusa.io.JsChartData#setPointRadius(String ptRadius)
		hayabusa.io.JsChartData#setShowLine(String show)
		hayabusa.taglib.JsChartDataTag#setPointStyle(String ptStyle)
		hayabusa.taglib.JsChartDataTag#setPointRadius(String ptRadius)
		hayabusa.taglib.JsChartDataTag#setShowLine(String show)
		hayabusa.taglib.JsChartTag#setXbeginAtZero(String xZero)
		hayabusa.taglib.JsChartTag#setYbeginAtZero(String yZero)
		hayabusa.taglib.JsChartTag#setUsePointStyle(String usePstyle)
		hayabusa.taglib.JsChartTag#setMarkValues(String mkVals)
		hayabusa.taglib.JsChartTag#setMarkColors(String mkCols)
		hayabusa.taglib.JsChartTag#setMarkLbls(String mklbls)
		hayabusa.taglib.JsChartTag#setMarkAdjust(String mkAjst)
		hayabusa.taglib.JsChartTag#setUseZoom(String zoom)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6300\reportView.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6300\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample10.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample11.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample12.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample13.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample4.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample5.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample6.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample7.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample8.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample9.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\result1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\calendar_3month.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\error_1.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar_3month.css
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar_3month.js
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.css
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js

	[V5 修正反映]
		5.9.28.0 (2018/01/05)
			[HTML5ポップアップ修正]
			・IE11でのキャレット位置取得がエラーとなっていたため、対応を行います。
			・画面にスクロールがある場合の表示を修正するためCSSのpositionを一部fixedに変更します。
				jsp/common/option/html5modalDialog.js
				jsp/common/option/html5modalDialog.css
				
			[新カレンダーポップアップ]
			前後含めて三か月を表示するカレンダーポップアップを作成します。
			V5では一旦JSP,css,jsのみ導入しておきます。
			calendar.jspとcalendar_3month.jspはインタフェイス上は互換性を持たせているため、入れ替える事で利用可能です。
				jsp/common/calendar_3month.jsp
				jsp/common/calendar_3month.css
				jsp/common/calendar_3month.js

6.8.4.2 (2017/12/25)
	[commonのJSP登録画面]
	commonのJSP登録画面は、各物件(SYSTEM_ID)に組み込まれるため、
	tableUpdateParamを使用する場合は、constObjKey = "GF" を設定して
	おかないと、各SYSTEM毎の登録ルールで、登録されてしまう。
		gamen\07_CONFIG\entry.jsp(28): 	<og:tableUpdateParam
		gamen\21_WHTSNEW\entry.jsp(42): 				<og:tableUpdateParam
		gamen\21_WHTSNEW\entry.jsp(57): 				<og:tableUpdateParam
		gamen\23_FAQRGST\entry.jsp(34): 		<og:tableUpdateParam
		gamen\24_ERRMSG\entry.jsp(40): 	<og:tableUpdateParam

	[FileDownloadサーブレットのファイル名文字化け対応]
	エンコード変換対応対応のキー(fileDownloadサーブレットでエンコードをON/OFF指定に利用)
		public static final String USE_STR_CONV_KEY = "useStringConvert";
		hayabusa.servlet.FileDownload#doPost(HttpServletRequest request,HttpServletResponse response)
		hayabusa.filter.FileFilter#doFilter(ServletRequest req,ServletResponse res,FilterChain chain)

	[カラムチェックで、#valueSet(String) で、ｴﾗｰが発生した場合でも、#valueCheck(String) を行うようにします]
		hayabusa.taglib.ColumnCheckTag#makeErrorMessage(ErrorMessage errMsg)
		hayabusa.taglib.ColumnCheckTag#makeEntryErrorMessage(ErrorMessage errMsg)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF6300\reportView.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6300\result - コピー.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6300\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\chartOnly.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\chartOnly_代替案１.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7201\chartOnly_代替案２.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample12.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\result1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9160\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\update.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printContext.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\07_CONFIG\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\21_WHTSNEW\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\23_FAQRGST\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\24_ERRMSG\entry.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\reportView.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\reportViewFile.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js

	[V5 修正反映]
		5.8.1.0 (2014/11/07)
			[fileDownloadサーブレット修正]
			ダウンロード用のサーブレットは、元々リダイレクトで利用されていたため、
			受け取った引数の文字コード変換(ISO-8859-1からURF8)が必要でした。
			forwardの場合は引数の渡し方が異なり、文字コード変換を行うとマルチバイト文字が
			変換できずに化けてしまいファイルにアクセス出来ないため、スイッチ用の引数を追加します。
			具体的には、useStringConvertでfalseを指定した場合に変換を行わないようにします。（初期値true）

		5.9.27.3 (2017/12/22)
			[時間ピッカー改修]
			24時以降の表示に対応します。
			ブレイクを12時単位にした上で、間を空けることで選択しやすくします。
				jsp/common/eventScript.js#ogClockpicker

6.8.4.1 (2017/12/18)
	[YMD , HM , MI 追加]
	(2017/12/11) BB 引数に、HMS を指定した場合、時分秒のデータを加算します。この場合、時に関しては、24時間を越える
	場合は、日付に加算されます。例えば、翌朝の６時を指定する場合、300000 と指定することで、１日＋060000 となります。
	・YMD ：CC 引数のYMD表記の日付を加減算します。6.8.4.1 (2017/12/11) 追加
	・HMS ：CC 引数のHMS表記の時刻を加減算します。6.8.4.1 (2017/12/11) 追加
		fukurou.util.HybsDateUtil#calendarCalc(Calendar now,String prmB,int intC)

	[24時間以上の表記に対応するため、isStrict属性を加味します]
		plugin.column.DBType_HMS#valueCheck(String key,String value,int sizeX,int sizeY,String typeParam,boolean isStrict)

	[skipVal 属性 追加]
		hayabusa.taglib.ValueTag#setSkipVal(String skip)
		hayabusa.taglib.ValueTag#release2()

	[HMCSV アクションを追加]
		hayabusa.taglib.ValueTag#setAction(String act)
		hayabusa.taglib.ValueTag#actionExec(String action,String value)

	[ｿｰｽﾁｪｯｸ {@LBL.} ﾁｪｯｸ]
	SELECT文などで、ﾗﾍﾞﾙﾘｿｰｽを AS 区に持ってきて、ラベル表示するような場合、
	select CLM1 as {@LBL.BBB} from ･･･ などで、{@LBL.BBB} が、予約語の場合、
	実行エラーになります。"{@LBL.BBB}" 等で、文字定数化すれば問題ありません。
	ｿｰｽﾁｪｯｸでは、{@LBL の直前が、空白文字の場合、エラーにしています。
		ERROR24
		jsp/DOC18/xsltV6/GF70_PROG.xsl

	なお、他のXSLﾌｧｲﾙについても、若干の手直しをしています。
		jsp/DOC18/xsltV6/GF71_PROG.xsl
		jsp/DOC18/xsltV6/GF72_PROG.xsl
		jsp/DOC18/xsltV6/GF73_PROG.xsl
		jsp/DOC18/xsltV6/GF74_PROG.xsl
		jsp/DOC18/xsltV6/GF75_PROG.xsl
		jsp/DOC18/xsltV6/GF76_PROG.xsl
		jsp/DOC18/xsltV6/GF77_PROG.xsl
		jsp/DOC18/xsltV6/GF79_PROG.xsl

	[V5 修正反映]
	5.9.27.2 (2017/12/15)
		[日本語ファイル名のEdge対応]
		Edgeで日本語ファイル名をfileDownloadServlet経由で落とす場合に文字化けしていたため、IEと同様の処理としておきます。
		判定はUserAgentの「Edge」の文字列有無としています。
			hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

	5.9.27.1 (2017/12/08)
		[RFW向けプラグインの追加]
		出力ファイル名を[GRPID]_[YKNO]_[LISTID].csvとするプラグインを別で作成します。
			plugin.report.CSVPrintPointService_RFW2 新規作成

		[SHA-1対応]
		文字列ハッシュ化はMD5のみ対応していましたが、SHA-1にも対応しておきます。
			fukurou.security.HybsCryptography#getSHA1( final String input )
			plugin.column.DBType_SHA1 新規作成

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\DOC12\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\DOC16\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6000\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6000\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7070\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7070\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\ORA10\dba_table.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp

6.8.4.0 (2017/12/04)
	V5 修正反映 にともなう、hybs-taglib.tld の更新のため、
	6.8.4.0 まで、アップします。

	[V5 修正反映]
	5.9.27.1 (2017/12/08)
		[BizLogicのエラーメッセージ表示対応]
		Queryタグ同様にBizLogicでもdispErrorをセット出来るようにしておきます。
			hayabusa.taglib.BizLogicTag#setDispError( final String flag )

	5.9.26.1 (2017/11/10)
		[PL/SQL実行エラー表示]
		Queryタグ及びPlsqlUpdateタグで、エラー表示の有無を選択可能にします。
		また、DB.ERR_CODE同様にリクエスト変数DB.ERR_MSGにメッセージを保持するようにします。
		これは、例えばAPI向けのJSPを作成した際にレスポンスをJSON形式で返したい場合に
		stopErrorと併用してエラーメッセージ（HTML)をJSONエスケープするようなパターンで利用します。
		但し、いままでstopErrorに関係なく強制的に停止していた処理はそのままとしています。
			hayabusa.taglib.QueryTag#release2()
			hayabusa.taglib.QueryTag#setDispError( final String flag )
			hayabusa.taglib.QueryTag#doEndTag()
			hayabusa.taglib.PlsqlUpdateTag#doEndTag()
			hayabusa.taglib.BizLogicTag#doEndTag()
			hayabusa.taglib.BizLogicTag#release2()
			hybs-taglib.tld

		[{@JSON.xxx}追加]
		JOSN向けの文字エスケープを画面から簡易的に実行可能にします。
		JOSN.xxxとなっていますが、出力される文字列はエスケープされた文字列であってJSON形式ではありません。
			hayabusa.taglib.CommonTagSupport#getReservedValue( final String key )

6.8.3.1 (2017/12/01)
	6.8.4.0 (2017/12/04) のリリースに伴い、本バージョンは、リリースしません。

	[03_DBSEARCH]
	DB検索で、テーブル名一覧やカラム名を、ﾘｿｰｽから取得していましたが、
	コメントテーブル（DBA_TAB_COMMENTS、DBA_COL_COMMENTS）を優先して
	取得するようにします。
	viewObject.jsp での検索結果にも、対応します。
		common/gamen/03_DBSEARCH/changeSQL.jsp
		common/gamen/03_DBSEARCH/viewObject.jsp

	[03_DBSEARCH]
	JavaDB(Derby) のテーブル一覧、カラム一覧を対応しました。

	[GROPUの表示順を、コードリソースの並び順にします]
		hayabusa.taglib.TopMenuTag#makeGroupMenu()

	[[$XXXX param] で、RendererValueのパラメータを動的に変更できます]
		fukurou.model.Formatter#makeFormatList(String fmt)
		fukurou.model.Formatter#advanceFormat()
		fukurou.model.Formatter#getClmPrms()
		fukurou.model.Formatter#getClmParam(int ad)
		hayabusa.html.ViewMarker_MARKER#getMarkerString(int row,int clm,String value)

	[nullの場合、useNullOmit || useZeroOmit と、useEqValOmit の useRenderer 対応]
		plugin.view.ViewForm_JSON#create(int startNo,int pageSize)

	[size（minFraction）の最大値は、4（DB_CELL.length-1） とします]
		plugin.column.Renderer_MONEY#newInstance(DBColumn clm)

	[パラメータを渡せるようにします]
		hayabusa.db.AbstractRenderer#getValue(int row,String value,String param)
		hayabusa.db.CellRenderer#getValue(int row,String value,String param)
		hayabusa.db.DBColumn#getRendererValue(int row,String value,String param)
		plugin.column.Renderer_DATE#getValue(int row,String value,String param)
		plugin.column.Renderer_DECIMAL#getValue(int row,String value,String param)
		plugin.column.Renderer_MONEY#getValue(int row,String value,String param)
		plugin.column.Renderer_NUMBER#getValue(int row,String value,String param)

	[ローカルリソースの文字型⇒数値型変換の処理の有無]
		hayabusa.report2.OdsContentParser#OdsContentParser(ExecQueue qu,String pt)
		hayabusa.report2.OdsContentParser#writeParsedRow(String row,BufferedWriter bw,String sheetNameOrig,String sheetNameNew)
		hayabusa.report2.OdsContentParser#parseByAnnotation(String row,int curOffset,String key,StringBuilder sb)

	[不要なデータを出力しないようにします]
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[小数点で桁ぞろえするため、小数点以下、４桁のスペースと、pre 属性、右寄せを標準に入れます]
		plugin.column.Renderer_MONEY#getValue(String value,boolean isView)

	[標準オブジェクトとして、利用できる形にして、キャッシュします]
		plugin.column.Renderer_DATE#newInstance(DBColumn clm)
		plugin.column.Renderer_DATE#Renderer_DATE()
		plugin.column.Renderer_DATE#Renderer_DATE(DBColumn clm)
		plugin.column.Renderer_DECIMAL#newInstance(DBColumn clm)
		plugin.column.Renderer_DECIMAL#Renderer_DECIMAL()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\changeSQL.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\viewObject.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
	5.9.27.0 (2017/12/01)
		[jsChartのスライドバー小数点対応]
		整数に変換していた箇所を実数変換に変更します。
			hayabusa.taglib.JsChartTag#jsChartOutput()

		[JSON view用パラメータ追加]
		特定のカラムのみレンデラーを出力する事が出来るようにします。
		コードだけでなく日本語名称も同時に渡せるようにするためです。
			hayabusa.html.ViewJsonParam#JSON_RENDERER_COLS_KEY
			hayabusa.html.ViewJsonParam#JSON_RENDERER_COLS
			hayabusa.taglib.ViewJsonParamTag#setUseRendererColumns( final String cols )
			hayabusa.html.AbstractViewForm#setBooleanArray( final String clsm , final boolean def , final boolean[] arrays )
			plugin.view.ViewForm_JSON#create( final int startNo, final int pageSize )
			hybs-taglib.tld

		[fileDownloadサーブレットのヘッダ追加]
		ファイルサイズを表すContent-Lengthを追加しておきます
			hayabusa.servlet.FileDownload#doPost( final HttpServletRequest request, final HttpServletResponse response )

6.8.3.0 (2017/11/27)
	[useEqValOmit属性の追加]
		hayabusa.taglib.JsChartTag#setUseEqValOmit(String useEqValOmit)
		hayabusa.taglib.JsChartTag#release2()
		plugin.view.ViewForm_JSON#paramInit()

	[useZeroDataOmit属性で、nullOmit属性もセットします]
		hayabusa.taglib.JsChartTag#setUseZeroDataOmit(String useZeroOmit)
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[処理速度向上(カラムのキャッシュ)と、同一値のomit処理(useEqValOmit)]
		plugin.view.ViewForm_JSON#create(int startNo,int pageSize)

	[GEのFGJ条件]
	geのcustom/releaseNotesWhereA.jsp をincludeしているSQL文には、FGJの
	条件が含まれているため、whereタグから削除しておきます。
		GE0002\result.jsp(94): 			<jsp:directive.include file="/jsp/custom/releaseNotesWhereA.jsp" />
		GE0003\result.jsp(69): 		<jsp:directive.include file="/jsp/custom/releaseNotesWhereA.jsp" />
		GE0004\result.jsp(73): 		<jsp:directive.include file="/jsp/custom/releaseNotesWhereA.jsp" />
		GE0005\result.jsp(56): 		<jsp:directive.include file="/jsp/custom/releaseNotesWhereA.jsp" />
		GE0006\result.jsp(53): 		<jsp:directive.include file="/jsp/custom/releaseNotesWhereA.jsp" />

	[ﾘｿｰｽ追加]
	GEと**で、英語、中国語のﾘｿｰｽを追加しました。
	自動翻訳なので、問題があれば、ご指摘ください。

	[03_DBSEARCH]
	DB検索で、テーブル名一覧やカラム名を、ﾘｿｰｽから取得していましたが、
	コメントテーブル（DBA_TAB_COMMENTS、DBA_COL_COMMENTS）を優先して
	取得するようにします。
	コメントが無い場合は、ﾘｿｰｽから取得することになります。
		common/gamen/03_DBSEARCH/changeSQL.jsp
		common/gamen/03_DBSEARCH/result.jsp

	[H2 データベース対応]

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\multiMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\simpleMenu.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

6.8.2.4 (2017/11/20)
	[FROM配列($1〜$9)の制約で、イベント名が9個しか使えなかったのを修正します]
	 * (注意点4) 6.8.2.4 (2017/11/20) イベントカラムの、変数($1,$2...$9)は、先頭から９つまでしか使えません。
	 *          10個目以降の変数は無視されますので、必要であれば、9個までの位置に、カラムを記述してください。
		fukurou.util.StringFormat#format()

	[POIで作成したEXCEL(XLSX)は、文字列を、inlineStr で持っている為、取り出し方が特殊になります]
	EXCEL出力(xlsx)のファイルをそのまま取り込めませんでした。一旦上書き保存しないと、エラーになります。
	これは、通常のEXCELでは、文字列をマッピングして持っており、そのように読み込み処理で対応して
	いますが、POIで書き込んだEXCELは、文字列を、inlineStr で持っている為、取り出し方が特殊になります。
	以前のバージョンでは、対応できていた（はず）ですが、変更があったのかもしれません。
		fukurou.model.EventReader_XLSX.SheetHandler#endElement(String namespace,String localName,String qname)

	[poi-3.17 で、警告: [rawtypes] raw型が見つかりました対応]
		fukurou.model.ExcelModel#addImageFile(String imgFile,int shtNo,int row1,int col1,int row2,int col2,int dx1,int dy1,int dx2,int dy2)

	[POI]
		ext\poi-3.17.jar
		ext\poi-ooxml-3.17.jar
		ext\poi-ooxml-schemas-3.17.jar
		ext\poi-scratchpad-3.17.jar

	[rowObj のnull対策(poi-3.17)]
	poi-3.15 でも同じ現象が出ていますが、sht.getRow( stR ) で、Rowオブジェクトにnullが返ってきます。
	なんとなく、最後の行だけ、返ってきている感じです。
	頻繁には使わないと思いますので、最大カラム数=256 として処理します。
		fukurou.model.POIUtil#autoCellSize(Workbook wkbook,int maxColCount,int dataStRow)

	[ver7準備(java9対応)]
		fukurou.model.EventReader_XLSX#eventReader(File file,TableModelHelper helper)

	[環境変数( ${env.XXXX} ) を処理できるようにします]
		fukurou.db.DatabaseConfig#makeDbidMap(Element element,EDbid defDdbid)
		fukurou.db.DatabaseConfig#envText(String orgTxt)

	[ver7準備(java9対応)]
	改善 (61200-171116-14) ﾗﾍﾞﾙ概要説明画面に曖昧検索機能を追加しました。
		ge/jsp/GE0006/query.jsp , result.jsp

	[jsp , js , css , tld更新]
	TOPﾒﾆｭｰのGMIS対応
		C:\opengionV6\uap\webapps\gf\jsp\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index4.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\matrixMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\multiMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\simpleMenu.jsp

6.8.2.3 (2017/11/10)
	[menu/matrixMenu.jsp 関係]
	menu/matrixMenu.jsp 関係で、geを、vv にあわせます。
	ただし、custom ではなく、menu の matrixMenu.jsp をアクセスするように
	します。カスタマイズする場合は、custom に入れるのではなく、
	menu フォルダを作成して、そちらに入れてください。
		C:\opengionV6\uap\webapps\gf\jsp\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index4.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\matrixMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\multiMenu.jsp

	[Doubleｲﾝｽﾀﾝｽ作成方法の変更]
		penguin.math.ga.HybsScheduleChromosome#makeSchedule(List representation,Map machineList,Map taskSchedule)

	[java9対応(cls.newInstance() → cls.getDeclaredConstructor().newInstance())]
		fukurou.util.HybsLoader#newInstance(String clsName)
		fukurou.util.StringUtil#newInstance(String cls,ClassLoader loader)
		fukurou.xml.JspSaxParser#main(String[] args)
		hayabusa.common.HybsSystem#newInstance(String cls)
		penguin.common.SystemUtil#newInstance(String cls)

	[minCellCountの数が、一つ足りない事の修正]
	TopMenuTag の minCellCount で、表形式メニュー(MATRIX)の一つのセルに
	含まれる最小行数を指定しますが、指定の値より、１小さい値になります。
	件数比較で、j<minCellCount-1; となっているためで、-1 を修正します。
		hayabusa.taglib.TopMenuTag#makeMatrixMenu()
		hayabusa.taglib.TopMenuTag#makeMatrixMenu2()

6.8.2.2 (2017/11/02)
	[コネクションの再取得をリトライします]
		fukurou.fileexec.DBUtil#getConnection()

	[ネットワークパスのチェックを行います]
		fukurou.fileexec.DirWatch#run()

	[パッケージ名の簡略化を、汎用的に対応させます]
		fukurou.taglet.DocletVerCheck#writeContents(ClassDoc[] classes,DocletTagWriter writer,String version)
		fukurou.taglet.DocletVerCheck#optionLength(String option)
		fukurou.taglet.DocletVerCheck#start(RootDoc root)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\common\fileDownload.jsp

	[V5 修正反映]
	※ 拡張JARは入れていません。
		5.9.26.0 (2017/11/02)
	X	[メール送信のsendGrid対応]
	X	SMTPサーバではなく、APIを利用したメール送信に対応させてます。
	X	今回はsendGridでの送信を実装しています。
		sendGridのAPIキーはシステムリソースのMAIL_SENDGRID_APIKEYで指定します。
	X	オブジェクトストレージを利用したファイル添付は現時点では対応させていません。
		まだ、同時にPostgreで動作するようにシーケンスの取得をnextvalではなくエンジン内部の互換機能を利用するよう変更します。
			hayasuba.mail.MailManager_DB#makeParamMap( final String systemId, final String[] ge30Data )
			hayasuba.mail.MailManager_DB#commitParamTable( final String uniq, final String fgj )
			hayasuba.mail.AbstractMailManager#getYkno()
	X		plugin.cloud.MailManager_DB_SendGridAPI
			plugin.daemon.MailDaemon_SendGridAPI
			hayabusa.common.SystemData#MAIL_SENDGRID_APIKEY

6.8.2.1 (2017/10/27)
	V5 の修正反映です。
	ただし、クラウドストレージ対応で、ReadTableTag、WriteTableTag の対応は、行っていません。
	Ver6では、なんとなく、クラウド用のサブクラスを作成して、システムリソースで切り替える方式のほうが
	全体にシンプルになりそうな気がするためですが、実際は、見ていませんのでわかりません。
	とりあえず、fileDownload.jsp だけは、反映しておきました。

	[V5 修正反映]
		5.9.25.2 (2017/10/27)
		[エラーメッセージのリソース化]
		xssCheck及びquotCheckのエラーメッセージをラベルリソース化します。
			hayabusa.taglib.CommonTagSupport#getRequestValue( final String key, final boolean xssCheckFlg )
			ラベルリソース ERR0048.1,ERR0048.2,ERR0049.1,ERR0049.2

	X	[クラウドストレージ対応(Excel入出力)]
	X	ファイルのアップロード/ダウンロードは5.9.25.0で対応しましたが、
	X	writeTable,readTableもクラウド上のストレージを利用出来るようにしておきます。
	X	readの一部処理はtomcat配下のディスクでの作業で行っているため、ストレージからコピーして対応します。
	X		hayabusa.taglib.WriteTableTag#doEndTag()
	X		hayabusa.taglib.WriteTableTag#entryStorage(String storage, String container, String trgFileName)
	X		hayabusa.taglib.ReadTableTag#create( final BufferedReader out )
	X		hayabusa.taglib.ReadTableTag#downloadStorageFile(String storage)
	X		hayabusa.taglib.ReadTableTag#getBufferedReader()
			jsp/common/fileDownload.jsp

6.8.2.0 (2017/10/13)
	[makeNthChildの廃止と、makeCheckboxで、個別にclass指定するように変更]
	6.8.1.0 (2017/07/14) で、[HTML5対応ヘッダー出力設定時に、ブラウザを互換設定したときの対応]
	を行いましたが、段組時にレイアウトがずれるため、一覧表示以外のview では、
	makeNthChildの使用を廃止し、個別にclass属性を入れるように、makeCheckboxの最後の引数を true にします。
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#create(int stNo,int pgSize)
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#create(int sttNo,int pgSize)
		plugin.view.ViewForm_HTMLStackedGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#makeBodyTable(StringBuilder outBuf,int row,int stackRow,int bgClrCnt,int blc,double[] costAry,String cap)

	V5 の修正反映です。
	クラウドストレージ と、JSON関係のパッケージは、今回、採用していません。
	実際に使う場合には、再度、調整が必要です。

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6260\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9100\query.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\jquery\jquery-migrate.js
		C:\opengionV6\uap\webapps\gf\src\script\common\jquery\jquery1.12.js

	[V5 修正反映]
		5.9.25.1 (2017/10/13)
			[GUIQueryTag機能追加]
			useBeforeHtmlTagの属性を追加します。
				hayabusa.taglib.GuiQueryTag コメント追記
				taglib.tld

			[edit機能修正]
			3ペイン画面でedit登録が綺麗に動いていなかったため修正します。
				jsp/common/gamen/14_EDIT/edit.js#refreshEdit( guikey, editName, backAddress )

		※ 5.9.21 で追加された、jar ファイルは、一旦保留します。
			jackson-annotations-2.8.0.jar
			jackson-core-2.8.8.jar
			jackson-databind-2.8.8.jar

		※ 5.9.25 で追加された、jar ファイルは、一旦保留します。
			btf-1.2.jar
			guava-20.0.jar
			jackson-coreutils-1.6.jar
			jackson-dataformat-yaml-2.8.8.jar
			json-patch-1.9.jar
			jsr305-2.0.0.jar
			msg-simple-1.1.jar
			okhttp-3.2.0.jar
			okio-1.6.0.jar
			openstack4j-core-3.1.0.jar
			openstack4j-okhttp-3.1.0.jar
			slf4j-api-1.7.21.jar
			slf4j-simple-1.7.21.jar
			snakeyaml-1.15.jar

6.8.1.7 (2017/10/13)
	※ このバージョンは、リリースしていません。
	どうするか、検討します。
	X	5.9.25.0 (2017/10/06)
	X		[クラウドストレージ対応]
	X		一部のファイル関係の機能（アップロード/ダウンロード）をクラウド上のストレージに対応させます。
	X		PaaSでサーバを立てる場合にはストレージはオブジェクトストレージを一般的には利用しますが、
	X		オブジェクトストレージはAPI経由で接続するため、標準的なファイル操作ではアクセスできません。
	X		クラウド用のプラグインとして、API経由でアクセスする仕組みを用意し、ファイルのアップロード/ダウンロードに対応させます。
	X		システムリソースCLOUD_STORAGEで利用するクラウドサービス（クラス）を指定する事でAPI経由でのアクセスとなります。
	X		未指定の場合は今まで通りの動作となります。
	X		今回の実装ではfileタグやfileQueryタグでの操作は対応していません。
	X		bluemixでサンプルプラグインを実装していますが、コンパイルにはopenstack4j-core-3.1.0.jar, openstack4j-okhttp-3.1.0.jarが必要です。
	X		（bluemix上で実際に実行する場合、openstack4からcallされる次のjarも必要です
	X		btf-1.2.jar ,guava-20.0.jar, jackson-coreutils-1.6.jar, jackson-dataformat-yaml-2.8.0.jar, json-patch-1.9.jar, jsr305-2.0.0.jar
	X		,msg-simple-1.1.jar, okhttp-3.2.0.jar, okio-1.6.0.jar, slf4j-api-1.7.21.jar, slf4j-simple-1.7.21.jar, snakeyaml-1.15.jar）
	X			hayabusa.io.StorageAPIFactory.java
	X			hayabusa.io.StorageAPI.java
	X			hayabusa.servlet.FileDownload.java#doPost( final HttpServletRequest request, final HttpServletResponse response )
	X			hayabusa.servlet.MultipartRequest#MultipartRequest(...)
	X			hayabusa.servlet.UploadFile#getUploadFile()
	X			hayabusa.servlet.UploadFile#renameTo( final String newName , final boolean useBackup, final String fileURL, HttpSession hsession)
	X			hayabusa.servlet.multipart.FilePart#writeToCloud(String storage, String directory, HttpSession hsession)
	X			hayabusa.taglib.FileUploadTag#doEndTag()
	X			hayabusa.taglib.FileUploadTag#makeDBTable( final MultipartRequest multi )
	X			hayabusa.taglib.FileUploadTag#makeDBTableFromClms( final MultipartRequest multi )
	X			hayabusa.common.SystemData#CLOUD_STORAGE
	X			hayabusa.common.SystemData#CLOUD_STORAGE_CONTAINER
	X			plugin.cloud.StorageAPI_bluemix.java

			[jquery1.12]
			JQuery1.4を利用してきましたが、一般的には1.9以降対応のモジュールも増えてきているため、
			IE7モードに対応した1.x系の最新である1.12を利用可能にします。
			ただし、互換性を保つため標準状態では1.4を読み込むようにします。
			また、1.12読み込み時もこれまでのスクリプト利用できるようにするため、jquery-migrate1.4を同時に読み込みます。
			ヘッダ固定やHTML5向けポップアップ等の主要スクリプトの動作は見ていますが、全ての標準スクリプトの動作を保証するものではありません。
				hayabusa.taglib.HeadTag#doEndTag()
				hayabusa.taglib.HeadTag#release2()
				hayabusa.taglib.HeadTag#setUseJquery12( final String flag )
				jsp/common/jquery/jquery1.12.js
				jsp/common/jquery/jquery-migrate.js
				hybs-taglib.tld

6.8.1.6 (2017/09/29)
	[imageOnly="true" で、イメージにリンクが付かないバグ修正]
		hayabusa.taglib.TopMenuTag#makeTagMenuString(String href,String target,String bodyIn,String gamenId,String imgKey,int type)

	[localResource でSYSTEM_IDを使用する修正]
		ge/jsp/custom/multiChoose.jsp

	[IEのWindowクローズメッセージが２回出る対策]
	警告で別画面を立ち上げたときに、IEのWindowクローズメッセージが２回出る対策
	onClick="closeWindow()" と、onUnload="closeWindow()" と入っているため。
	×で閉じると、onUnload が走らないので、resizeTo(1024,768); も動かない。
		gf/jsp/common/errorMessage.jsp

	[textarea.renderer-textarea の修正]
		src\script\common\default.css

	[ｿｰｽGrep検索のsuffixに.js を追加]
		jsp\DOC23\query.jsp

	[V5 修正反映]
		5.9.24.3 (2017/09/29)
			[JFreeChartの機能追加]
			線グラフで対応されていたMarkOverColorsを棒グラフでも対応する。
				hayabusa.io.HybsBarRenderer#drawItem2(...)
				hayabusa.io.ChartDataset#getRenderer( final int serNo , final CategoryURLGenerator urlGen )
				hayabusa.taglib.ChartDatasetTag#setMarkOverColors( final String overColors ) コメント変更

		5.9.24.2 (2017/09/22)
			[eventScript修正]
			JavaScriptのパラメータ取得方法を修正して互換性を向上させます。
				jsp/common/eventScript.js#check( obj, sUrl )

6.8.1.5 (2017/09/08)
	[LOGGER.debug 情報の追加]
		fukurou.fileexec.AppliExec#exec(Path path)
		fukurou.fileexec.AppliExec#AppliExec(String systemId,String execId)
		fukurou.fileexec.CommandLine#CommandLine(String[] values)
		fukurou.fileexec.DBUtil#execute(String query,List list)
		fukurou.fileexec.DBUtil#execute(String insQuery,String updQuery,List insList,List updList)
		fukurou.fileexec.FileExec#watchStop()
		fukurou.fileexec.FileExec#checkFile(String event,Path filePath)
		fukurou.fileexec.FileExec.GE71#dbInsert(String fgtKan,String tmStr,Path fIn,Path fOk,Path fNg,int sutori,String errMsg)
		fukurou.fileexec.FileExec#FileExec(CommandLine cmndLine)
		fukurou.fileexec.FileExec#watchStart()
		fukurou.fileexec.MsgUtil#throwException(Throwable th,String id,Object[] args)
		fukurou.fileexec.MsgUtil#getMsg(String id,Object[] args)
		fukurou.fileexec.RunExec_DBIN#exec(Path path,String[] ge72Data)

	[LOGGER.debug 情報の追加]
	 try ･･･ catch( Throwable ) 構文を、runメソッドの標準的な作りにしておきたいため、
 	あえて、実行メソッドを分けているだけです
		fukurou.fileexec.FileWatch#execute()

	[PMD refactoring. It is a good practice to call super() in a constructor]
		plugin.column.Editor_DATALIST_R#Editor_DATALIST_R()

	[logフォルダの存在チェックと作成]
		fukurou.fileexec.XLogger#XLogger(String name)

	[ﾌｧｲﾙ名の'*'の処理の見直し]
		fukurou.fileexec.PathMatcherSet#addFileName(String filename)

	[V5 修正反映]
		5.9.24.0 (2017/09/01)
			[当日、休日の色の不具合対応]
			org.opengion.hayabusa.taglib.GanttHeaderTag#makeZoom2( final int add )

		5.9.24.2 (2017/09/15)
			[インストール時の情報表示]
			AzureのpostgresのDB名がPOSTGRESQLなので対応しておきます。
				fukurou.db.DBUtil#getDBType( final String dbName )

		5.9.24.1 (2017/09/08)
			[インストール時の情報表示]
			システムインストール時にDB名称を表示するようにしておきます。
			（インストール出来ない場合に確認するため）
				hayabusa.common.SystemInstaller#SystemInstaller( final Connection defConn, final Connection rscConn, final PrintWriter out ) 

6.8.1.4 (2017/08/25)
	[filename に、拡張子はつけません。]
		hayabusa.taglib.FileUDTag#doEndTag()

	X [class="W100"の追加条件に、dbType 制限を掛けません]
	X	hayabusa.html.AbstractViewForm#getSortedColumnLabel(int column)

	[must の取り消し]
		これは、config.setEditorAttributes( attri ); の副作用で、config から、must をremoveする必要が出てきました。
		hayabusa.html.AbstractViewForm#getSortedColumnLabel(int column)

	[must="false"で、config.setEditorAttributes で、属性を追加するようになった為の取り消しの対応]
	 * ※ 6.8.1.4 (2017/08/25)
	 *    type に、null を指定できるようにします。その場合は、type="must" を
	 *    削除する動きになります。
	 *    本来なら、delMustType( int ) などのメソッド追加が良いのですが、
	 *    今回は、変更箇所を少ない目にするため、このメソッドのみで対応します。
		hayabusa.taglib.ColumnEditorTag#doEndTag()
		hayabusa.db.DBColumnConfig#removeEditorAttributes(String key,String val)
		hayabusa.db.DBTableModelImpl#addMustType(int dbColumn,String type)
		hayabusa.taglib.HTMLTagSupport#makeMustHidden(String name)
		hayabusa.taglib.HTMLTagSupport#setMust(String flag)

	[ｶﾞﾝﾄEdge対応のScript反映]
		訂正箇所は550行目、566行目と621行目です。
		common/option/adjustGanttTable.js

	[空白文字だけの行を、改行のみに変更します。]
		6.8.1.4_refactoring.txt

	[V5 修正反映]
		5.9.24.0 (2017/09/01)
			[ヘッダ固定修正]
			ヘッダ二重の修正で、eventColumn等でスクリプトが再実行された際の処理の漏れがあったので追加します。
				common/scrollBar2.js

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\common\fileDownload.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js
		C:\opengionV6\uap\webapps\gf\src\script\common\scrollBar2.js

6.8.1.3 (2017/08/18)
	6.8.1.3 (2017/08/04) と同じﾊﾞｰｼﾞｮﾝで、コンパイル日を変更します。

	[V5 修正反映]
		[ヘッダ固定修正]
		5.9.23.0の追加修正です。日付や時刻選択用のアイコンが選択される可能性があるためbutton,imgの対応も行います。
			common/scrollBar2.js

6.8.1.3 (2017/08/04)
	[日本語のeditNameが、ネイティブモードでHTTP400 エラーになる]
	EDIT名に日本語を使用している場合、URLエンコードしておかないと、
	ネイティブモードでは、HTTP 400エラーが発生します。
	以前、buttonタグのラベルが日本語の場合にも同様に現象が発生しました。
		hayabusa.taglib.FileUDTag#doEndTag()

	※ 6.8.1.1 (2017/07/22) [転送不要のキーを除外します]
		※ 日本語部分があるため、URLEncode は入れました。
		※ どうも、Tomcatのﾊﾞｰｼﾞｮﾝ依存のようである。つまり、ネイティブモード時に
		   日本語が含まれると、画面遷移が、より厳しく判定されるようになったようだ。
		※ 今回の件、<a href="ogOpen(・・・・)" /> 処理で行っているが、この場合、
		   URLEncodeしても、だめみたいで、<a onClick="ogOpen(・・・・)" /> に変更した。

	[main引数からのURLは、StringUtil.urlEncode2 を必ず適用する]
		fukurou.util.URLConnect#main(String[] args)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\scrollBar2.js

	[V5 修正反映]
		5.9.23.1 (2017/08/18)
			[headタグのタイプ追加]
			headタグのタイプにjsonを追加します。
			headタグの処理を通した上で、contentType="application/json"をセットします。
			出力は何もしません。
				hayabusa.taglib.HeadTag#doEndTag() 
				hayabusa.taglib.HeadTag#doStartTag()

		5.9.23.0 (2017/08/10)
			[ヘッダ固定修正]
			ヘッダ固定時にブラウザで検索を行った際に、ヘッダが二重になる現象の対応をします。
				common/scrollBar2.js
				hayabusa.html.AbstractViewForm#getSortedColumnLabel( final int column )

6.8.1.2 (2017/07/31)
	[org.opengion.fukurou.fileexec パッケージ]
	org.opengion.fukurou.fileexec パッケージを追加します。
	これは、仮対応で、最終的には、Ver7 として、正式ﾘﾘｰｽ予定です。
	このファイル取込パッケージは、GE70,GE71,GE72 の各テーブルを使用します。

6.8.1.1 (2017/07/22)
	[ckboxTD変数は、&lt;td&gt; から &lt;td に変更します(タグの最後が記述されていない状態でもらう)]
	viewのckboxTD変数は、<td> などを定義していましたが、class 属性を追加したいため、
	<td のみ定義します。">" は、その後の処理で、追加します。
		plugin.view.ViewForm_HTMLAjaxTreeTable#create(int strNo,int pageSize)
		plugin.view.ViewForm_HTMLCrossTable#create(int startNo,int pageSize)
		plugin.view.ViewForm_HTMLCrossTable#makeCheckbox(String ckboxTD,int row,int blc)
		plugin.view.ViewForm_HTMLCustomTable#create(int startNo,int pageSize)
		plugin.view.ViewForm_HTMLFormatTable#create(int startNo,int pageSize)
		plugin.view.ViewForm_HTMLGanttTable#create(int stNo,int pgSize)
		plugin.view.ViewForm_HTMLSeqClmTable#create(int startNo,int pageSize)
		plugin.view.ViewForm_HTMLStackedGanttTable#create(int sttNo,int pgSize)
		plugin.view.ViewForm_HTMLStackedGanttTable#makeBodyTable(StringBuilder outBuf,int row,int stackRow,int bgClrCnt,int blc,double[] costAry,String cap)
		plugin.view.ViewForm_HTMLTable#create(int startNo,int pageSize)
		plugin.view.ViewForm_HTMLTable#makeCheckbox(String ckboxTD,int row,int blc,boolean useS9)

	[makeNthChild 処理時に、自身のﾃｰﾌﾞﾙと区別するために、viewClass を追加します]
		hayabusa.taglib.TaglibUtil#makeHTMLErrorTable(ErrorMessage errMsg,ResourceManager resource)

	[互換性を保つためのメソッド]
		plugin.view.ViewForm_HTMLTable#makeCheckbox(String ckboxTD,int row,int blc)

	[転送不要のキーを除外します]
	これは、ボタンのラベルに日本語を使用した場合に、ネイティブモードでは、HTTP 400エラーが
	発生して画面遷移できなくなります。
	HybsSystem.NO_XFER_KEY は、画面遷移時に引数に加える必要がないため、除外します。
	この現象は、Tomcatのﾊﾞｰｼﾞｮﾝに依存しています。
		hayabusa.taglib.FrameTag#isNormalRequestKey(String key)

	[JavaScriptのalertｺﾒﾝﾄの日本語を、英語にしておきます。]
		option\adjustBar.js(167): 			alert( "属性[id]を設定してください。" ); 
		option\adjustBar.js(174): 			alert( "属性[type]を設定してください。id=" + iBarArray[i].id ); 
		option\adjustBar.js(181): 			alert( "属性[value]を設定してください。id=" + iBarArray[i].id ); 
		option\adjustBar.js(187): 			alert( "属性[baseVal]を設定してください。id=" + iBarArray[i].id ); 
		option\adjustBar.js(196): 					alert( "属性[value=" + tmpValue + "]と属性[color=" + tmpColor + "]を一対一で設定してください。id=" + iBarArray[i].id ); 
		option\adjustBar.js(203): 					alert( "属性[value]と属性[colorNo]を一対一で設定してください。id=" + iBarArray[i].id ); 
		option\adjustBar.js(209): 				alert( "属性[color]か属性[colorNo]のどちらかは設定してください。id=" + iBarArray[i].id ); 
		option\adjustBar.js(232): 				alert( "横棒と縦棒が混在しています。" );
		option\adjustBar.js(236): 				alert( "横棒と縦棒が混在しています。" );
		option\adjustField.js(43): 			alert("colsWidthの設定値の数はcolsと一致しません。"); 
		option\adjustGanttTable.js(681): 					alert( "時間をYYYYMMDDHH24MMのフォーマットで設定してください。("+hilightBar.getAttribute('startDT') + ")" );
		option\adjustMatrix.js(786): 			alert("mode属性は「Layout,Value」以外の値に設定できません");

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF2140\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6000\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\process.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar3.js
		C:\opengionV6\uap\webapps\gf\src\script\common\default.css
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustBar.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustField.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustMatrix.js

	[tomcatのalias]
	META-INF/context.xml で、alias設定を行います。(サンプル)

	[V5 修正反映]
		5.9.22.2 (2017/07/21)
	X		[GF9160 ３ペイン]
	X		３ペインテスト画面を作成します。
	X			jsp/GF9160

			[messageタグ]
			messageタグでタイプをTips指定した場合にはclass=ogmsg付きのspanタグで囲います。
			また、CSSにヘルプアイコン表示用の記述を追加しておきます。
				hayabusa.taglib.MessageTag#makeTag()
				common/defaut.css

			[日付ピッカー修正]
			bulkセットで動作していなかったので、変更があった場合はonChangeを走らせるようにします。
			また、5.9.22.0のピッカー修正が反映されていなかったようなので反映させておきます。
	X			jsp/common/eventScript.js
	○			jsp/common/calendar3.js			V6 は、calendar3.js に、移植しているため。

6.8.1.0 (2017/07/14)
	[HTML5対応ヘッダー出力設定時に、ブラウザを互換設定したときの対応]
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLTable#getTableHead()

	[JAVADB → DERBY に変更]
		plugin.table.TableFilter_INDEX_DERBY#TableFilter_INDEX_DERBY()
		plugin.table.TableFilter_SEQUENCE_DERBY#TableFilter_SEQUENCE_DERBY()
		plugin.table.TableFilter_TABLE_DERBY#TableFilter_TABLE_DERBY()

	[GF9160 ３ペイン]
	３ペインテスト画面を作成します。
		jsp/GF9160

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF2140\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\14_EDIT\result_CLMSEQ.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.22.1 (2017/07/14)
			[帳票・要求明細データ画面修正]
			検索項目に帳票IDがありましたが、この値はverifyにしか利用していませんでした。
			レスポンス的にも問題がなさそうなので、検索条件として使われるようにします。
				ge/jsp/REP02/result.jsp

		5.9.22.0 (2017/07/07)
			[日付ピッカー修正]
			初期値として不正日付や空文字の場合に正しく動作しないので修正します。
				jsp/common/eventScript.js#glDatePicker

			[edit機能修正]
			edit機能のカラム編集画面で編集名を選択した読み込んだ場合に編集できる項目が制限されてしまっていた。
			これは以前に追加した制限をかける機能の影響なので修正する。
				jsp/common/gamen/14_EDIT/result_CLMSEQ.jsp

		5.9.21.1 (2017/06/16)
			[Zip圧縮の結果出力]
			listがnull時のパターンが存在した場合に備えて、出力を追加しておきます。
				fukurou.util/ZipFileUtil#main( final String[] args )

			[QueryButtonタグのクリア機能]
			queryButtonでuseClearを利用したJavaScriptタイプのリセットは
			query.jsp、command=NEW、フレーム名QUERYで固定されています。
			これらをタグから指定可能にしておきます。
				hayabusa.taglib.QueryButtonTag#release2()
				hayabusa.taglib.QueryButtonTag#getReset()
				hayabusa.taglib.QueryButtonTag#setClearTarget( final String tgt )
				hayabusa.taglib.QueryButtonTag#setClearHref( final String page )
				hayabusa.taglib.QueryButtonTag#setClearCommand( final String cmd )
				hybs-taglib.tld

6.8.0.1 (2017/06/30)
	※ リリースしていません。
	XU など変換時に、rtrim を行う
		eventScript.js/convert( obj )

	[-5:1レベル表示追加(元は、相対パスのみ対応していたが、絶対パスにも対応)]
		hayabusa.taglib.TopMenuTag#makeTagMenuString(String href,String target,String bodyIn,String gamenId,String imgKey,int type)

	[str指定のｷｰﾜｰﾄﾞ]
		hayabusa.taglib.ValueMapTag#getRequestValue(String key)

	[unmodifiable という文字列もチェック対象外にします]
		fukurou.taglet.DocletSpecific#checkPMD(ClassDoc classDoc)

	[つづり間違いに対応するため、厳密にチェックします]
		fukurou.util.StringUtil#nval(String inStr,boolean def)

6.8.0.0 (2017/06/02)
	[caseKey,caseVal,caseNN,caseNull 属性を追加]
		hayabusa.taglib.FileOptionTag#doStartTag()
		hayabusa.taglib.FileOptionTag#doEndTag()
		hayabusa.taglib.FileQueryTag#doEndTag()
		hayabusa.taglib.FileWhereTag#doEndTag()

	[notEquals 属性追加 , useDir="false" の初期値設定]
		hayabusa.taglib.FileWhereTag#release2()
	[notEquals 属性追加]
		hayabusa.taglib.FileOptionTag#release2()

	[sortColumn 追加]
		hayabusa.taglib.JsChartTag#setSortColumn(String sortClm)
		hayabusa.taglib.JsChartTag#release2()
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[zipFile の親ディレクトリを作成します]
		hayabusa.taglib.FileTag#actionExec(String action)

	[アーカイブするファイルのタイムスタンプをセットする]
		fukurou.util.ZipArchive#addZipEntry(List list,ZipArchiveOutputStream zos,String prefix,File[] files)

	[フォルダ内のファイルが無い場合は、階層に加えない]
		hayabusa.taglib.FileOptionTag#makeLabel(File path,OptionAncestorIF select,Comparator comp,boolean grpDir)

	[メニュー項目の最後の項目を削除]
		fukurou.util.Options#removeLast()
		hayabusa.taglib.DatalistTag#removeLast()
		hayabusa.taglib.OptionAncestorIF#removeLast()
		hayabusa.taglib.SelectTag#removeLast()

	[入力共通パス(inPath)を指定します]
		hayabusa.taglib.FileUpdateTag#release2()
		hayabusa.taglib.FileUpdateTag#execute()
		hayabusa.taglib.FileUpdateTag.FromToFiles#FromToFiles(DBTableModel table,String targetDir,boolean createDir,String inPath)
		hayabusa.taglib.FileUpdateTag.FromToFiles#makeFromToFile(int rowNo)

	[入力共通パスを指定します]
		hayabusa.taglib.FileUpdateTag#setInPath(String path)

	[判定結果を反転させて処理する notEquals 属性を追加します]
		fukurou.util.HybsFileFilter#HybsFileFilter(String useDIR,boolean ignoreCase)
		fukurou.util.HybsFileFilter#isHidden(String flag)
		fukurou.util.HybsFileFilter#HybsFileFilter(String useDIR,boolean ignoreCase,boolean notEquals)
		fukurou.util.HybsFileFilter#startsWith(String prefix)
		fukurou.util.HybsFileFilter#startsDir(String prefix)
		fukurou.util.HybsFileFilter#endsWith(String suffix)
		fukurou.util.HybsFileFilter#instr(String str)
		fukurou.util.HybsFileFilter#matches(String str)
		fukurou.util.HybsFileFilter#HybsFileFilter()
		fukurou.util.HybsFileFilter#lastModified(String modify)
		fukurou.util.HybsFileFilter#lastModified(String modify,boolean reverse)
		fukurou.util.HybsFileFilter.ModifyFileFilter#ModifyFileFilter(String value,boolean reverse)
		fukurou.util.HybsFileFilter.ModifyFileFilter#accept(File file)

	[新規追加]
		hayabusa.taglib.FileWhereTag#setNotEquals(String flag)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7170\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7170\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7170\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7170\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.21.0 (2017/06/02)
			※ JSON関係は、パッケージの配置や、クラスの継承等をもう少し
				検討したいため、Ver5 の反映は見送ります。

6.7.9.1 (2017/05/19)
	[BizLogic関連の見直し]
	BizLogic関連のクラスを見直します。
	１．protected ArrayTableModel table を private DataModel<String> table に変更。
	２．それに伴う、DataModelインターフェースの追加
	３．それに伴う、BizLogic関連クラスのメソッドの追加

	[ArrayTableModel をDataModel<String> に変更]
		fukurou.business.AbstractBizLogic#exist(String type,String tblId,String ns,String vs,String conNs,String conVs,boolean isErrThrow)
		fukurou.business.AbstractBizLogic#replaceParam(String str,int rw,DataModel tbl)
		fukurou.business.AbstractBizLogic#getFormatter(String str,DataModel tbl)
		fukurou.business.AbstractBizLogic#createTableBySql(String sq)
		fukurou.business.AbstractBizLogic#createTableBySql(String sq,int rw,DataModel tbl)
		fukurou.business.AbstractBizLogic#setTable(DataModel tbl)
		fukurou.business.AbstractBizLogic#call(String subLogicName,String key,String val,int rw,DataModel tbl)
		fukurou.business.AbstractBizLogic#sql(String sq,int rw,DataModel tbl)
		fukurou.business.AbstractBizLogic#execSQL(String sq,int rw,DataModel tbl)

	[ArrayTableModel を、DataModel I/F に変更]
		fukurou.business.BizLogicHelper#setTable(DataModel tbl)
		hayabusa.taglib.BizLogicTag#execute()

	[RETURN を返す変数が、logicName ＋ .RETURN にします]
		hayabusa.taglib.BizLogicTag#call(String logicName,Transaction tran)

	[keysMap が、空の場合も、keyValMap に登録する]
	(initSet 未登録時)
		hayabusa.db.AbstractTableFilter#setKeyVal(String key,String val)

	[protected ArrayTableModel を、private DataModel に変更します]
		fukurou.business.BizLogic_TABLE#main()
	このメソッド自体は、protected属性であるため、サブクラスから直接参照することができます。
 但し、これは、各業務ロジックで直接参照することを想定したものではなく、BizLogicの
 メイン構造を拡張するサブクラスを定義する際に使用することを想定しています。
 (この想定がなければ、本来は、package privateにすべきです)
 このため、業務ロジックを各実装クラスでは直接参照しないで下さい。
		fukurou.business.BizLogic_CURSOR#init()

	[インターフェースの見直しにより、追加]
		fukurou.business.ArrayTableModel#setModifyType(int row,String modType)
		fukurou.model.DataModel#getRowCount()
		fukurou.model.DataModel#getModifyType(int row)
		fukurou.model.DataModel#setModifyType(int row,String modType)

	[幅が0の場合は、1ピクセルだけ一つ前の領域に描画する]
		plugin.view.ViewForm_ImageTimeBar#imageMeker(Graphics2D g2,Color oldColor,int imgX,int imgY,int imgW,boolean useTipsLink,int row,StringBuilder outBuf)

	[文字列をdoubleに変換します]
		fukurou.business.AbstractBizLogic#str2dbl(String val)

	[文字列を整数に変換します]
		fukurou.business.AbstractBizLogic#line(int col)
		fukurou.business.AbstractBizLogic#line(int col,int rw)
		fukurou.business.AbstractBizLogic#str2int(String val)

	[新規追加]
		fukurou.business.AbstractBizLogic#getTable()
		hayabusa.db.AbstractTableFilter#getKeys()
		plugin.table.TableFilter_KEY_BREAK#getKeys(int[] clms,String[] rowData)
		plugin.table.TableFilter_KEY_BREAK#TableFilter_KEY_BREAK()
		plugin.table.TableFilter_KEY_BREAK#execute()
		plugin.table.TableFilter_MATCHES#TableFilter_MATCHES()
		plugin.table.TableFilter_MATCHES#execute()

	[インターフェースの見直しにより、削除(DataModelに移動)]
		hayabusa\db\DBTableModel#String INSERT_TYPE = "A";
		hayabusa\db\DBTableModel#String UPDATE_TYPE = "C";
		hayabusa\db\DBTableModel#String DELETE_TYPE = "D";
		hayabusa\db\DBTableModel#String getModifyType(int row) ;
		hayabusa\db\DBTableModel#void setModifyType( int row,String modType ) ;
		hayabusa\db\DBTableModel#int getRowCount() ;
		hayabusa\db\DBTableModel#void setValues( String[] values, int aRow ) ;

	[２度押し防止 oneClick() チェック]
	form タグの、２度押し防止JavaScript(return oneClick();) は、og:headタグに @useAjaxSubmit='true' を
	指定している場合は、使えません。
	JSP解析 のルールに、追加します。
	WARNING12 and not(//og:head[@useAjaxSubmit='true']) 追加
	ERROR23 新規追加  useAjaxSubmit='true'と、oneClick は同時には入れません。
		gf\jsp\DOC18\xsltV6\GF70_PROG.xsl

	[HEADER_MENU_TYPE の変数名修正]
	トップボタンか、３色ボタンの判定変数 menuType と ヘッダーﾒﾆｭｰの変数 MENU_TYPE が
	ややこしいので、MENU_TYPE を、HEADER_MENU に変更します。
		gf/jsp/custom/query_info.jsp

	[つづりミス修正]
	applicaton を application に変更します。
		6.7.9.1_refactoring.txt

	[改善 (61200-170517-05)]
	ｴﾗｰﾒｯｾｰｼﾞ表示際の行番号のﾗﾍﾞﾙ変更
	viewの明細部では 「No」で表示されているが、エラーメッセージでは「行番号」が表示されています。
		カラムリソース ROW_NO の 名前(短) に、No を追加します。

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX024\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX030\eventColumn_COLUMN_NUMBER.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX030\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX030\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX030\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX030\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX030\sqlValues.jsp
		C:\opengionV6\uap\webapps\gf\jsp\custom\query_info.jsp

	[V5 修正反映]
	5.8.20.2 (2017/05/19) の追加更新分を反映させます。
		5.8.20.2 (2017/05/19)
			[異常値検出サンプル画面]
			マハラノビス距離を利用した異常値判定のサンプル画面を追加しました。
			（正確には「異常」ではなく、単純に母集団との距離が遠いという判定）
				gf/jsp/GFX030

	5.9.20.1 (2017/05/12) の追加更新分を反映させます。
		5.9.20.1 (2017/05/12)
	X		[Bizロジック修正]
	X		6.7.9.0での対応の反映です。
	X		nullと isEmpty() も、0 を返します。
	X			fukurou.business.AbstractBizLogic#vari(String key)
	X			fukurou.business.AbstractBizLogic#vard(String key)
	X			fukurou.business.AbstractBizLogic#linei(String key,int rw)
	X			fukurou.business.AbstractBizLogic#lined(String key,int rw)
	X			
	X		[JsChartTagの機能追加]
	X		v6での変更を反映させておきます。
	X		・タグの使用を決める共通属性の対応
	X		・useRenderer追加
	X			hayabusa.taglib.JsChartTag#setUseRenderer( final String usernd )
	X			hayabusa.taglib.JsChartTag#jsChartOutput()
	X			hayabusa.taglib.JsChartTag#release2()
	X			hybs-taglib.tld

			[統計処理にマハラノビス距離追加]
			教師無しデータで異常値検知が可能な、マハラノビス距離を利用した判定クラスを追加します。
			サンプルデータ集合を与える事で、マハラノビス距離を算出するための平均と共分散を作成し、
			判定したいデータのマハラノビス距離が閾値を超えているかで判定が可能です。
				penguin.math.statistics.HybsMahalanobis

6.7.9.0 (2017/04/28)
	[nullと isEmpty() も、0 を返します]
		fukurou.business.AbstractBizLogic#vari(String key)
		fukurou.business.AbstractBizLogic#vard(String key)
		fukurou.business.AbstractBizLogic#linei(String key,int rw)
		fukurou.business.AbstractBizLogic#lined(String key,int rw)

	[row を使用して、#lined( String,int )を呼びます]
		fukurou.business.AbstractBizLogic#lined(String key)

	[row を使用して、#linei( String,int )を呼びます]
		fukurou.business.AbstractBizLogic#linei(String key)

	[useRenderer 追加]
		hayabusa.taglib.JsChartTag#setUseRenderer(String usernd)
		hayabusa.taglib.JsChartTag#release2()
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GFX028\eventColumn_COLUMN_NUMBER_MULTI.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX028\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX028\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX028\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX028\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX028\sqlValues.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX029\eventColumn_COLUMN_NUMBER.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX029\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX029\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX029\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX029\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX029\sqlValues.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js

	[V5 修正反映]
	5.9.20.0 (2017/05/02) の追加更新分を反映させます。
		5.9.20.0 (2017/05/02)
			[HTML5ポップアップの修正]
			iframeの入力が出来なくなるIEの不具合と思われる問題で、追加で修正しておきます。
				jsp/common/option/html5modalDialog.js

			[25_DBSOKAN,26_DBTANKAIKIをGF画面に変更]
			penguinはオプションパッケージのため、commonではなくgf画面としておきます
				gf/jsp/GFX028
				gf/jsp/GFX029

6.7.8.0 (2017/04/21)
	[ValueMapParamTag のパラメータを追加します]
		hayabusa.taglib.ValueMapTag#setParam(ConcurrentMap pMap)
		hayabusa.taglib.ValueMapTag#makeRestValue()

	[valueMapParam関連]
		hayabusa.taglib.ValueMapTag#release2()
		hayabusa.taglib.ValueMapTag#makeMapObj(DBTableModel table)
		hayabusa.taglib.ValueMapTag#getRequestValue(String key)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\common\eventColumnMaker.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\08_DBUPDATE\sqlValues.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\09_DBVIEW\sqlValues.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
	5.9.19.2 (2017/04/21) の追加更新分を反映させます。
		5.9.19.2 (2017/04/21)
	X		[相関係数、回帰計算の標準画面]
	X		標準の画面として、指定したテーブルからNUMBER型のカラムを選択し、相関ヒートマップを取る事が出来るようにします。
	X		同様に、指定したテーブルの２つのカラムから単回帰及び二次回帰が出来るようにしておきます。
	X		JavaのBIZロジックを利用しているため、src/biz/commonをビルドに含めます
	X		※回帰計算の画面はインタフェイスを利用するような形に将来的に変更する可能性があります
	X			jsp/common/gamen/25_DBSOKAN
	X			jsp/common/gamen/26_DBTANKAIKI
	X			src/biz/common/COMMON25A.java
	X			src/biz/common/COMMON26A.java
	X			src/biz/common/COMMON26B.java
	X			build.xml

			[標準画面のAzure対応]
			08_DBUPDATE,09_DBVIEWの画面はSQLServerに対応していませんでしたが、対応させます。
	X		又、DBF.NAMEを利用していた箇所をDBF.TYPEにします。
				jsp/common/gamen/08_DBUPDATE/sqlValues.jsp
				jsp/common/gamen/09_DBVIEW/sqlValues.jsp

	5.9.19.1 (2017/04/14) の追加更新分を反映させます。
		5.9.19.1 (2017/04/14)
			[SQL Serverのテーブルスクリプト出力修正]
			5.9.19.0で対応した箇所ですが、元々default値はクォート付で登録される想定のため、条件判定を変更します。
			（先頭の値がシングルクォート以外の場合のみクォートを付ける）
				plugin.table.TableFilter_TABLE_SQLSERVER#makeLineList( final String[] data,final boolean first )
				
			[DBF.TYPE追加]
			5.9.19.0で追加したDBTYPEでの扱いに伴い、DBF.TYPEで画面からの確認用に種類を取れるようにしておきます。
				fukurou.db.DBFunctionName#getFunctionName( final String func ,final String dbid )
				
			[21_WHTSNEW修正]
			新着情報画面で一部Oracle依存のコードがあったため修正しておきます
				jsp/common/gamen/21_WHTSNEW
				
			[eventColumnのDATALIST対応]
			eventColumnをDATALISTに対応させます。
				jsp/common/eventColumnMaker.jsp

6.7.7.2 (2017/04/14)
	※ 6.7.8.0 をリリースするため、このバージョンは、リリースされません。

	[(注意点3)現時点では、INMENU,INDBMENUについては、イベントカラムが正常に動作しません]
		hayabusa.taglib.ColumnTag#getInsertTag(DBColumn clm,String value)

	[VAL に、&#064; 付きのパラメータを使えるようにします]
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\配置図座席表\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\result.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustMatrix.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\ogTbodyMovable.js

6.7.7.1 (2017/04/07)
	[onUnload="ie_X(event);" 削除]
		3.8.6.1 (2006/10/24) で導入した、IEの閉じるボタンで、
		イベントを発生させて、セッション切断する機能を削除します。
		現在、GF0000\index.jsp と、menu\menu.jsp に記述していますが、
		どちらも、JavaScript を読み込んでいないため、実行されないはずです。
			GF0000\index.jsp(17): <body onUnload="ie_X(event);">
			menu\menu.jsp(12): <body onUnload="ie_X(event);">

	[GE：ラベルリソース]
	ラベルリソースの概要欄が、短いので、長くします。
	size指定するのではなく、既存の文字列数に合わせて、伸びるように、
	clazz="W100" を定義しておきます。
		GE0005/result.jsp
			<og:columnEditor column="DESCRIPTION" clazz="W100" />

	[ｾﾚｸﾄﾒﾆｭｰ(GF6010)]
	ｾﾚｸﾄﾒﾆｭｰ のサンプル画面を少し修正
		gf\jsp\GF6010\query.jsp

	[useZeroDataOmit属性の初期値変更]
	6.7.7.0 (2017/03/31)で導入した、useZeroDataOmit属性ですが、
	初期値を、true からfalse に変更します。

	[viewMsgTypeに、TABLE_ST の追加(スタックトレースを含む詳細)]
		hayabusa.taglib.ErrorTag#doEndTag()
		hayabusa.taglib.ErrorTag#getTableMsg(Throwable thr,boolean useST)

	[コードリソースに概要を記入すると、isUse が無効になっていたのを修正]
		hayabusa.db.Selection_CODE#Selection_CODE(CodeData cdData,String addKeyLabel)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF0000\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\配置図座席表\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample10.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample11.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample10.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample11.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX027\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\menu.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustMatrix.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\ogTbodyMovable.js

	[V5 修正反映]
	5.9.19.0 (2017/04/07) の追加更新分を反映させます。
		5.9.19.0 (2017/04/07)
			[ogTbodyMovable修正]
			VIEWテーブルの要素をマウスで上下に移動可能にするogTbodyMovableが動作しなくなっていたので修正します。
				jsp/common/option/ogTbodyMovable.js

			[座席表機能修正]
			座席表の画面で、色が正しく出ていない部分を修正しました。
			また、IE9以上で正しく動作していない箇所があったので対応しています。
				jsp/common/option/adjustMatrix.js
				gf/jsp/GF7213/result.jsp

			[統計計算サンプル画面]
			作成した相関、重回帰、ロジスティック回帰についてのサンプル画面を作成します。
			使えるデータがなかったので、新たにGF47として学生生活調査サンプルのテーブルを作ります。
			この画面はPGサンプルなので、本来の回帰処理で注意が必要な事項については特に気にしていません。
				gf/jsp/GFX027
				src/biz/gf/GFX027A.java
				GF47テーブル

	X	DB種別の件と、default値の話は、とりあえず保留
	X		[AzureのSQLServer対応]
	X		Azure上のSQLServerはDB名が「MICROSOFT SQL SERVER」のため、これに対応しておきます。
	X		実装としては、DBUtil上にDB種別を返すメソッドを用意して、DBFunctionNameではそれを利用し、
	X		システムインストール時とFunction文字列取得時にはタイプを利用するように変更します。
	X			fukurou.db.DBUtil#getDBType( final String dbName )
	X			fukurou.db.DBUtil#DBTypes
	X			fukurou.db.DBFunctionName#getDBName( final String dbName )
	X
	X		[SQL Serverのテーブルスクリプト出力修正]
	X		varcharタイプのdefault値にシングルクウォートが抜けていたので付くようにしておきます。
	X		とりあえず、SQL Serverのみの修正です。
	X		VIEWスクリプト出力(GF82データ)等がOracle専用の書き方になっているものもあるため、
	X		現状では完全に自動起動に対応しているわけではありません。
	X			plugin.table.TableFilter_TABLE_SQLSERVER#makeLineList( final String[] data,final boolean first )

6.7.7.0 (2017/03/31)
	[ColorMapの色番号で指定]
		hayabusa.taglib.JsChartDataTag#setColorNo(String colorNo)

	[ViewJsonParam属性を、文字列から、boolean に変更]
		plugin.view.ViewForm_JSON#paramInit()

	[applicationスコープの文字列を取得します]
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[backgroundColor が未設定の場合は、borderColor を使用します]
		hayabusa.taglib.JsChartDataTag#doEndTag()

	[jsDataのローカル変数化]
		hayabusa.taglib.JsChartDataTag#release2()

	[scope="application" つづり間違い訂正]
		hayabusa.taglib.CommonTagSupport#getObject(String key)
		hayabusa.taglib.CommonTagSupport#setObject(String key,Object object,String scp)
		hayabusa.taglib.CommonTagSupport#removeObject(String key)

	[useZeroDataOmit属性の追加]
		hayabusa.taglib.JsChartTag#setUseZeroDataOmit(String useZeroOmit)
		hayabusa.taglib.JsChartTag#release2()

	[新規追加]
		hayabusa.taglib.JsChartTag#getJsChartDataSize()
		hayabusa.taglib.ViewJsonParamTag#setUseNullOmit(String nullOmit)
		hayabusa.taglib.ViewJsonParamTag#setUseZeroOmit(String zeroOmit)
		plugin.table.StandardDeviation#getData()
		plugin.table.StandardDeviation#StandardDeviation(int ftype,boolean useDEVP,String format)
		plugin.table.StandardDeviation#clear()
		plugin.table.StandardDeviation#addData(String strVal)

	[ﾁｬｰﾄﾃﾞｰﾀで、ｾﾞﾛ、null カラムを非表示にします]
		hayabusa.taglib.JsChartTag#jsChartOutput()

	[デフォルトコンストラクター]
	デフォルトコンストラクターをわざわざ定義すべきかどうか、いまだに不明のため、
	将来的に、一気にコメントアウトできるように、１行で記述します。
		6.7.7.0_refactoring.txt

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6010\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample10.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample11.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample10.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample11.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.19.0 (2017/04/07)
			[URLDの自動起動URL修正]
			geのURLデーモンの自動起動URLがTRANSxxになっていたのでURLDに変更しておきます。
				ge/jsp/URLD/result.jsp
				
			[penguin.mathのクラス配置変更]
			math内に混在していたGA関係のクラスと、統計関係のクラスを分離します。
				penguin.math.ga
				penguin.math.statistics
				gf/src/biz/gf/GFX026A.java
				
			[penguin.mathへの回帰分析用クラス追加]
			apache.commons.mathを利用した線形単回帰、二次回帰、重回帰(OLS)の計算クラスを追加します。
				penguin.math.statistics.HybsSimpleRegression
				penguin.math.statistics.HybsSquadraticRegression
				penguin.math.statistics.HybsMultiRegression
				
			[penguin.mathへのロジスティック回帰分析用クラス追加]
			apache.commonsには存在していないため、多項ロジスティック回帰を自前で実装します。
				penguin.math.statistics.HybsLogisticRegression
				
			[chartJSグラフの動的サイズ変更]
			グラフの横幅、高さ、y軸の最大値、最小値について動的に変更できるようにします。
			JsChartTagで各値を変更するためのカラムのIDを指定します。
			カラムそのものは別途配置してください。
				hayabusa.tablig.JsChartTag#release2()
				hayabusa.tablig.JsChartTag#jsChartOutput()
				hayabusa.tablig.JsChartTag#setWidthEventColumn( String widthEventColumn )
				hayabusa.tablig.JsChartTag#setHeightEventColumn( String heightEventColumn ) 
				hayabusa.tablig.JsChartTag#setMinEventColumn( String minEventColumn )
				hayabusa.tablig.JsChartTag#setMaxEventColumn( String maxEventColumn )
				hybs-taglib.tld
				gf/jsp/GF7222
				
			[HybsSingleRegressionインタフェイス作成]
			線形及び二次回帰のように種類が増える可能性があるので、単回帰のクラスにインタフェイスを作成しておきます。
				penguin.math.statistics.HybsSingleRegression
				penguin.math.statistics.HybsSimpleRegression
				penguin.math.statistics.HybsSquadraticRegression

6.7.6.1 (2017/03/17)
	[GE GE0009]
	【ﾘｿｰｽ(拡張)】XML抜き出しで、Resource系(GEA03,04,08,11)と、
	System系(GEA10,GE12)を分けて出力できるようにしました。
		ge/jsp/GE0009

	[V5 修正反映]
		5.9.18.1 (2017/03/24)
			[エディット機能の共通編集名]
			エディット機能では共通の編集名を設定できますが、個別の編集名と重複する可能性があります。
			共通の編集名には強制的に名称先頭に*を付加するようにして区別します。
				hayabusa.taglib.EditConfigTag#doEndTag()
				hayabusa.taglib.EditConfigTag#saveEditConfig()
				jsp/common/gamen/14_EDIT/saveEdit.jsp
				ラベルリソースERR0045

			[コードリソース利用のdatalist]
			存在している編集種別としてのDATALISTはINDBMENUを置換えるもので、INMENUに対応したものがありませんでした。
			DATALIST_Rとして、リソースを使うパターンのDATALISTを追加します。
			なお、HTML5対応していない出力の場合はDATALISTと同じようにINMENUを利用するようにしています。
			(判定にはIE_HTML5_KEYを利用）
			また、INMENU系は重い画面で選択肢が出てこない場合があるため、default.jsで遅延処理を入れておきます。
				hayabusa.taglib.ColumnTag#getInsertTag( final DBColumn clm, final String value )
				hayabusa.taglib.ColumnEditorTag#getModifyConfig( final DBColumn dbColumn )
				plugin.column.Editor_DATALIST_R 新規追加
				jsp/common/default.js
				gf/jsp/GF6100/query.jsp

6.7.6.0 (2017/03/17)
	[viewLink,viewMarker,columnEditor系の改善]
	query → view の間に挟む、Marker,Editor系で、TableModelに
	存在しないカラムを指定できるように、strictCheck 属性を追加します。
	false に設定すると、カラムＩＤがDBTableModel に存在しない場合は、
	無視します。初期値は、true です。

	[JavaDoc 修正]
	(通常使いません) を、(通常は使いません) に更新します。
		6.7.6.0_refactoring.txt

	[strictCheck 追加]
		hayabusa.html.ViewLink_LINK#setDBTableModel(DBTableModel tbl)
		hayabusa.html.ViewMarker_MARKER#setDBTableModel(DBTableModel tbl)
		hayabusa.taglib.ColumnEditorTag#setStrictCheck(String check)
		hayabusa.taglib.ColumnEditorTag#doEndTag()
		hayabusa.taglib.ColumnEditorTag#release2()
		hayabusa.taglib.ColumnMarkerTag#doAfterBody()
		hayabusa.taglib.ColumnMarkerTag#release2()
		hayabusa.taglib.ColumnMarkerTag#setStrictCheck(String check)
		hayabusa.taglib.LinkTag#setStrictCheck(String check)
		hayabusa.taglib.LinkTag#doEndTag()
		hayabusa.taglib.LinkTag#release2()

	[タグの使用を決める共通属性の追加]
		hayabusa.taglib.JsChartDataTag#doEndTag()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF0000\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6300\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\custom\query_info.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\index3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\matrixMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\menu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\multiMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\normalMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\simpleMenu.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\menu\matrixMenu.css
		C:\opengionV6\uap\webapps\gf\src\script\menu\multiMenu.css

6.7.5.0 (2017/03/10)
	[warファイルを、既存の uap\webappsに配置する対応]
	warファイルは、tomcat HOME のwebapps以下に置けば、実行されますが、
	tomcat本体のバージョンアップとか、アプリのバージョンアップやメンテナンスを
	考えると、既存の位置にあったほうが便利です。
	また、war を使わない場合にも、そのまま使用できます。
	tomcat/conf/以下においていた、Context用の XMLファイルは、見なくなるため、
	uap\webapps 以下のすべてのフォルダを、アプリとして処理しようとしますので、
	ごみやバックアップフォルダは、整理しておく必要があります。
		tomcatHome/conf/server.xml
	      <Host name="localhost" appBase="${appBase}" autoDeploy="false" workDir="${workDir}" >

	fieldset の境界線をはっきりさせ、マージンを持つ
		jsp/custom/menu_init.jsp

	[タグの使用を決める共通属性の追加]
		hayabusa.taglib.JsChartTag#doStartTag()
		hayabusa.taglib.JsChartTag#doEndTag()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\custom\menu_init.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.18.0 (2017/03/02)
			[RFW帳票修正]
			もう少しExcelの発行速度に寄せるためスリープを5000msecから7000msecにする。 
			（特殊対応のため決め打ち）
				plugin.report.CSVPrintPonitService_RFW#execute()
				
			[メール送信日時指定]
			5.6.8.0の対応がどこかのタイミングで巻き戻ってしまっていたので対応します。
				hayabusa.mail.MailManager_DB#selGE30
				hayabusa.mail.MailManager_DB#sendDBMail( final String systemId )

		5.9.17.3 (2017/02/23)
			[RFW帳票修正]
			特定のプリンタのドライバの仕様で、高速に並列発行を行うと正しく印刷されない場合があります。
			そこで、RFW向けの発行プラグインについて、デーモン名の先頭が*であればCSV出力後に5秒間遅延を
			発生させるという処理を入れて、Excel帳票と同等まで速度を低下させることが出来るようにしておきます。
				plugin.report.CSVPrintPonitService_RFW#execute()

6.7.4.2 (2017/02/24)
	[ﾘｱﾙﾁｬｰﾄ サンプル画面]
	ﾘｱﾙﾁｬｰﾄ(タグ)  GF7302 サンプル画面追加
	Ver5では、GF7222 ですが、Ver6ではすでに、使用中のため、
	画面IDを変更します。
		gf/jsp/GF7302

	[ProductNameの大文字化対応]
		fukurou.db.DBUtil#getProductName(Connection conn)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample4.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample5.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample6.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample7.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample8.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\result_sample9.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\GF7222\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample1.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample2.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample3.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample4.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample5.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample6.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample7.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample8.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\result_sample9.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7302\sample5_ajax.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\changeSQL.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\fileSave.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\optionQuery.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\03_DBSEARCH\xmlSave.jsp
		C:\opengionV6\uap\webapps\gf\jsp\menu\simpleMenu.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\Chart.min.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\moment.min.js

6.7.4.1 (2017/02/17)
	[iframe対応 index.jsp]
	カレンダ等で、フレームまたがり出来ない対応として、index.jsp をiframe化します。
	最初にアクセスした際に、iframe化して、IFRAME=true 引数を付けて、自身を呼び出します。
	２回目は、通常の inddex.jsp と同じ、frame 分割のままです。
		gf/jsp/index.jsp

	[image]
		gf/jsp/image/print.png 追加

	[Fileオブジェクトのサイズを返します]
		fukurou.util.FileUtil#length(File file)

	[従来の doAfterBody() 処理を、doEndTag() に持ってくる]
		hayabusa.taglib.FileQueryTag#doEndTag()

	[曖昧検索可能フィールドで、"%" がそのままセットされてしまうため、削除します]
		hayabusa.taglib.ColumnSetTag#setValue(String value)

	[親クラスの処理を、実行させない]
		hayabusa.taglib.FileQueryTag#doAfterBody()

	[SH,SM,SS,EH,EM,ES 追加]
		fukurou.util.HybsDateUtil#getDateFormat(String key,String prmA,String prmB,int intC)
		fukurou.util.HybsDateUtil#calendarCalc(Calendar now,String prmB,int intC)

	[キーが存在しなかった場合のログ出力を出すかどうか(true:出す)]
		hayabusa.common.HybsSystem#sys(String key)
		hayabusa.common.HybsSystem#sys(String key,boolean useNoKeyLog)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\Chart.min.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\moment.min.js
		C:\opengionV6\uap\webapps\gf\jsp\menu\simpleMenu.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6120\typeOption.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\div.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.17.2 (2017/02/17)
			[メニュー整形]
			simpleMenuを少し整形します。
				jsp/menu/simpleMenu.jsp
				
			[penguin.mathへの相関係数計算クラス追加]
			相関係数計算用にHybsCorrelationを追加します。
			apache.commons.mathを利用してピアソン積率相関の算出及び行列積の計算を行っています。
			（その他、JavaDocコメントの修正を遺伝的アルゴリズムのクラスにも加えています）
				penguin.math.HybsCorrelation
				
			[chartJSを利用したグラフ機能の標準化]
			chartJSを利用したグラフをタグから利用可能にします。
			従来のJFreeChartと異なり、JSONデータからクライアントで動的にグラフを作成します。
			canvasを利用しているため、利用可能なブラウザ（IEであれば9以降のモード）での動作が必要です。
			使い方はサンプルGF7222を参考としてください。
			必要なJSをロードするには、headタグでuseChartJSをtrueにセットします。
				gf/jsp/GF7222
				jsp/common/option/Chart.min.js (Ver.2.4)
				jsp/common/option/moment.min.js (Ver.2.3)
				hayabusa.taglib.JsChartTag 新規
				hayabusa.taglib.JsChartDataTag 新規
				hayabusa.io.JsChartData 新規
				hayabusa.taglib.HeadTag#setUseChartJS( final String flag )
				hayabusa.taglib.HeadTag#release2()
				hayabusa.taglib.HeadTag#doEndTag()
				hybs-taglib.tld
				
			[時間ピッカーの縦横設定]
			ogClockpickerでは一部の属性をタグから拾えるようにしていましたが、layout設定も拾うようにします。
			この設定が初期値のverticalの場合は今まで通りですが、それ以外の場合は横向きになります。
				jsp/common/eventScript.js#ogClockpicker
				plugin.column.Editor_HM#createOptions( final String editPrm )

6.7.4.0 (2017/02/10)
	[penguinパッケージ追加]
	penguin パッケージを、Ver5 より移植しました。
	利用する場合にはpenguin.mathの利用にはcommons-math3-3.6.1.jarが必要です。
	この jar は、jdk180u121 以降の拡張 ext にコピーしておきます。

	jdk180u121 、tomcat9.0.0.M17、openoffice4.1.3 で、コンパイルしました。

	[TO_NUMBER アクションを追加]
		hayabusa.taglib.ValueTag#actionExec(String action,String value)
		hayabusa.taglib.ValueTag#setAction(String act)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6120\typeOption.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7223\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\div.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GFX026\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.17.1 (2017/02/10)
			[JFreeChartの色指定修正]
			6.4.9.0 (2016/07/23)[Pie,Pie3D,Ring に、色指定を追加]を反映させておきます。
			又、ChartPlot_XYTimeで色指定が反映されるようにします。
				hayabusa.io.ChartPlot_Pie#getPlot(ChartCreate create)
				hayabusa.io.ChartPlot_XYTime#getPlot(ChartCreate create)
				
			[JFreeChartの表示形式追加]
			Time系にStep表示を追加します。(TimeStepV,TimeStepH)
				hayabusa.io.ChartFactory
				hayabusa.taglib.ChartDatasetTag (コメント修正)
				
			[サンプル画面追加]
			Time表示のサンプル画面を追加します。
				gf/jsp/GF7223
				
			[遺伝的アルゴリズム関係の機能追加]
			染色体にObject型でオプション情報を渡せるようにしておく。
				penguin.math.AbstractHybsGAChromosome#setOptionData( Object option )
				penguin.math.HybsGeneticAlgorithm#getInitialPopulation()
				penguin.math.HybsGeneticAlgorithm#setOptionData(final  Object obj )

		5.9.17.0 (2017/02/03)
			[遺伝的アルゴリズムを利用したスケジュールサンプル]
			penguinパッケージのGAスケジュールのサンプルHybsScheduleChromosomeを使ったサンプル画面を追加します。
			一般の開発で頻繁に呼ぶ機能ではないという想定からBIZロジック経由としています。
			実際に利用する際には用途に応じて拡張クラスを用意し、pluginとしてCallする形になります。
				jsp/GFX026
				src/biz/gf/GFX026A

			[penguinパッケージ追加]
			オプション機能用のパッケージとしてpenguinを追加します。
			オプションのため、hayabusa,fukurouとは直接依存関係を持たないような構造としています。
			menguin.mathの利用にはcommons-math3-3.6.1.jarが必要です。
				penguinパッケージ

6.7.3.0 (2017/01/27)
	[名称変更]
		hayabusa.taglib.ValueMapTag#setTipsClms(String clms)

	[groupDir追加]
		hayabusa.taglib.ViewFormTag#doEndTag()
		hayabusa.taglib.ViewFormTag#release2()

	[in とnot in のコーディングを、変更]
		hayabusa.taglib.SqlAndTag#makeInstrVals(String instrVals,String instrType,String value)
		hayabusa.taglib.SqlAndTag#setInstrType(String tp)

	[nullDelClms属性追加]
		hayabusa.taglib.TableMergeTag#setNullDelClms(String nullDelClms)

	[tips 追加]
		hayabusa.taglib.ValueMapTag#getMapVals(String[] rowData,int vcNo,boolean isNormal,String cls,String tips,String sufix)
		hayabusa.taglib.ValueMapTag#getRequestValue(String key)

	[tipsClms 追加]
		hayabusa.taglib.ValueMapTag#release2()
		hayabusa.taglib.ValueMapTag#makeMapObj(DBTableModel table)

	[useGroupDir 追加]
		hayabusa.html.AbstractViewForm#getRendererValue(int row,int column,String inVal)

	[useGroupDir追加]
		hayabusa.html.AbstractViewForm#clear()

	[useSlaveLoop,nullDelClms属性追加]
		hayabusa.taglib.TableMergeTag#release2()

	[useSlaveLoop,nullDelClms属性追加と、action="TABLE_REMOVE" の追加]
		hayabusa.taglib.TableMergeTag#doEndTag()

	[useSlaveLoop属性追加]
		hayabusa.taglib.TableMergeTag#setUseSlaveLoop(String flag)

	[指定の値がすべてnull(空文字列)の場合、レコードを削除します]
		hayabusa.taglib.TableMergeTag#deleteRows(DBTableModel table,String delClms)

	[新規追加]
		hayabusa.html.AbstractViewForm#setGroupDir(boolean dir)
		hayabusa.html.ViewForm#setGroupDir(boolean dir)
		hayabusa.io.ChartCreate#setSegmentedTimelineInfo(int segSize,int segIncluded,int segExcluded,String startTime)
		hayabusa.taglib.ChartCreateTag#setDateSegSize(String segSize)
		hayabusa.taglib.ChartCreateTag#setDateSegIncluded(String segIncluded)
		hayabusa.taglib.ChartCreateTag#setDateSegExcluded(String segExcluded)
		hayabusa.taglib.ChartCreateTag#setDateStartTime(String startTime)
		hayabusa.taglib.ViewFormTag#setGroupDir(String dir)

	[日付軸(dateAxis)の指定で、dateSegSize,dateSegIncluded,dateSegExcluded,dateStartTime を追加します]
		hayabusa.io.ChartCreate#getDateAxis()
		hayabusa.taglib.ChartCreateTag#release2()
		hayabusa.taglib.ChartCreateTag#create()

	[つづり間違い lebel → level]
		fukurou\process\FileLineModel.java(356): 	public int getLebel() {
		hayabusa\db\Selection_CODE.java(76): 		final boolean isLbl = codeData.useLebel();
		hayabusa\db\Selection_CODE.java(92): 			if( isLbl && "0".equals( codeData.getCodeLebel(i) ) ) {
		hayabusa\db\Selection_CODE.java(152): 				if( isLbl && "0".equals( codeData.getCodeLebel(i) ) ) {
		hayabusa\report\DBTableReport_HTML.java(139): 				int trLebel = 1;			// 行を表す <tr> のレベル
		hayabusa\report\DBTableReport_HTML.java(140): 				while( trLebel != 0 ) {
		hayabusa\report\DBTableReport_HTML.java(149): 					if( line.indexOf( TR_IN  ) >= 0 ) { trLebel++ ; }
		hayabusa\report\DBTableReport_HTML.java(150): 					if( line.indexOf( TR_OUT ) >= 0 ) { trLebel-- ; }
		hayabusa\report\DBTableReport_HTML.java(154): //						if( line.indexOf( TR_IN  ) >= 0 ) { trLebel++ ; }
		hayabusa\report\DBTableReport_HTML.java(155): //						if( line.indexOf( TR_OUT ) >= 0 ) { trLebel-- ; }
		hayabusa\resource\CodeData.java(71): 	private final String[]	codelebel ;			// コードレベル   ("1":option要素、"0":optgroup要素)
		hayabusa\resource\CodeData.java(78): 	private final boolean	isUseLebel ;		// 5.1.9.0 (2010/08/01) コードレベル機能を利用するかどうか
		hayabusa\resource\CodeData.java(142): 		codelebel	= new String[size];
		hayabusa\resource\CodeData.java(175): 			codelebel[i]  = nval2( vals[CODELVL]   , SPC ) ;
		hayabusa\resource\CodeData.java(181): 			if( !isLbl )  { isLbl  = "0".equals(   codelebel[i] );	}
		hayabusa\resource\CodeData.java(199): 		isUseLebel    = isLbl;		// 5.1.9.0 (2010/08/01) コードレベル機能を利用するかどうか
		hayabusa\resource\CodeData.java(249): 	public String getCodeLebel( final int seqNo ) { return codelebel[seqNo]; }
		hayabusa\resource\CodeData.java(358): 	public boolean useLebel() { return isUseLebel; }
		hayabusa\resource\CodeData.java(480): 			vals[CODELVL]	= codelebel[adrs] ;
		hayabusa\resource\CodeData.java(547): 			vals[CODELVL]	= codelebel[adrs] ;
		hayabusa\resource\CodeData.java(600): 			vals[CODELVL]	= codelebel[adrs] ;

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6120\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6120\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7213\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.16.1 (2017/1/20)
			[pupupタグ改修]
			5.9.6.0 (2016/03/01)で対応したPOPUPのthis.formですが、keysが存在しない場合の対応が抜けていたので対応します。
				hayabusa.taglib.PopupTag#makePopup( final boolean useKey )
				
			[HTML5用ポップアップ改修]
			ポップアップでフォーカスを当てて外す＞＞ポップアップを閉じる＞＞再度立ち上げる
			とした場合にIE9,10,11の不具合でフォーカスが当たっているにも関わらず文字が入力出来ない現象の対策を入れておきます。
			http://stackoverflow.com/questions/19150008/ie-9-and-ie-10-cannot-enter-text-into-input-text-boxes-from-time-to-time
				jsp/common/option/html5modalDialog.js

6.7.2.0 (2017/01/16)
	[ColumnMarkerTagなどが、caseKey,caseVal等で未使用のときの対応]
		hayabusa.taglib.ViewLinkTag#doEndTag()
		hayabusa.taglib.ViewMarkerTag#doEndTag()

	[DROP INDEX ｲﾝﾃﾞｯｸｽ名 に変更]
	プライマリキーは、削除しない。
		plugin.table.TableFilter_INDEX_JAVADB#makeDropLine(int[] clmNo,String[] data)

	[FILTERパラメータ追加]
		plugin.table.TableFilter_STDDEV#execute()

	[caseKey,caseVal等で未使用のときの対応]
		hayabusa.html.ViewLink_LINK#isUsable()
		hayabusa.html.ViewMarker#isUsable()
		hayabusa.html.ViewMarker_MARKER#isUsable()

	[markListの先頭が、"?" の場合、正規表現で判定します]
		hayabusa.html.ViewMarker_MARKER#isOnMark(int row,int clm)
		hayabusa.taglib.ColumnMarkerTag#setMarkList(String list)

	[valClm 追加]
		hayabusa.taglib.ValueMapTag#release2()
		hayabusa.taglib.ValueMapTag#makeMapObj(DBTableModel table)
		hayabusa.taglib.ValueMapTag#getRequestValue(String key)

	[カラム番号の取り方を変更]
		hayabusa.taglib.ValueMapTag#getClmNos(DBTableModel table,String clms,int no)

	[名称変更]
		hayabusa.taglib.ValueMapTag#setNnClms(String clms)
		hayabusa.taglib.ValueMapTag#setClsClms(String clms)

	[新規作成]
		fukurou.util.StringUtil#toChar(double val)
		hayabusa.taglib.ValueMapTag#setValClm(String clm)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
		5.9.16.0 (2017/1/13)
			[HTML5用ポップアップ改修]
			ポップアップを閉じた際のfocusも戻り先が対象ウインドウになっていたので、
			引数で渡されるthisに対してフォーカスが当たるように変更する。
				jsp/common/option/html5modalDialog.js
				
			[headタグ修正]
			headタグのcssロード順を変更します。
			custom.cssがjavaScriptで利用されるcssより前でロードされていましたが、後にします。
				hayabusa.taglib.HeadTag#doEndTag()

6.7.1.0 (2017/01/05)
	[TableFilter_STDDEV 追加]
	これに伴い、リソースに、SUM(合計),AVG(平均),STDEVS(標本標準偏差),STDEVP(母標準偏差)
	を、追加します。
		plugin.table.TableFilter_STDDEV		新規作成
		GF6460 画面サンプル

	[Chart.js サンプル]
	Chart.js を私用したグラフ系画面のサンプルを用意します。
	本体は、custom/Chart.min.js に、おきます。(まだ、標準化はしません)
	サンプル画面として、GF7301 を用意します。

	[新規作成]
		hayabusa.taglib.ValueMapTag#ValueMapTag()
		hayabusa.taglib.ValueMapTag#doStartTag()
		hayabusa.taglib.ValueMapTag#doAfterBody()
		hayabusa.taglib.ValueMapTag#doEndTag()
		hayabusa.taglib.ValueMapTag#release2()
		hayabusa.taglib.ValueMapTag#makeMapObj(DBTableModel table)
		hayabusa.taglib.ValueMapTag#getClmNos(DBTableModel table,String clms,int count)
		hayabusa.taglib.ValueMapTag#isNotNullCheck(String[] rowData,int[] clmNo)
		hayabusa.taglib.ValueMapTag#getRequestValue(String key)
		hayabusa.taglib.ValueMapTag#getParameterRows()
		hayabusa.taglib.ValueMapTag#setSelectedAll(String all)
		hayabusa.taglib.ValueMapTag#setTableId(String id)
		hayabusa.taglib.ValueMapTag#setKeys(String key1)
		hayabusa.taglib.ValueMapTag#setNnVals(String val1)
		hayabusa.taglib.ValueMapTag#setClsVals(String val1)
		hayabusa.taglib.ValueMapTag#setHoldTag(String tag)
		hayabusa.taglib.ValueMapTag#setSeparator(String sepa)
		hayabusa.taglib.ValueMapTag#setXssCheck(String flag)
		hayabusa.taglib.ValueMapTag#toString()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6450\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6450\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6450\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6460\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6460\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6460\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6460\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7301\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\forward.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\index.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

6.7.0.0 (2016/12/28)
	[java,tomcat,openOffice]
	jdk180u112 , tomcat9.0.0.M15 , openoffice4.1.3 で、コンパイルしました。

	[ACT_TIMESTAMP追加]
		hayabusa.taglib.FileTag#actionExec(String action)

	[jsp , js , css , tld更新]
	size指定を外部からできるようにするのと、綴り間違いの訂正。
		C:\opengionV6\uap\webapps\gf\jsp\custom\multiChoose.jsp

6.6.0.1 (2016/12/07)
	[エンコードが複数ある場合、SQLのパースで、上書きするとカラム名が取れないバグ修正]
		hayabusa.taglib.DirectTableInsertTag#create( final File file )$columnNames( final String[] names )

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\22_FAQ\result.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js

6.6.0.0 (2016/12/01)
	[システムリソース 初期値変更]
		hayabusa.common.SystemData.java(242): 	 * @og.rev 6.6.0.0 (2016/11/18) FILE_FILENAME の初期値を、file.xlsx に変更します。
		hayabusa.common.SystemData.java(669): 	 * @og.rev 6.6.0.0 (2016/11/18) TABLE_WRITER_DEFAULT_CLASS の初期値を、Excel に変更します。
		hayabusa.common.SystemData.java(686): 	 * @og.rev 6.6.0.0 (2016/11/18) TABLE_WRITER_EXCEL_TYPE の初期値を、xlsx に変更します。
		hayabusa.common.SystemData.java(2483): 	 * @og.rev 6.6.0.0 (2016/11/18) USE_HTML5_MODAL の初期値を、true に変更します。
		hayabusa.common.SystemData.java(1287): 	 * @og.rev 6.6.0.0 (2016/11/18) 初期値を、1000行から、1001行に変更。
			public static final String FILE_FILENAME = "file.xlsx" ;
			public static final String TABLE_WRITER_DEFAULT_CLASS = "Excel" ;
			public static final String TABLE_WRITER_EXCEL_TYPE = "xlsx" ;
			public static final String USE_HTML5_MODAL = "true" ;
			public static final String VIEW_SCROLLBAR_MAX_ROW_SIZE = "1001" ;			// 6.6.0.0 (2016/11/18)

	[maxScrollBarSize が適用された場合に、メッセージを表示します]
		hayabusa.taglib.ViewFormTag#doEndTag()

	[コンテキストパスから、##バージョン番号を取り去った値を返すようにします]
		fukurou.db.DatabaseConfig#DatabaseConfig(String infile)
		hayabusa.common.SystemParameter#getContextName(ServletContext context)
		hayabusa.common.SystemParameter#loadParameter(Map ioMap,String keyword)

	[引数の配列を可変長配列に変更します]
		hayabusa.resource.ResourceManager#getLabel(String key,String[] args)

	[DBコードに存在しない値が指定されました。]
	6.4.3.2 (2016/02/19) ConcurrentHashMap は、key,val ともに、NOT NULL制限あり。
	で、データが ゼロ文字列の場合のチェックをはずしましたが、やはり必要なので戻します。
		hayabusa\db\Selection_DB.java(334)	#getOption( final String selectValue,final boolean seqFlag, final boolean useShortLabel )

	[catch引数のfinal化]
	catch( Exceptio ex ) 構文を、catch( final Exceptio ex ) に一括置換します。
		6.6.0.0_refactoring.txt

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7216\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7216\update.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js

	[V5 修正反映]
		5.9.15.1 (2016/12/9)
			[スタックガント用の準備]
			スタックガントを将来的に動的に変更できるように、少しスクリプトを改造しておきます。
			jsp/common/option/adjustGanttTable.js#fnMouseUp( event )

			[HMタイプの修正]
			時間指定をした際に内部的に数値ではなく文字列として扱われていたので修正します。
			jsp/common/eventScript.js#ogClockpicker

		5.9.15.0 (2016/12/2)
		X	[edit機能対応]
		X	6.2.5.0Edit機能でも、条件によっては、書き込み許可するので、特殊処理廃止、の反映
		X		hayabusa.taglib.ViewFormTag#doEndTag()

			[FAQ画面の自動リンク]
			22_FAQの画面では登録にタグが使えないため、資料へのハイパーリンクが張られませんでした。
			common/option/urlAutoLink.jsを読み込んで、http開始の文字列に対して自動的にリンクを張るようにします。
				common/gamen/22_FAQ/result.jsp

		5.9.14.3 (2016/11/25) 
			[editでの表示順変更]
			左右の表示順をEDITで変更した際に、右寄せのスタイルが元の順番で出力されているので修正する。
				plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()

		X 5.9.14.2 (2016/11/18)
		X	[カラム名のゼロ文字列と、"-" も除外する。]
		X	5.9.14.1でのnullセットですが、ver.6と同じように"-"での処理を行う事で全除外とします。
		X		hayabusa.html.AbstractViewForm#setBooleanArray(String clsm,boolean def,boolean[] arrays)

		5.9.14.1 (2016/11/11)
			[ガント修正]
			og:iGanttBarに対してid属性を追加し、startInput/endInput属性での実出力属性をstartDateInput/endDateInputとして
			タグでの出力でガントバーを動かす事が出来るようにしておきます。
			又、同時にGF7216のガント（クライアント）の画面に、マウスによる移動のサンプルを追加しておきます。
				hayabusa.taglib.iGanttBar#setStartInput( final String startInput )
				hayabusa.taglib.iGanttBar#setEndInput( final String endInput )
				hayabusa.taglib.iGanttBar#setId( final String id )
				hybs-taglib.tld
				gf/jsp/GF7216/result.jsp,update.jsp
				
		X	[bulkSet修正]
		X	bulkSetをシステムリソースで常に利用する設定としている場合に、画面でnullにセットし直す事ができませんでした。
		X	"null"文字列を属性で指定する事でnullセットが出来るようにします。
		X		hayabusa.taglib.ViewFormTag#doEndTag()

6.5.0.2 (2016/11/05)
	[V5 修正反映]
	今回の対応は、ほぼ、V6で対応した内容の追記ですので、V6としては、アーカイブは出さないことにします。
		5.9.14.0 (2016/11/04)
		X	[カレンダポップアップサイズ]
		X	6.5.0.1 (2016/10/21)の内容反映
		X	カレンダポップアップ時のサイズを、変更します。
		X	Ver5 より、文字サイズを大きくした関係で、スクロールバーが出ていたため、サイズをあわせます。
		X	サイズ変更 '250px','265px' → '265px','260px'
		X		plugin/column/Editor_YMD2.java#CAL1

		X	[カンマとコロンの両方調べる]
		X	6.5.0.1 (2016/10/21)の内容反映　その他過去の修正も適用
		X		plugin.table.TableFilter_TABLE_MYSQL#makeLineList(String[] data,boolean first)

			[GEのhelpファイル]
			リソース系画面のHELPファイルを修正しておきます。(ロール、モードの説明）
				ge/help/GE0002.html
				ge/help/GE0003.html

		X	[TABLE_WRITER_EXCEL_TYPE対応]
		X	5.9.0.0でV5でもシステムリソースにTABLE_WRITER_EXCEL_TYPEを追加して、Excel出力をXLSかXLSXかを選択可能にしたものの
		X	fileDownload.jspの対応を入なかったので、対応しておく。
		X		jsp/common/	fileDownload.jsp

6.5.0.1 (2016/10/21)
	[カレンダーポップアップ修正]
	5.9.10.2 (2016/07/08) で、対応されたカレンダーのポップアップ(YMD2)のスクリプト修正が
	Ver6 に反映されていなかったため、再度、入れなおします。
	(無限ループに入るパターンがあるため修正します。)
		jsp/common/calendar2.js

	[カレンダポップアップサイズ]
	カレンダポップアップ時のサイズを、変更します。
	Ver5 より、文字サイズを大きくした関係で、スクロールバーが出ていたため、サイズをあわせます。
	サイズ変更 '250px','265px' → '265px','260px'
		plugin/column/Editor_YMD2.java#CAL1

	[V5 修正反映]
		5.9.13.2 (2016/10/28)
			[DB定義システム]
			スクリプト出力時にCHAR系のカラムのdefault値は自動的にシングルクォートが付くようになっていた。
			しかし、defaultにはto_charのような関数が利用できるため、シングルクウォートが入る可能性があり、
			自動的に必ず付加するのは問題がある。「シングルクォートが値に無い場合」のみ付加するように変更する。
				plugin.table.TableFilter_TABLE#makeLineList( final String[] data,final boolean first )

		5.9.13.1 (2016/10/21)
			[日付ピッカーの修正]
			ピッカーは最後に選択した箇所で開くようになっていますが、最初に開く際は当日となっていたため、
			入力欄の日付に従って開くように変更します。（スクリプト上はオプションで元々指定可能）
		V5		jsp/common/eventScript#glDatePicker
		V6		src\script\common\calendar3.js				(V6 では、eventScript.js から分離して、calendar3.js を作成)

			[admin画面追記]
			追加機能(REQ.xxx , VAL.xxx)の表示追加
		＝		jsp\common\gamen\01_ADMIN\printRequesMethodt.jsp
		＝		jsp\common\gamen\01_ADMIN\printSystemParameter.jsp
		○		jsp\common\gamen\01_ADMIN\parameter.jsp

		※ V6 では、対応しません。
		×	[ファイルアップロードタグ修正]
		×	アップロードタグではリクエスト変数が使えないため、エラーとするためのチェックを5.7.4.3で入れたが、
		×	これがあるとバージョンアップ時に修正漏れが発生する可能性が高いのでV5ではチェックを外しておく。
		×		hayabusa.taglib.FileUploadTag#setFileURL( final String url )

		[OpenOfficeの一時ファイル削除]
		5.8.0.1 (2014/09/12)で作成したバッチファイルを常時正常終了させておくと同時に、タスクスケジューラへの登録バッチを作成しておきます。
		これは、サービス化で動作させた場合に通常ルートでは削除されないため、起動時削除を行わせるためです。
			uap/bin/sOfficeTempDel.bat
			uap/bin/sOfficeTempDelTsk.bat

	[カンマとコロンの両方調べる]
		plugin.table.TableFilter_TABLE_MYSQL#makeLineList(String[] data,boolean first)

	[CharacterCodingException は、OgCharacterException に変換する]
		fukurou.model.EventReader_TEXT#eventReader(File file,TableModelHelper helper)
		fukurou.process.FileLineModel#getLineCnt(File file,File ocFile)
		fukurou.process.Process_Grep#findKeyword(File file)
		fukurou.process.Process_Grep#changeKeyword(File inFile,File outFile,int firstLineNo)
		fukurou.process.Process_TableDiff#next()
		fukurou.process.Process_TableDiff#readName(BufferedReader reader)
		fukurou.process.Process_TableDiff#readF2Data(File file2,String encode2)
		fukurou.process.Process_TableReader#next()
		fukurou.process.Process_TableReader#readName(BufferedReader reader)
		fukurou.util.CommentLineParser#main(String[] args)
		hayabusa.filter.AccessStopFilter#doFilter(ServletRequest request,ServletResponse response,FilterChain chain)
		hayabusa.report2.OdsContentParser#readOOoXml(String fileName)

	[ENGINE_INFO は、直接、BuildNumber から取得する]
		hayabusa.servlet.HybsAdmin#getInfomation()

	[ErrorMessage をまとめるのと、直接 Throwable を渡します]
		hayabusa.taglib.JspCreateTag#execute()
		hayabusa.taglib.MailSenderTag2#doEndTag()
		plugin.table.TableFilter_BIKOSET#execute()
		plugin.table.TableFilter_CLMSET#execute()
		plugin.table.TableFilter_CMNT_TBL#execute()
		plugin.table.TableFilter_DBARG#execute()
		plugin.table.TableFilter_DBARG_OUT#execute()
		plugin.table.TableFilter_DBSELECT#execute()
		plugin.table.TableFilter_DBSRC_OUT#execute()
		plugin.table.TableFilter_DTYPE#execute()
		plugin.table.TableFilter_INDEX#execute()
		plugin.table.TableFilter_KBCLM#execute()
		plugin.table.TableFilter_LABEL#execute()
		plugin.table.TableFilter_SEQUENCE#execute()
		plugin.table.TableFilter_TABLE#execute()
		plugin.table.TableFilter_THUMBNAIL#execute()
		plugin.table.TableFilter_UNIQ_NAME#execute()
		plugin.table.TableFilter_UPPER#execute()

	[Throwable ではなく、OgCharacterException をキャッチして、処理を継続します]
		hayabusa.taglib.ReadTableTag#doEndTag()

	[debug時のex.toString()は不要なので、削除しておきます]
		fukurou.transfer.TransferProcess#main(String[] args)

	[encode 指定時の優先は、拡張子が、txt か、csv のみとします]
		hayabusa.taglib.ReadTableTag#doEndTag()

	[ex.toString() の代わりに、ThrowUtil#ogThrowMsg(String,Throwable) を使います]
		fukurou.model.EventReader_XLSX.SheetHandler#endElement(String namespace,String localName,String qname)

	[メッセージに、BuildNumber.ENGINE_INFO を含める]
		fukurou.system.ThrowUtil#ogThrowMsg(String msg,Throwable th)
		fukurou.system.ThrowUtil#ogStackTrace(String msg,Throwable th)

	[新規追加]
		fukurou.system.OgCharacterException#OgCharacterException()
		fukurou.system.OgCharacterException#OgCharacterException(String msg)
		fukurou.system.OgCharacterException#OgCharacterException(Throwable th)
		fukurou.system.OgCharacterException#OgCharacterException(String msg,Throwable th)
		fukurou.util.ErrorMessage#addMessage(Throwable th)

	[連結を、StringBuilder#appendのように、自分自身に出来るように、修正します]
		fukurou.util.ErrorMessage#addMessage(int no,int kekka,String id,String[] args)
		fukurou.util.ErrorMessage#addMessage(ErrMsg msg)
		fukurou.util.ErrorMessage#append(ErrorMessage msg)
		fukurou.util.ErrorMessage#append(int no,ErrorMessage msg)
		fukurou.util.ErrorMessage#addMessage(String[] args)

	[PHY_LENGTH カラムの廃止]
	物理サイズは廃止します。VIEW_LENGTH を新たに正式採用します。
		GF2050\result.jsp(76): 		onClick="location.href='{@SYS.JSP}/common/filePopup.jsp?callBack={@GUI.KEY}/fileIn.jsp&amp;useRenderer=true&amp;sheetNos=2-5&amp;nullBreakClm=TABLE_NAME&amp;omitNames=DTYPE,PHY_LENGTH,C_KEY,F_KEY&amp;debug={@debug}';return false;" />
		GF2050\result.jsp(35): 				PHY_LENGTH,USE_LENGTH,UK,LUK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,IXH,IXI,IXJ,IXK,NOT_NULL,
		GF2050\uploadMics.jsp(49): 	columns		= "SEQNO,CLM,CLS_NAME,USE_LENGTH,PHY_LENGTH,NOT_NULL,DATA_DEFAULT,CLM_NAME,BIKO,TABLE_NAME,NAME_JA"
		GF2050\uploadMics.jsp(55): case when [PHY_LENGTH] is null then [USE_LENGTH] else [USE_LENGTH] || ',' || [PHY_LENGTH] end
		GF2050\uploadMics.jsp(65): 		omitNames	= "PHY_LENGTH"
		GF2050\uploadST.jsp(44): 		columns		= "SEQNO,CLM,CLS_NAME,USE_LENGTH,PHY_LENGTH,NOT_NULL,UK,CLM_NAME,TABLE_NAME,NAME_JA"
		GF2050\uploadST.jsp(51): 	case when [PHY_LENGTH] is null or [PHY_LENGTH]=0 then [USE_LENGTH] else [USE_LENGTH] || ',' || [PHY_LENGTH] end
		GF2050\uploadST.jsp(73): 			omitNames	= "PHY_LENGTH"
		GF2060\dbfileOut.jsp(26): 				PHY_LENGTH,USE_LENGTH,UK,LUK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,IXH,IXI,IXJ,IXK,NOT_NULL,
		GF2060\GFM0035.jsp(4): 			CLM,CLS_NAME,PHY_LENGTH,USE_LENGTH,
		GF2060\GFM0035.jsp(28): 			group by CLM,CLS_NAME,PHY_LENGTH,USE_LENGTH
		GF2060\GFM0035.jsp(33): 	group by CLM,CLS_NAME,PHY_LENGTH,USE_LENGTH,SYSTEM_ID
		GF2060\GFM0035.jsp(46): 			PHY_LENGTH 	= [PHY_LENGTH],
		GF2060\GFM0035B.jsp(3): 	select	CLM,CLM_NAME,CLS_NAME,PHY_LENGTH,USE_LENGTH,BIKO,KBCLM,
		GF2060\GFM0035B.jsp(19): 			PHY_LENGTH 	= [PHY_LENGTH],
		GF2150\result.jsp(250): 						PHY_LENGTH,USE_LENGTH,UK,LUK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,IXH,IXI,IXJ,IXK,NOT_NULL,

		GF2005\popup.jsp(52): 				A.USE_LENGTH,A.DATA_DEFAULT,
		GF2005\popup.jsp(65): 		<og:and value = "A.USE_LENGTH  =    '{@USE_LENGTH}'"	/>
		GF2005\popup.jsp(82): 	popupReturnKeys = "CLM,NAME_JA,CLS_NAME,USE_LENGTH,DATA_DEFAULT,RENDERER,EDITOR,DBTYPE,BIKO"
		GF2005\result.jsp(33): 				A.USE_LENGTH,A.DATA_DEFAULT,
		GF2005\result.jsp(45): 		<og:and value = "A.USE_LENGTH	=    '{@USE_LENGTH}'"	/>
		GF2020\dbdefOut.jsp(35): 				A.CLM,A.SEQNO,A.NAME_JA AS CLM_NAME,A.CLS_NAME,A.USE_LENGTH,
		GF2020\dbdefOut.jsp(55): 				CLM,SEQNO,CLM_NAME,CLS_NAME,USE_LENGTH,
		GF2020\dbdefOut.jsp(60): 				[CLM],[SEQNO],[CLM_NAME],[CLS_NAME],[USE_LENGTH],
		GF2020\dbdefOut.jsp(165): 		select KBTBL,TABLE_NAME,NAME_JA,SEQNO,CLM_NAME,CLM,'' as DTYPE,CLS_NAME,USE_LENGTH,
		GF2020\entry.jsp(32): 			or	USE_LENGTH		!= [USE_LENGTH]
		GF2020\result.jsp(33): 				A.USE_LENGTH,A.DATA_DEFAULT,A.NOT_NULL,A.KBCLM,
		GF2050\result.jsp(35): 				VIEW_LENGTH,USE_LENGTH,UK,LUK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,IXH,IXI,IXJ,IXK,NOT_NULL,
		GF2050\result.jsp(51): 		<og:and value = "USE_LENGTH = '{@USE_LENGTH}'"		/>
		GF2060\dbdefIn.jsp(71): 		select	TABLE_NAME,NAME_JA,CLM,SEQNO,CLM_NAME,CLS_NAME,USE_LENGTH,
		GF2060\dbdefIn.jsp(87): 		(TABLE_NAME,CLM,SEQNO,NAME_JA,CLS_NAME,USE_LENGTH,
		GF2060\dbdefIn.jsp(91): 		([TABLE_NAME],[CLM],[SEQNO],[CLM_NAME],[CLS_NAME],[USE_LENGTH],
		GF2060\dbfileOut.jsp(26): 				VIEW_LENGTH,USE_LENGTH,UK,LUK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,IXH,IXI,IXJ,IXK,NOT_NULL,
		GF2060\dbfileOut.jsp(43): <!-- CLS_NAME,USE_LENGTH,DTYPE カラムが必須。異なる場合は、keys,vals で指定します。 -->
		GF2060\GFM0035.jsp(4): 			CLM,CLS_NAME,VIEW_LENGTH,USE_LENGTH,
		GF2060\GFM0035.jsp(28): 			group by CLM,CLS_NAME,VIEW_LENGTH,USE_LENGTH
		GF2060\GFM0035.jsp(33): 	group by CLM,CLS_NAME,VIEW_LENGTH,USE_LENGTH,SYSTEM_ID
		GF2060\GFM0035.jsp(47): 			USE_LENGTH 	= [USE_LENGTH],
		GF2060\GFM0035B.jsp(3): 	select	CLM,CLM_NAME,CLS_NAME,VIEW_LENGTH,USE_LENGTH,BIKO,KBCLM,
		GF2060\GFM0035B.jsp(20): 			USE_LENGTH 	= [USE_LENGTH],
		GF2060\GFM0040.jsp(6): 				CLS_NAME,USE_LENGTH,NOT_NULL,
		GF2060\GFM0040.jsp(98): 			USE_LENGTH	= [USE_LENGTH],
		GF2060\GFM0040.jsp(111): <og:value key="noDisplay" value="CLS_NAME,USE_LENGTH" />
		GF2120\GFM0010.jsp(39): 			COALESCE(USE_LENGTH,'10000') AS USE_LENGTH,DATA_DEFAULT,UNIQ,SYSTEM_ID,0 SEQ
		GF2120\GFM0010.jsp(54): 			USE_LENGTH,DATA_DEFAULT,UNIQ,SYSTEM_ID,0 SEQ
		GF2120\GFM0010.jsp(78): 		 USE_LENGTH,DATA_DEFAULT,KBSAKU,
		GF2120\GFM0010.jsp(82): 		 [USE_LENGTH],[DATA_DEFAULT],'1',
		GF2120\GFM0011.jsp(41): 			USE_LENGTH,DATA_DEFAULT,UNIQ,SYSTEM_ID,0 SEQ
		GF2120\GFM0011.jsp(57): 			USE_LENGTH,DATA_DEFAULT,UNIQ,SYSTEM_ID,0 SEQ
		GF2120\GFM0011.jsp(89): 			USE_LENGTH		= [USE_LENGTH],
		GF2120\GFM0049.jsp(5): 			case when A.CLS_NAME = 'CLOB' then '' else A.USE_LENGTH end as USE_LENGTH ,
		GF2120\GFM0049.jsp(23): 			USE_LENGTH,UNIQ,SYSTEM_ID,0 SEQ
		GF2120\GFM0049.jsp(57): 			USE_LENGTH	= [USE_LENGTH],
		GF2120\GFM0050.jsp(5): 			USE_LENGTH,DATA_DEFAULT,UNIQ,SYSTEM_ID,0 SEQ
		GF2120\GFM0050.jsp(20): 			USE_LENGTH,DATA_DEFAULT,UNIQ,SYSTEM_ID,0 SEQ
		GF2150\result.jsp(96): 						USE_LENGTH,DATA_DEFAULT,FGIMP,RENDERER,EDITOR,DBTYPE,
		GF2150\result.jsp(127): 						USE_LENGTH,DATA_DEFAULT,NOT_NULL,KBCLM,RENDERER,EDITOR,DBTYPE,BIKO,
		GF2150\result.jsp(250): 						VIEW_LENGTH,USE_LENGTH,UK,LUK,IXA,IXB,IXC,IXD,IXE,IXF,IXG,IXH,IXI,IXJ,IXK,NOT_NULL,
		GF2190\sqlGF85.jsp(4): 				, A.NAME_JA , A.CLS_NAME , A.USE_LENGTH
		GF2190\update.jsp(47): 		noDisplay  = "SYSTEM_ID,TABLE_NAME,TABLE_LBL,KBCLM,F_TABLE_NAME,F_TABLE_LBL,CLS_NAME,USE_LENGTH,BIKO,NOJUN,F_DTYPE,FGJ,UNIQ"
		GF6150\result2.jsp(6): 				USE_LENGTH,DATA_DEFAULT,NOT_NULL,

	[hybs-taglib.tld の書き方]
	hybs-taglib.tld の xsi:schemaLocation で、Eclipseで警告が出るそうで、
	xsi:schemaLocation="http://java.sun.com/xml/ns/j2ee http://java.sun.com/xml/ns/j2ee/web-jsptaglibrary_2_0.xsd"
	のように書く必要があるそうです。
	厳密な定義はよくわかりませんが、とりあえず、修正しておきます。

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF2020\dbdefOut.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF2060\dbfileOut.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\common\calendar.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar3.js

6.5.0.0 (2016/09/30)
	poi-3.15 に入れ替えます。これは、openGionのｿｰｽ修正が必要です。
	なので、過去のｿｰｽと互換性がありません。
	openGion を、6.5.0.0 に、アップする際は、jdk180u102 にアップして
	拡張フォルダ(apps\jdk180u102\jre\lib\ext)のjarﾌｧｲﾙを最新に切り替えてください。

	openoffice4.1.2 対応版
	クラス名変更、taglib,table,resource等の抜き出しﾌｫﾙﾀﾞ変更。
	_build.bat変更

	[recalcSheetName で、セル内の計算式を再計算させるシート名を指定]
	5.9.12.1 (2016/09/09)
		hayabusa.io.AbstractTableWriter#setRecalcSheetName(String sheet)
		hayabusa.io.TableWriter#setRecalcSheetName(String sheet)
		hayabusa.taglib.WriteTableTag#setRecalcSheetName(String sheet)
		plugin.io.TableWriter_Excel#setRecalcSheetName(String sheet)

	[sheetOverwrite で、雛形シートの使用時に、元のシート名を使用します]
		hayabusa.io.AbstractTableWriter#setSheetOverwrite(boolean flag)
		hayabusa.io.TableWriter#setSheetOverwrite(boolean flag)
		hayabusa.taglib.WriteTableTag#setSheetOverwrite(String flag)
		plugin.io.TableWriter_Excel#setSheetOverwrite(boolean flag)

	[クラス名変更(TableFilter_INDEX_POSGRE → TableFilter_INDEX_POSTGRES)]
		plugin.table.TableFilter_INDEX_POSTGRES#TableFilter_INDEX_POSTGRES()

	[クラス名変更(TableFilter_SEQUENCE_POSGRE → TableFilter_SEQUENCE_POSTGRES)]
		plugin.table.TableFilter_SEQUENCE_POSTGRES#TableFilter_SEQUENCE_POSTGRES()

	[クラス名変更(TableFilter_TABLE_POSGRE → TableFilter_TABLE_POSTGRES)]
		plugin.table.TableFilter_TABLE_POSTGRES#TableFilter_TABLE_POSTGRES()

	[セルの計算式の再計算をさせる recalcSheetNames 属性の追加]
		fukurou.model.ExcelModel#setRecalcSheetName(String[] sheets)
		fukurou.model.ExcelModel#saveFile(File file)
	(5.9.12.1 (2016/09/09))
		plugin.io.TableWriter_Excel#writeDBTable()

	[数値型カラムの範囲指定(range)の追加]
		hayabusa.taglib.SqlAndTag#release2()
		hayabusa.taglib.SqlAndTag#getRequestValue(String key)
		hayabusa.taglib.SqlAndTag#makeRangeCsv(String inVal)
		hayabusa.taglib.SqlAndTag#setRange(String flag)

	[雛形シート名をそのまま使用する場合は、isOverwrite に、true を指定します]
		fukurou.model.ExcelModel#createSheet(String shtName,boolean isOverwrite)

	[VAL追加]
	value値とリクエスト変数では、リクエスト変数が上位なので、value値を取り出したい場合に使用します。
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[曖昧ピッカー]
	曖昧ピッカーで、% を付与するのは、maxlength 以下の文字列数の場合のみに限定します。
	% が付くと、maxlength をオーバーして、エラーチェックが掛かってしまうためです。


	[" DESC" 文字列を見つけた場合、DESCだけリソース変換します]
		hayabusa.taglib.OptionTag#setLbls(String lbls)
		hayabusa.taglib.OptionTag#gwtDescLabel(String key)

	[DESC]
	DESC リソースを追加

	[jdk180u102\jre\lib\ext]
		ogReadme.txt
		sqljdbc42_6.0.7507.100_jpn.jar
		xalan-2.7.2.jar
		serializer-2.7.2.jar
		poi-scratchpad-3.15.jar
		poi-ooxml-schemas-3.15.jar
		poi-ooxml-3.15.jar
		mysql-connector-java-5.1.39-bin.jar
		jaybird-full-2.2.11.jar
		hsqldb-2.3.4.jar
		h2-1.4.192.jar
		commons-net-3.5.jar
		commons-compress-1.12.jar
		postgresql-9.4.1211.jar
		javax.mail_1.5.6.jar
		commons-logging-1.2.jar
		poi-3.15.jar

	[poi-3.15 対応(Cell.CELL_TYPE_XXXX → CellType.XXXX)]
		fukurou.model.EventReader_XLS.ExcelListener#processRecord(Record record)
		fukurou.model.ExcelModel#sheetCopy(TextConverter conv,String shtName)
		fukurou.model.ExcelModel#setCellStyle()
		fukurou.model.POIUtil#getValue(Cell oCell)
		fukurou.model.POIUtil#setValue(Cell oCell,String val)
		fukurou.model.POIUtil#activeWorkbook(Workbook wkbook,boolean isCellDel)
		hayabusa.report.ExcelDataPickup#getValue(HSSFSheet sheet,int row,int col)

	[poi-3.15 対応(Hyperlink.LINK_XXXX → HyperlinkType.XXXX)]
		fukurou.model.ExcelModel#setCellLink(String linkVal,int colNo)
		hayabusa.report.DBTableReport_Excel#changeCell(HSSFCell oCell)

	[poi-3.15.jar 対応]
		fukurou\model\ExcelModel.java(32): // import org.apache.poi.ss.usermodel.BorderStyle;		// 6.5.0.0 (2016/09/30) poi-3.15
		fukurou\model\ExcelModel.java(237): 	//	style.setBorderBottom(	BorderStyle.THIN );			// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\ExcelModel.java(238): 	//	style.setBorderLeft(	BorderStyle.THIN );			// 6.5.0.0 (2016/09/30) poi-3.15
		fukurou\model\ExcelModel.java(239): 	//	style.setBorderRight(	BorderStyle.THIN );			// 6.5.0.0 (2016/09/30) poi-3.15
		fukurou\model\ExcelModel.java(240): 	//	style.setBorderTop(		BorderStyle.THIN );			// 6.5.0.0 (2016/09/30) poi-3.15
		fukurou\model\ExcelModel.java(841): 	 * @og.rev 6.4.6.0 (2016/05/27) poi-3.15 準備
		fukurou\model\ExcelModel.java(877): 	//	anchor.setAnchorType( ClientAnchor.AnchorType.MOVE_DONT_RESIZE );		// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(32): // import java.util.List;									// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(49): // import org.apache.poi.hslf.usermodel.HSLFShape;			// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(50): // import org.apache.poi.hslf.usermodel.HSLFTextParagraph;	// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(51): // import org.apache.poi.hslf.usermodel.HSLFSlide;			// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(52): // import org.apache.poi.hslf.usermodel.HSLFSlideShow;		// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(53): // import org.apache.poi.sl.usermodel.SlideShow;			// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(54): // import org.apache.poi.sl.usermodel.Slide;				// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(55): // import org.apache.poi.sl.usermodel.Shape;				// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(56): // import org.apache.poi.sl.usermodel.TextParagraph;		// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(424): 	 * @og.rev 6.4.6.0 (2016/05/27) poi-3.15 準備
		fukurou\model\POIUtil.java(440): 	//		6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(442): 	//		final List<HSLFSlide> slides = ss.getSlides();						// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(444): 	//		for( final HSLFSlide  slide : slides ) {							// 6.4.6.0 (2016/05/27) poi-3.15
		fukurou\model\POIUtil.java(445): 	//			for( final List<HSLFTextParagraph> txtList : slide.getTextParagraphs() ) {	// 6.4.6.0 (2016/05/27) poi-3.15
		hayabusa\report\ExcelDataPickup.java(26): // import org.apache.poi.util.RecordFormatException;					// 6.4.6.0 (2016/05/27) poi-3.15

	[build.xml]
	build.xml の リソースXMLファイル生成（target=xml）と、DBスクリプトの抜き出し(全種類) target=table
	を、見直しました。
	また、JSP画面の出力先の変更や、gf/db/以下のデータベーススクリプトフォルダ名の
	変更なども、行っています。
		C:\opengionV6\uap\webapps\gf\build.xml
		C:\opengionV6\uap\webapps\gf\db\FIREBIRD
		C:\opengionV6\uap\webapps\gf\db\HSQLDB
		C:\opengionV6\uap\webapps\gf\db\JAVADB
		C:\opengionV6\uap\webapps\gf\db\MYSQL
		C:\opengionV6\uap\webapps\gf\db\ORACLE
		C:\opengionV6\uap\webapps\gf\db\POSTGRES
		C:\opengionV6\uap\webapps\gf\db\SQLSERVER

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\optionQuery.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6270\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\queryConvert.js
		C:\opengionV6\uap\webapps\gf\jsp\GF2120\GFM0011.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF2120\GFM0013.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6000\query.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js

		C:\opengionV6\uap\webapps\gf\jsp\menu\simpleMenu.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\eventScript.js
		C:\opengionV6\uap\webapps\gf\src\script\common\option\html5modalDialog.js

	[V5 修正反映]
	5.9.12.4 (2016/09/30)
		[シート指定修正]
		ExcelのシートNO指定で、ハイフンとアスタリスクが正しく動作しない場合があるので修正します。
		今までこの機能は英字に対応していましたが、そのため1桁の処理が正しく動作していなかったため、英字対応をやめます。
		（6.2.6.0 (2015/06/19)のV5への反映）
			fukurou.util.StringUtil#csv2ArrayExt( final String csvData , final int maxNo )
			fukurou.util.StringUtil#csv2ArrayExt2( final String csvData , final int maxNo )

	5.9.12.3 (2016/09/23)
		[時間ピッカー機能追加]
		スクリプトに秒（00固定）付きで値を返すような機能を付加しました。
		usesecond属性でtrueを指定した場合に付加されるようにしておきます。
		エンジンのパラメータからの指定は5つ目のパラメータで指定します
			plugin.column.Editor_HM#createOptions( final String editPrm )
			jsp/common/eventScript.js#ogClockpicker

		[simpleMenuの修正]
		今までの書き方ではog:text内でマルチセッションエラーが出た場合に内容が出力されないため、
		simpleMenuの書き方を修正します。
			jsp/menu/simpleMenu.jsp

	5.9.12.2 (2016/09/16)
		[HTML5用ポップアップ修正]
		スクロール時のドラッグ移動処理が正しくなかったので修正します。
		同時にスムーズ化、冗長処理の削除を行います。
			jsp/common/option/html5modalDialog.js

	5.9.12.1 (2016/09/09)
		[カラムの不要文字削除]
		queryConvert.jsではfocusOut時に動作させる設定を入れている。
		しかし、初期セットされた値に対してはそのままでは動作しないため、検索時にエラーが発生する場合がある。
		本来はsubmit時に変換をかけた方がユーザには分かりやすいかもしれないが、とりあえず初期セットに対して
		focusOut時と同じロジックを走らせる。
			jsp/common/queryConvert.js

	5.9.12.1 (2016/09/09)
		[Excel出力の改善]  ※ Ver6での、実装完了。

6.4.9.5 (2016/09/09)
	[ﾘｿｰｽ連携]
	ﾘｿｰｽ連携 で、テーブルカラムDB(備考)⇒コードリソース差分追加更新(GFM0013)で、
	javaDB に対するリソース作成時に、エラーになりました。
	VARCHARカラムに、INTEGERを登録できません。
	CODELVL の設定値が、1 になっていたので、'1' に修正しました。
		GF2120/GFM0013.jsp

	[ﾘｿｰｽ取得]
	javaDB で、select aa,bb,null as cc from ･･･ という構文がエラーになるため、変更します。
	+ "CLM_PARAM,RENDERER_PARAM,EDITOR_PARAM,TYPE_PARAM,ROLES,null AS FIELD_SIZE"
																↓
	+ "CLM_PARAM,RENDERER_PARAM,EDITOR_PARAM,TYPE_PARAM,ROLES,'' AS FIELD_SIZE"

		hayabusa.resource.ColumnDataLoader#QUERY
		hayabusa.resource.ColumnDataLoader#QUERY2

	[DERBY も、isParamMetaData=true を返します]
		fukurou.db.EDbid#setMetaDataInfo(DatabaseMetaData meta)

	[title属性を廃止したが、一旦戻します]
	(ネイティブモードでツールチップが表示しない)
		plugin.view.ViewForm_ImageTimeBar#imageMeker(Graphics2D g2,Color oldColor,int imgX,int imgY,int imgW,boolean useTipsLink,int row,StringBuilder outBuf)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF2120\GFM0013.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js
		C:\opengionV6\uap\webapps\gf\src\script\common\queryConvert.js

	[V5 修正反映]
	5.9.12.1 (2016/09/09)
		[カラムの不要文字削除]
		queryConvert.jsではfocusOut時に動作させる設定を入れている。
		しかし、初期セットされた値に対してはそのままでは動作しないため、検索時にエラーが発生する場合がある。
		本来はsubmit時に変換をかけた方がユーザには分かりやすいかもしれないが、とりあえず初期セットに対して
		focusOut時と同じロジックを走らせる。
			jsp/common/queryConvert.js

		[Excel出力の改善]  ※ Ver6では、今回は I/Fのみで、実装は、次回に持ち越します。
		Excel追記モードで、シートにデータを上書きする設定(sheetOverwrite)を追加します。
		また、書込み完了後に指定シート(recalcSheetName)の内容を再計算させる事が出来るようにします。
		(これを行わないと、シートの位置によって計算されたりされなかったりする）
		これにより、雛形ファイルに追記する事で、出力したデータを利用した集計を別シートで行う事が可能になります。
			hayabusa.taglib.WriteTableTag#release2()
			hayabusa.taglib.WriteTableTag#create( final PrintWriter out )
			hayabusa.taglib.WriteTableTag#setSheetOverwrite( final String flag )
			hayabusa.taglib.WriteTableTag#setRecalcSheetName( final String sheet )
			hayabusa.io.TableWriter#setSheetOverwrite( final boolean flag )
			hayabusa.io.TableWriter#setRecalcSheetName( final String sheet )
			hayabusa.io.AbstractTableWriter#setSheetOverwrite( final boolean flag )
			hayabusa.io.AbstractTableWriter#setRecalcSheetName( final String sheet )
			plugin.io.TableWriter_Excel#setSheetOverwrite( final boolean flag )
			plugin.io.TableWriter_Excel#setRecalcSheetName( final String sheet )
			plugin.io.TableWriter_Excel#writeDBTable()
			hybs-taglib.tld

6.4.9.4 (2016/09/02)
	[共通メッセージ表示]
	adminの  [ﾛｸﾞｲﾝﾕｰｻﾞｰ] で、共通メッセージを表示する機能がありますが、
	これのアドレスが、/gf/jsp/admin だったので、他のシステムで動かなかったため、修正します。
		hayabusa.servlet.HybsAdmin#COMMON_MESSAGE

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF9220\result.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js

	[V5 修正反映]
	5.9.12.0 (2016/09/02)
		[queryButtonでの出力]
		queryButtonで出力されているtableタグにframe属性が付いていましたが、表示上の互換がないため削除しておきます。
		（frame=border設定は外枠を表示する設定だが、IEでは表示されず、Chromeでは表示されている)
			hayabusa.taglib.QueryButtonTag#doEndTag()
			
		[クライアントガント修正]
		終了日を超えたマーカーは表示しないように仕様を変更します。
			jsp/common/option/adjustGanttTable.js#showGantBar( gantTd ,listGantBar ,lineHeight )

6.4.9.3 (2016/08/26)
	[JavaDB(APACHE DERBY) の追加]
		fukurou.db.DBFunctionName#getSequence(String seqName,Transaction tran)
		fukurou.db.DBFunctionName#getDBName(String dbName)

	[サンプルJSP]
	ファイルリストをListオブジェクトにコピーして、パラメータにセットする処理において、
	対象ファイルの件数を取得する方法です。
	Listオブジェクトにセットされているので、size() メソッドで取得できます。
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\06_INSTALL\directTableInsert.jsp

		<!-- ファイルリストをListオブジェクトにコピーして、パラメータにセットします。 -->
		<og:file action="list" fileURL="{@insertDIR}" />

		<!-- ファイルの件数を取得できます。 -->
		<c:out value="${list.size()}" /><br/>

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF2140\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\result.jsp

6.4.9.2 (2016/08/19)
	[jFreeChartの横軸ラベルの折り返し対応]
	 * 複数行の横軸に対応した、TextBlock オブジェクトを作成します。
	 *
	 * ラベルに改行コードを含む場合、ラベルを段組(改行)します。
	 * 改行コードとは、本当の改行コード(ORACLEで言うところの、chr(10)か、
	 * 改行コード文字列('￥n'文字列)を認識します。
	 *
		hayabusa.io.HybsCategoryAxis#createLabel(Comparable category,float width,RectangleEdge edge,Graphics2D g2)
		hayabusa.io.HybsCategoryAxis#multiLabel(Comparable category,float width,RectangleEdge edge,Graphics2D g2)

	サンプル画面
		jsp/GF7201/chartOnly.jsp

6.4.9.1 (2016/08/05)
	[colgroupのHTML5対応(No欄) 修正ミスの対応]
	6.4.9.0 (2016/07/23)で、対応した、HTML5対応で、style属性の
	end記号の記述漏れで、CustomTable の表示が出ない現象が発生しましたので、修正します。
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#getTableHead()

	[Each class should declare at least one constructor]
		plugin.view.ViewForm_JSON#ViewForm_JSON()

	[SOAP_ENVELOP 固定文字列定義]
		fukurou.util.SOAPConnect#getSoapEnvelop(String data)

	[maxRowをfinal化します]
		fukurou.model.TableModelHelper.ConstData#ConstData(String constKeys,String constAdrs)

	[reqCache → REQ_CACHE 変更]
		hayabusa.common.HybsSystem#setInitialData(Map param)
		hayabusa.common.HybsSystem#setRequestParam(String serverName,String scheme,int port,String path)

	[useLabel パラメータは常に有効になっている]
		plugin.column.Renderer_CHBOX2#Renderer_CHBOX2()
		plugin.column.Renderer_CHBOX2#Renderer_CHBOX2(DBColumn clm)

	[V5 修正反映]
	5.9.11.0 (2016/08/05)
		[クライアントガント修正]
		IE10,11モードで表示領域を超えた箇所にバーが表示される場合があるため、修正します。
			jsp/common/option/adjustGanttTable.js#showGantBar( gantTd ,listGantBar ,lineHeight )

		[YMD3スクリプト修正]
		一覧等で大量に利用した場合に描画が遅いため修正します。
		プラグインでアタッチ時に予めカレンダーを作成していましたが、作成しないように変更します。
			jsp/common/eventScript.js#glDatePicker

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\src\script\common\option\adjustGanttTable.js

	[リファクタリング]
		6.4.9.1_refactoring.txt  参照

6.4.9.0 (2016/07/23)
	[Pie,Pie3D,Ring に、色指定を追加]
	これらは、同じ設定が使えるので、マージします。
	5.9.10.4 (2016/07/19) のPiePlot修正の追加機能です。
		hayabusa.io.ChartPlot_Pie#getPlot(ChartCreate create)

	[colgroupのHTML5対応(No欄)]
	対応漏れの対応
		plugin.view.ViewForm_HTMLCustomTable#getTableHead()
		plugin.view.ViewForm_HTMLFormatTable#getTableHead()
		plugin.view.ViewForm_HTMLGanttTable#getTableHead()
		plugin.view.ViewForm_HTMLStackedGanttTable#getTableHead()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF7209\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7209\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld

	[V5 修正反映]
	5.9.10.5 (2016/07/22)
		[ImageTimeBar修正]
		5.9.10.2で予定データに対応しましたが、最終データのみしか対応できていませんでした。
		各行のブレイクデータに対しても同様の処理を行います。
			plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)

		[textタグでのxssチェック]
		そのままではタグ付きでのリクエストを表示できないため、textタグでのコントロールを可能にしておきます。
		通常は利用しません。
			hayabusa.taglib.TextTag#doStartTag()
			hayabusa.taglib.TextTag#release2()
			hayabusa.taglib.TextTag#setXssCheck( final String flag )
			hybs-taglib.tld

	5.9.10.4 (2016/07/19)
	X	[PiePlot修正]
	X	円グラフで色を指定出来るようにする。
	X		hayabusa.io.ChartPlot_Pie#getPlot( final ChartCreate create )

	5.9.10.3 (2016/07/15)
	V6	[ImageTimeBar修正]
	V6	timeBarParam タグの linkClm 属性で制御できるのは、href= で
	V6	始まる値だけでしたが、そのようなアドレスを作るのは難しいため、
	V6	viewLink , linkタグで簡単につくれるようにします。
	V6		plugin.view.ViewForm_ImageTimeBar#imageMeker( final Graphics2D g2,final Color oldColor,
	V6							 final int imgX,final int imgY,final int imgW,
	V6							 final boolean useTipsLink,final int row,final StringBuilder outBuf )

		[Process_TableWriterの修正]
		データ中のダブルクウォートを、重ねるか重ねないかの選択を可能にする。
			fukurou.process.Process_TableWriter#init( final ParamProcess paramProcess )
			fukurou.process.Process_TableWriter#writeData( final LineModel data )

	5.9.10.2 (2016/07/08)
		[カレンダーポップアップ修正]
		カレンダーのポップアップ(YMD2)のスクリプトにはサイズ調整のロジックが入っていますが、
		無限ループに入るパターンがあるため修正します。
			jsp/common/calendar2.js

	V6	[ImageTimeBarのdebug対応]
	V6	viewParamタグでdebug=trueを指定した場合に、ViewForm_ImageTimeBarのデバッグ情報を標準出力するようにします。
	V6	また、予定データが存在している事が想定されていないため、対応します。
	V6		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)
	V6		plugin.view.ViewForm_ImageTimeBar#paramInit()
	V6		hayabusa.taglib.ViewParamTag#doEndTag()

6.4.8.3 (2016/07/15)
	[KEY=VALUE の VALUE が、ゼロ文字列でも許可します]
		fukurou.util.Argument#getArgumentType(String arg)

	[key,val 分解後は、#putArgument(String,String)]
		fukurou.util.Argument#putArgument(String arg)

	[val で、｢\t｣と、｢\n｣の文字列を、タブと改行に変換します]
		fukurou.util.Argument#putArgument(String key,String val)

	[新規作成]
		fukurou.process.Process_DBFileout#init(ParamProcess paramProcess)
		fukurou.process.Process_DBFileout#end(boolean isOK)
		fukurou.process.Process_DBFileout#action(LineModel data)
		fukurou.process.Process_DBFileout#makePrepareStatement(LineModel data)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar3.js

6.4.8.2 (2016/07/08)
	[debug 属性を、パラメータにセットします]
	ViewParamImpl に、debug の値をパラメータにセットするようにします。
	ViewTimeBarParamTag で、debug 属性を使用できるようにするためです。
		hayabusa.taglib.ViewParamImpl#doEndTag()
		plugin.view.ViewForm_ImageTimeBar#paramInit()

	[クリッカブルマップの設定で、普通のリンクタグや、hrefOnly、hrefTarget が使えるようにする]
		plugin.view.ViewForm_ImageTimeBar#imageMeker(Graphics2D g2,Color oldColor,int imgX,int imgY,int imgW,boolean useTipsLink,int row,StringBuilder outBuf)

	[未来時刻の場合に、現在時刻まで巻き戻って塗りつぶしているので、未来時刻の判定を追加]
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV6\uap\webapps\gf\src\script\common\calendar3.js

	[V5 修正反映]
	5.9.10.1 (2016/07/02)
		[YMD3修正]
		カレンダーのドラッグ移動が正常動作しておらず、常用する機能でもないので外しておきます。
		（jQueryのエラーが発生する）
			Ver5 jsp/common/eventScript.js#glDatePicker
			Ver6 src/script/common/calendar3.js#glDatePicker
			※ Ver5は、eventScript.js ですが、Ver6 では、calendar3.js にファイルを分けています。

6.4.8.1 (2016/07/02)
	[jsp/GF6020 修正]
	【画面部品】表示・編種別 GF6020 修正
	数字型 と数値ﾌｫｰﾑ型の区別が付きにくかったため、サンプルJSPを修正しました。
	数値ﾌｫｰﾑは、パラメータに、DecimalFormat を与えることが出来ます。
		jsp/GF6020/query.jsp

	[xssCheckを、doStartTag に移動]
	5.9.10.0 (2016/07/01)
		xssチェックのセットがdoAfterBodyにあり、falseとしてもdoStartTagで引っかかる状態となっているため、
		useXssCheckメソッドをdoStartTagに移動します。
	この対応を、同様の状態になっているタグに適用します。
		hayabusa.taglib.AppearTag#doStartTag()
		hayabusa.taglib.AppearTag#doEndTag()
		hayabusa.taglib.BizLogicTag#doStartTag()
		hayabusa.taglib.BizLogicTag#doEndTag()
		hayabusa.taglib.ColumnTag#doStartTag()
		hayabusa.taglib.ColumnTag#doAfterBody()
		hayabusa.taglib.DirectWriteTableTag#doStartTag()
		hayabusa.taglib.DirectWriteTableTag#doAfterBody()
		hayabusa.taglib.QueryOptionTag#doStartTag()
		hayabusa.taglib.QueryOptionTag#doAfterBody()
		hayabusa.taglib.QueryTag#doStartTag()
		hayabusa.taglib.QueryTag#doAfterBody()
		hayabusa.taglib.ValueTag#doStartTag()
		hayabusa.taglib.ValueTag#doAfterBody()

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6020\result.jsp

	[V5 修正反映]
	5.9.10.0 (2016/07/01)
		[columnタグのxssチェック]
		xssチェックのセットがdoAfterBodyにあり、falseとしてもdoStartTagで引っかかる状態となっているため、
		useXssCheckメソッドをdoStartTagに移動します。
			hayabusa.taglib.ColumnTag#doAfterBody()
			hayabusa.taglib.ColumnTag#doStartTag()

6.4.8.0 (2016/06/24)
	[検索中です表示のリソース化]
	queryButton に、blockUIMsg属性を追加。
	リソースに、｢検索中です｣のメッセージを登録します。
		hayabusa.taglib.QueryButtonTag#release2()
		hayabusa.taglib.QueryButtonTag#makeTag()
		hayabusa.taglib.QueryButtonTag#setBlockUIMsg(String id)

	[属性ｸﾗｽ定義 修正]
	【ﾄﾞｷｭﾒﾝﾄ】→ 属性ｸﾗｽ定義 画面で、属性値からの検索を、自身の詳細表示に変更します。
	使い勝手の向上
		jsp/DOC03/result.jsp

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\DOC03\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6380\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6380\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9999\result.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\jquery\blockUI.js

	[V5 修正反映]
	5.9.9.3 (2016/06/24)
		[ガントスクリプトの修正]
		ヘッダ固定同様、最初にbodyの高さが取得できない場合は遅延実行させるようにします。
			jsp/common/option/adjustGanttTable.js

6.4.7.2 (2016/06/20)
	6.4.2.1 (2016/02/05) で追加した、HybsSystem.url2dir に引数追加処理で、
	StringUtil.urlAppend を利用していますが、これは、第２引数が絶対URLの場合、
	第２引数を返す仕様でしたが、HybsSystem.url2dir を、引数追加したさい、
	それまで、第２引数であった、絶対パス判定が、第３引数で必要になりましたが
	判定していなかったため、絶対URLが、２重に登録されてしまいました。
	StringUtil.urlAppend は、１つ目、２つ目ではなく、最後に指定された
	絶対URLを使用するように変更いたします。
		fukurou.util.StringUtil#urlAppend(CharSequence url1,CharSequence[] urls)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6380\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF6380\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\query.jsp

6.4.7.1 (2016/06/17)
	[ImageTimeBarﾀｸﾞのuseLastData属性処理]
	ImageTimeBarﾀｸﾞのuseLastData属性処理で、true(初期値)のときは、最後のデータが
	そのまま継続していることを示し、false の場合は、そこで打ち切りとしていますが、
	false にすると、何も表示されなくなります。
	これは、6.0.2.0 (2014/09/19) で、imageMekerメソッドをすべてまとめた際のﾊﾞｸﾞです。
	最後の処理のみ、このフラグが有効になるように、変更します。
		plugin.view.ViewForm_ImageTimeBar#create(int startNo,int pageSize)
		plugin.view.ViewForm_ImageTimeBar#imageMeker(Graphics2D g2,Color oldColor,int imgX,int imgY,int imgW,boolean useTipsLink,int row,StringBuilder outBuf)

	[JSP解析にチェック追加 61200-160613-01]
	『clazz="aimai"』 チェックはすでに入っていますが、aimai="true" チェックを追加します。
	これは、aimai="ture" とコーディングミスしたための対応です。
	WARNING31B に登録しました。
		jsp/DOC18/xsltV6/GF70_PROG.xsl

	[Process_FileCopyのエンコードエラーの緩和]
	新しい、java.nio パッケージのファイル入力で、ファイルのエンコード違いに
	非常に敏感になりました。（CharacterCodingException をthrowします。）
	従来は、無理から読み込んだりして、文字化けしていたのを、比較して、エンコード
	違いを見つけていましたが、今は、Exceptionで見つけることが出来ます。
	変わりに、処理が、そこで止まってしまうため、一斉にすべてのファイルの
	エンコード違いを見つけることが難しくなっています。
	そこで、エンコードエラーのときの、処理を緩和します。
		fukurou.process.Process_FileCopy#action(LineModel data)

	[セキュリティの関連で、ログの詳細を出していませんでしたが、出すように変更します]
		hayabusa.common.SystemParameter#makeSystemParameter(ServletContext context)
		hayabusa.common.SystemParameter#loadDBResource(Map sysParam)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\jsp\DOC23\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\query.jsp

	[V5 修正反映]
	5.9.9.0 (2016/06/03)
		[ポップアップ修正]
		modalDialogでiframeのページを上げた際に、選択値が返ってこない現象の対応を行います。
		parentが存在する場合は、parentのwindow.returnValueに値をセットします。
			jsp/common/default.js#rtnPopup( rtnValue )

	5.9.9.2 (2016/06/17)
		[readTableのsheetName対応]
		5.9.0.0でXLSX対応としてExcelの読み込みをV6方式に変更した際にsheetNameが効かなくなっていたため、対応します。
		この対応により、シート名を指定した際には必ず1シート目が読み込まれるのではなく指定シートが読み込まれますが、
		対応するシートが存在しない場合はエラーとなります。
			plugin.io.TableReader_Excel#readDBTable()

6.4.7.0 (2016/06/03)
	[新規追加(61200-160530-04)]
	ImageTimeBarﾀｸﾞ のヘッダー部の高さを独自に指定できるようにしました。
		hayabusa.taglib.ViewTimeBarParamTag#setHeaderHeight(String headerHeight)

	サンプルJSPを、【ﾋﾞｭｰ関連】ImageTimeBarﾀｸﾞ (GF7160) に移動しました。

	[IllegalArgumentException が発生した場合に、見えるようにする]
		fukurou.system.MsgUtil#getMsg(String baseName,Locale locale,String id,Object[] args)
		hayabusa.resource.LabelData#getMessage(String[] vals)
		hayabusa.resource.LabelData#getDescription(String[] vals)
		hayabusa.resource.UserInfoFactory#getValsByLdap(String userId,String roles)

	[REQ追加]
	画面にてチェックした行数を取得したい(61200-160530-03)
	 * <tr><td>ROWCOUNT           </td><td style="white-space: normal"><jsp:expression>チェックされた件数</jsp:expression></td></tr>
	 * <tr><td>RequestURL         </td><td style="white-space: normal"><jsp:expression>request.getRequestURL()</jsp:expression></td></tr>
	 * <tr><td>AuthType           </td><td style="white-space: normal"><jsp:expression>request.getAuthType()</jsp:expression></td></tr>
	 * <tr><td>ContextPath        </td><td style="white-space: normal"><jsp:expression>request.getContextPath()</jsp:expression></td></tr>
	 * <tr><td>Method             </td><td style="white-space: normal"><jsp:expression>request.getMethod()</jsp:expression></td></tr>
	 * <tr><td>PathInfo           </td><td style="white-space: normal"><jsp:expression>request.getPathInfo()</jsp:expression></td></tr>
	 * <tr><td>PathTranslated     </td><td style="white-space: normal"><jsp:expression>request.getPathTranslated()</jsp:expression></td></tr>
	 * <tr><td>QueryString        </td><td style="white-space: normal"><jsp:expression>request.getQueryString()</jsp:expression></td></tr>
	 * <tr><td>RemoteUser         </td><td style="white-space: normal"><jsp:expression>request.getRemoteUser()</jsp:expression></td></tr>
	 * <tr><td>RequestURI         </td><td style="white-space: normal"><jsp:expression>request.getRequestURI()</jsp:expression></td></tr>
	 * <tr><td>ServletPath        </td><td style="white-space: normal"><jsp:expression>request.getServletPath()</jsp:expression></td></tr>
	 * <tr><td>RemoteAddr         </td><td style="white-space: normal"><jsp:expression>request.getRemoteAddr()</jsp:expression></td></tr>
	 * <tr><td>RemoteHost         </td><td style="white-space: normal"><jsp:expression>request.getRemoteHost()</jsp:expression></td></tr>
	 * <tr><td>Scheme             </td><td style="white-space: normal"><jsp:expression>request.getScheme()</jsp:expression></td></tr>
	 * <tr><td>ServerName         </td><td style="white-space: normal"><jsp:expression>request.getServerName()</jsp:expression></td></tr>
	 * <tr><td>ServerPort         </td><td style="white-space: normal"><jsp:expression>request.getServerPort()</jsp:expression></td></tr>

		hayabusa.taglib.CommonTagSupport#getRequestMethod(String attkey)
		hayabusa.taglib.CommonTagSupport#getReservedValue(String key)

	[エディット機能利用時のリンク制御(61200-160525-03)]
	エディット機能で、rowCount カラムが存在するときのカラム番号
	EDITOR集計機能で、【小計】、【合計】行のリンクは表示しません。
		hayabusa.html.ViewLink_LINK#clear()
		hayabusa.html.ViewLink_LINK#setDBTableModel(DBTableModel tbl)
		hayabusa.html.ViewLink_LINK#getMarkerString(int row,int clm,String value)

	[jsp , js , css , tld更新]
		C:\opengionV6\uap\webapps\gf\WEB-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\jsp\GF2010\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF2010\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\query.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF7160\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\result.jsp
		C:\opengionV6\uap\webapps\gf\jsp\GF9110\update.jsp
		C:\opengionV6\uap\webapps\gf\src\META-INF\hybs-taglib.tld
		C:\opengionV6\uap\webapps\gf\src\script\common\default.js
		C:\opengionV6\uap\webapps\gf\jsp\common\gamen\01_ADMIN\printRequesMethodt.jsp

	[V5 修正反映]
	5.9.8.4 (2016/05/27)
		[ImageTimeTable修正]
		Paramで日付の桁数の判断がおかしいため、修正します。
			hayabusa.taglib.ViewTimeBarParamTag#setStartDate( final String startDate )
			hayabusa.taglib.ViewTimeBarParamTag#ViewTimeBarParamTag()

6.4.6.1 (2016/06/03)
	※ 6.4.6.1 (2016/06/03) は、6.4.7.0 (2016/06/03) とリリース日が重なったため、
	   アーカイブはありません。

	[popup改善]
	popup.jsp という雛形を用意します。
	機能的に、
	・popup.jsp は、query.jsp と、result.jsp を、iframe で、作成する。(headType="noFrame")
	・query_info.jsp を改造し、ppopup_info.jsp を動的に組み込むようにする。
	・呼び出し元(popupTag)で指定する rtnKeys を、リクエスト変数(popupReturnKeys)に載せる。(javaScript改造)
	・iframe から、scope , selectedType のリクエスト変数を送信する。（scope="request" 、selectedType="radio" ）
	・viewFormTagは、リクエスト変数から、popupReturnKeysのパラメータを受け取り、popupReturnKeys にセットする。
	・viewFormTagは、リクエスト変数から、scope , selectedTypeのパラメータを受け取り、セットする。
	・writeCheckタグは、リクエスト変数から、scope="request" を読取、非表示にする。
		common\default.js(887): function ogPopup( p_pgid,p_height,p_width,p_in_Array,p_this,p_out_Array,command,p_append,event ) {
		common\option\html5modalDialog.js(433): function ogPopup( p_pgid,p_height,p_width,p_in_Array,p_this,p_out_Array,command,p_append,event ) {

	[左右分割スクロール修正(61200-160530-01)]
	左右分割スクロールで、分割する位置で、右寄せ、左寄せがうまく設定できない（合わない）
	現象が発生しています。
	これは、HTML5から、colGroupでtextAlignが効かないため、5.9.3.3 (2015/12/26),5.9.5.3 (2016/02/26)
	での対応だけでは足りず、左右同じstyleセレクターが適用されてしまい、後勝ちになっています。
	そこで、テーブルを区別するためのキーワードを与えることにしますが、既存の tableId では、
	メモリ管理まで行っているため、これを使うことが出来ません。(SplitViewTag)
	メソッド名の整理もあわせて行います。

	[ColumnDataのclassName 復活]
	BIT などは、残さないと、いけない。
		hayabusa.db.DBColumn#getClassName()

	[DbType とClassName が複雑化しているため、とりあえずの暫定対策]
		plugin.view.ViewForm_HTMLSeqClmTable#getTableHead()
		plugin.view.ViewForm_HTMLTable#getTableHead()

	[tableId 廃止(利用目的を明確にするため、パラメータ名をviewClassに変更)]
		hayabusa.html.AbstractViewForm#getTableClass()
		hayabusa.taglib.ViewFormTag#splitViewParamSet()
		hayabusa.taglib.ViewFormTag#doStartTag()
		hayabusa.taglib.ViewFormTag#doEndTag()
		hayabusa.taglib.ViewFormTag#release2()
